<?php
get_header();
?>
    <?php
    global $yolo_giraffe_options;
    $background_404 = isset($yolo_giraffe_options['page_404_bg_image']['url']) ? $yolo_giraffe_options['page_404_bg_image']['url'] : '';
    if($background_404 == ''){
        $background_404 = get_template_directory_uri().'/assets/images/404-bg.jpg';
    }

    $image_404       = get_template_directory_uri().'/assets/images/404.png';

    $page_title_404 = isset($yolo_giraffe_options['page_title_404']) ? $yolo_giraffe_options['page_title_404'] : '';
    if($page_title_404 == ''){
        $page_title_404 = esc_html__('PAGE NOT FOUND!','yolo-giraffe');
    }

    $page404_sub_title = isset($yolo_giraffe_options['sub_page_title_404'])? $yolo_giraffe_options['sub_page_title_404'] : '';
    if($page404_sub_title == ''){
        $page404_sub_title = esc_html__('The page you were looking for appears to have been moved, deleted or does not exist.','yolo-giraffe');
    }

    $go_back_text = isset($yolo_giraffe_options['go_back_404']) ? $yolo_giraffe_options['go_back_404'] : '';
    if($go_back_text == ''){
        $go_back_text = esc_html__('Return Homepage','yolo-giraffe');
    }

    $go_back_link = isset($yolo_giraffe_options['go_back_url_404']) ? $yolo_giraffe_options['go_back_url_404'] : '';
    if($go_back_link == '' ) {
        $go_back_link = get_home_url();
    }

    ?>
    <div class="page404" style="background-image: url(<?php echo esc_url($background_404); ?>);">
        <div class="content-wrap col-lg-12">
            <div class="page404-content">
                <p class="404-content"><img src="<?php echo esc_url($image_404); ?>" /></p>
            </div>
            <div class="page404-title">
                <h2 class="p-title"><?php echo wp_kses_post($page_title_404); ?></h2>
                <p  class="p-description"><?php echo wp_kses_post($page404_sub_title); ?></p>
            </div>
            <div class="return">
                <?php
                
                ?>
                <a class="giraffe-btn btn-return" href="<?php echo esc_url($go_back_link) ?>"><?php echo wp_kses_post($go_back_text); ?></a>
            </div>
        </div>
    </div>
<?php get_footer(); ?>