<?php
/**
 *  
 * @package    YoloTheme
 * @version    1.0.0
 * @created    21/12/2015
 * @author     Administrator <admin@yolotheme.com>
 * @copyright  Copyright (c) 2015, YoloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://yolotheme.com
 */

function yolo_generate_less()
{
    try {
        require_once ABSPATH . 'wp-admin/includes/file.php';
        WP_Filesystem();
        global $wp_filesystem,$yolo_giraffe_options;
        if ( ! defined( 'FS_METHOD' ) ) {
            define('FS_METHOD', 'direct');
        }

        $home_preloader =  $yolo_giraffe_options['home_preloader'];
        if ($home_preloader != 'none' && !empty($home_preloader)) {
            $svg_options = array(
                'ball-triangle.svg',
                'bars.svg',
                'puff.svg',
                'circles.svg'
            );
            foreach ($svg_options as $svo) {
                $svg_template = yolo_get_template_svg_loader( $svo );
                if ($svg_template) {
                    $wp_filesystem->put_contents(get_template_directory() . '/assets/svg/'.$svo, $svg_template);
                }
            }
        }

        $css_dir = yolo_create_upload_dir( $wp_filesystem );

        ob_start();
        get_template_part('framework/includes/custom-style');
        $css_var = ob_get_clean();

        if (!defined('WP_DEBUG') || !WP_DEBUG) {
            // Remove comment, space
            $css_var = preg_replace('#/\*.*?\*/#s', '', $css_var);
            $css_var = preg_replace('/\s*([{}|:;,])\s+/', '$1', $css_var);
            $css_var = preg_replace('/\s\s+(.*)/', '$1', $css_var);
        }

        if (!$wp_filesystem->put_contents( $css_dir ."/custom-style.css", $css_var, FS_CHMOD_FILE)) {
            return array(
                'status' => 'error',
                'message' => esc_html__( 'Could not save file', 'yolo-giraffe' )
            );
        }

        return array(
            'status'  => 'success',
            'message' => ''
        );

    }catch(Exception $e){
        $error_message = $e->getMessage();
        return array(
            'status'  => 'error',
            'message' => $error_message
        );
    }
}