<?php
/**
 *
 * @package    YOLO Framework
 * @version    1.0.0
 * @author     Administrator <admin@yolotheme.com>
 * @copyright  Copyright (c) 2015, YoloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://yolotheme.com
 */

/* 1. Yolo Site Loading */
if (!function_exists('yolo_site_loading')) {
	function yolo_site_loading() {
        yolo_get_template('site-loading');
	}
	add_action( 'yolo_before_page_wrapper', 'yolo_site_loading', 5);
}

/* 3. Yolo Page Heading */
if (!function_exists('yolo_page_heading')) {
	function yolo_page_heading() {
		yolo_get_template('page-heading');
	}
	add_action('yolo_before_page','yolo_page_heading', 5);
}

/* 4. Yolo Archire Heading */
if (!function_exists('yolo_archive_heading')) {
	function yolo_archive_heading() {
		yolo_get_template('archive-heading');
	}
	add_action('yolo_before_archive','yolo_archive_heading', 5);
}

/* 5. Yolo Archire Product Heading */
if (!function_exists('yolo_archive_product_heading')) {
    function yolo_archive_product_heading() {
        yolo_get_template('archive-product-heading');
    }
    add_action('yolo_before_archive_product','yolo_archive_product_heading', 5);
}

/* 6. Yolo Topbar */
if (!function_exists('yolo_page_top_bar')) {
	function yolo_page_top_bar() {
		yolo_get_template('top-bar-template');
	}
	add_action('yolo_before_page_wrapper_content','yolo_page_top_bar', 10);
}

/* 7. Yolo Header */
if (!function_exists('yolo_page_header')) {
	function yolo_page_header() {
		yolo_get_template('header-template');
	}
	add_action('yolo_before_page_wrapper_content','yolo_page_header',15);
}
/* 8. Yolo Body Class */
if (!function_exists('yolo_body_class')) {
	function yolo_body_class( $classes ) {
		
		global $yolo_giraffe_options;
		$prefix = 'yolo_';

		// Site Preloader Class
		if (!empty($yolo_giraffe_options['home_preloader']) && $yolo_giraffe_options['home_preloader'] != 'none') {
			$classes[] = 'yolo-site-preload';
		}

		// Layout class
		$layout_style = get_post_meta(get_the_ID(),$prefix.'layout_style',true);
		if(!isset($layout_style) || $layout_style == '-1' || $layout_style == '') {
			$layout_style = isset($yolo_giraffe_options['layout_style'])? $yolo_giraffe_options['layout_style'] : 'wide' ;
		}

        if ($layout_style != 'wide') {
            $classes[] =  $layout_style;
        }
        // Page extra class
        $page_class_extra =  get_post_meta(get_the_ID(),$prefix.'page_class_extra',true);
		if (!empty($page_class_extra)) {
			$classes[] = $page_class_extra;
		}
		
		$yolo_header_layout = yolo_get_header_layout();

		$classes[] = $yolo_header_layout;
		// Header layout float
		if ( 'header-1' == $yolo_header_layout ) {
			$header_layout_float = 	( isset($yolo_giraffe_options['header_1_layout_float']) && $yolo_giraffe_options['header_1_layout_float'] != '' ) ? $yolo_giraffe_options['header_1_layout_float'] : false;
		}
		if ( 'header-3' == $yolo_header_layout ) {
			$header_layout_float = 	( isset($yolo_giraffe_options['header_3_layout_float']) && $yolo_giraffe_options['header_3_layout_float'] != '' ) ? $yolo_giraffe_options['header_3_layout_float'] : false;
		}
		if ( 'header-2' == $yolo_header_layout ) {
			$header_layout_float = 	( isset($yolo_giraffe_options['header_2_layout_float']) && $yolo_giraffe_options['header_2_layout_float'] != '' ) ? $yolo_giraffe_options['header_2_layout_float'] : false;
		}
		if (isset($header_layout_float) && $header_layout_float == '1') {
			$classes[] = 'header-float';
		}

		return $classes;
	}

	add_filter( 'body_class', 'yolo_body_class' );
}
/* 9. Yolo Header Layout */
if (!function_exists('yolo_get_header_layout')) {
	function yolo_get_header_layout() {
		global $yolo_giraffe_options;
		$prefix = 'yolo_';

		$page_enable_header_set_page = get_post_meta(get_the_ID(),$prefix . 'header_set_page',true); // Added by YoloTheme
		if('1' == $page_enable_header_set_page){
			$yolo_header_layout           = get_post_meta(get_the_ID(),$prefix . 'header_layout',true);
			if ('' === $yolo_header_layout) {
				$yolo_header_layout = isset($yolo_giraffe_options['header_layout']) ? $yolo_giraffe_options['header_layout'] : 'header-1';
			}
		}else{
			$yolo_header_layout = isset($yolo_giraffe_options['header_layout']) && !empty($yolo_giraffe_options['header_layout']) ? $yolo_giraffe_options['header_layout'] : 'header-3';
		}

		return $yolo_header_layout;
	}
}
/* 10. Yolo Single Heading */
if (!function_exists('yolo_single_teacher_heading')) {
	function yolo_single_teacher_heading() {
		yolo_get_template('single-teacher-heading');
	}
	add_action('yolo_before_single_teacher_heading','yolo_single_teacher_heading', 10);
}
/*11 . Yolo Archive Teacher Heading */
if (!function_exists('yolo_archive_teacher_heading')) {
    function yolo_archive_teacher_heading() {
        yolo_get_template('archive-teacher-heading');
    }
    add_action('yolo_before_archive_teacher','yolo_archive_teacher_heading', 5);
}
/*12. Yolo Single Teacher Heading*/
if(!function_exists('yolo_single_class_heading')){
	function yolo_single_class_heading(){
		yolo_get_template('single-class-heading');
	}
	add_action('yolo_before_single_class','yolo_single_class_heading',10);
}
/*13. Yolo Single Event Heading*/
if(!function_exists('yolo_single_event_heading')){
	function yolo_single_event_heading(){
		yolo_get_template('single-event-heading');
	}
	add_action('yolo_before_single_event','yolo_single_event_heading',10);
}
/*14. Yolo Archive Class Heading */
if (!function_exists('yolo_archive_class_heading')) {
    function yolo_archive_class_heading() {
        yolo_get_template('archive-class-heading');
    }
    add_action('yolo_before_archive_class','yolo_archive_class_heading', 10);
}

/*14. Yolo Archive Event Heading */
if (!function_exists('yolo_archive_event_heading')) {
    function yolo_archive_event_heading() {
        yolo_get_template('archive-event-heading');
    }
    add_action('yolo_before_archive_event','yolo_archive_event_heading', 10);
}