<?php
/**
 *  
 * @package    YoloTheme
 * @version    1.0.0
 * @created    26/12/2015
 * @author     Administrator <admin@yolotheme.com>
 * @copyright  Copyright (c) 2016, YoloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://yolotheme.com
*/
if ( class_exists( 'WooCommerce' ) ) {
    // FIXED COMPARE WHEN HAVE AJAX
    add_filter( 'yith_woocompare_actions_to_check_frontend', array( 'ylp_tab_load_products','ylp_tab_load_products','ylp_product_search_ajax' ) );
    // Disable Redirect Single Search Result
    add_filter( 'woocommerce_redirect_single_search_result', '__return_false' );
    /*================================================
    1. SALE FLASH MODE
    ================================================== */
    if ( ! function_exists('yolo_woocommerce_sale_flash') ) {
        function yolo_woocommerce_sale_flash($sale_flash,$post,$product) {
            global $yolo_giraffe_options;
            $product_sale_flash_mode = isset($yolo_giraffe_options['product_sale_flash_mode']) ? $yolo_giraffe_options['product_sale_flash_mode'] : '' ;
            if ($product_sale_flash_mode == 'percent') {
                $sale_percent = 0;
                if ($product->is_on_sale() && $product->get_type() != 'grouped') {
                    if ($product->get_type() == 'variable') {
                        $available_variations =  $product->get_available_variations();
                        for ($i = 0; $i < count($available_variations); ++$i) {
                            $variation_id      = $available_variations[$i]['variation_id'];
                            $variable_product1 = new WC_Product_Variation( $variation_id );
                            $regular_price     = $variable_product1->get_regular_price();
                            $sales_price       = $variable_product1->get_sale_price();
                            $price             = $variable_product1->get_price();
                            if ( $sales_price != $regular_price && $sales_price == $price ) {
                                $percentage= round((( ( $regular_price - $sales_price ) / $regular_price ) * 100),1) ;
                                if ($percentage > $sale_percent) {
                                    $sale_percent = $percentage;
                                }
                            }
                        }
                    } else {
                        $sale_percent = round((( ( $product->get_regular_price() - $product->get_sale_price() ) / $product->get_regular_price() ) * 100),1) ;
                    }
                    console_log('sale flash');
                }
                if ($sale_percent > 0) {
                    return '<span class="on-sale product-flash">' . $sale_percent . '%</span>';
                } else {
                    return "";
                }

            }
            return $sale_flash;
        }
        add_filter('woocommerce_sale_flash','yolo_woocommerce_sale_flash',10,3);
    }

    if (!function_exists('yolo_grf_get_sale_percent')) {
        function yolo_grf_get_sale_percent() {
            global $product;
            $regular_price = $product->get_regular_price();
            $sales_price = $product->get_sale_price();
            $price = $product->get_price();
            if ( $sales_price != $regular_price && $sales_price == $price ) {
                $percentage= round((( ( $regular_price - $sales_price ) / $regular_price ) * 100),1) ;
            }
            return $percentage;
        }
    }
    /*================================================
    2. FILTER HOOK
    ================================================== */
    remove_action('woocommerce_shop_loop_item_title','woocommerce_template_loop_product_title',10);
    add_action('woocommerce_after_shop_loop_item_title','yolo_woocommerce_template_loop_product_title',15); // @TODO: maybe break some remove action in shortcode use woocommerce_template_loop_product_title()
    if (!function_exists('yolo_woocommerce_template_loop_product_title')) {
        function yolo_woocommerce_template_loop_product_title() {
            echo '<a class="text-center product__title" href="'. get_the_permalink() .'" ><h3>' . get_the_title() . '</h3></a>';
        }
    }

    /*================================================
    3. SHOW RATING EVENT IF PRODUCT HADN'T BEEN REVIEWED
    ================================================== */
    add_filter('woocommerce_product_get_rating_html', 'yolo_get_rating_html', 10, 2);

    function yolo_get_rating_html($rating_html, $rating) {
        global $yolo_giraffe_options;
        $rating_class = '';
        $rating_option = isset($yolo_giraffe_options['product_show_rating'])? $yolo_giraffe_options['product_show_rating'] : true;
        if( $rating_option == false ) {
            $rating_class = 'rating-invisible';
        }
        if ( $rating > 0 ) {
            $title = sprintf( esc_html__( 'Rated %s out of 5', 'yolo-giraffe' ), $rating );
        } else {
            $title = 'Not yet rated';
            $rating = 0;
        }

        $rating_html  = '<div class="star-rating ' . $rating_class . '" title="' . $title . '">';
        $rating_html .= '<span style="width:' . ( ( $rating / 5 ) * 100 ) . '%"><strong class="rating">' . $rating . '</strong> ' . esc_html__( 'out of 5', 'yolo-giraffe' ) . '</span>';
        $rating_html .= '</div>';

        return $rating_html;
    }

    /*================================================
    4. QUICK VIEW TEMPLATE
    ================================================== */
    if (!function_exists('yolo_woocomerce_template_loop_quick_view')) {
        function yolo_woocomerce_template_loop_quick_view() {
            wc_get_template( 'loop/quick-view.php' );
        }
        add_action( 'yolo_grf_woocommerce_product_actions', 'yolo_woocomerce_template_loop_quick_view', 10 );
    }

    /*================================================
    5. WHISHLIST TEMPLATE
    ================================================== */
    if (!function_exists('yolo_woocomerce_template_loop_wishlist')) {
        function yolo_woocomerce_template_loop_wishlist() {
            wc_get_template( 'loop/wishlist.php' );
        }
        add_action( 'yolo_grf_woocommerce_product_actions', 'yolo_woocomerce_template_loop_wishlist', 15 );
    }

    /*================================================
    6. COMPARE TEMPLATE
    ================================================== */
    if (!function_exists('yolo_woocomerce_template_loop_compare')) {
        function yolo_woocomerce_template_loop_compare() {
            wc_get_template( 'loop/compare.php' );
        }
        add_action( 'yolo_grf_woocommerce_product_actions', 'yolo_woocomerce_template_loop_compare', 25 );
    }

    /*================================================
    7. WISHLISH AJAX @TODO: move to action.php
    ================================================== */
    function yolo_woocommerce_wishlist(){
        if( !(class_exists( 'WooCommerce' ) && class_exists('YITH_WCWL')) ){
            return;
        }
        
        ob_start();

        global $yolo_giraffe_options;
        $wishlist_style = $yolo_giraffe_options['wishlist_style'] ? true : false;

        
        $wishlist_page_id = get_option( 'yith_wcwl_wishlist_page_id' );
        if( function_exists( 'icl_object_id' ) ){
            $wishlist_page_id = icl_object_id( $wishlist_page_id, 'page', true );
        }

        $wishlist_page = (empty($wishlist_page_id)) ? '#' : get_permalink( $wishlist_page_id );
        
        $count = yith_wcwl_count_products();
        
        ?>
        
        <a title="<?php esc_html_e( 'Wishlist','yolo-giraffe' ); ?>" href="<?php echo esc_url($wishlist_page); ?>" class="yolo-wishlist <?php if( $wishlist_style ) echo 'canvas-menu-toggle'; ?>" <?php if( $wishlist_style ) echo 'data-id="wishlists-canvas"';?>>
            <i class="fas fa-heart"></i>
            <?php echo '<span class="total">' . ($count > 0 ? $count : '0') . '</span>'; ?>
        </a>

        <?php
        $yolo_wishlist = ob_get_clean();
        return $yolo_wishlist;
    }


    function yolo_update_woocommerce_wishlist() {
        die(yolo_woocommerce_wishlist());
    }

    add_action('wp_ajax_update_woocommerce_wishlist', 'yolo_update_woocommerce_wishlist');
    add_action('wp_ajax_nopriv_update_woocommerce_wishlist', 'yolo_update_woocommerce_wishlist');


    if (! function_exists('yolo_product_actions')) {
        function yolo_product_actions() {
            ?>
            <div>
                <div class="">
                    <?php yolo_woocommerce_wishlist();?>
                </div>
                <div>
                    <?php yolo_woocomerce_template_loop_quick_view(); ?>
                </div>
                <div>

                </div>
            </div>
            <?php
        }
    }
    /*-------------------------------------------------------------------------------
    8. Add style attribute types on woocommerce taxonomy
    ------------------------------------------------------------------------------- */

    if ( ! function_exists( 'yolo_admin_style_attributes_types' ) ) :

        function yolo_admin_style_attributes_types( $current ) {

            $current[ 'color' ] = esc_html__( 'Color', 'yolo-giraffe' );
            $current[ 'image' ] = esc_html__( 'Image', 'yolo-giraffe' );
            $current[ 'label' ] = esc_html__( 'Label', 'yolo-giraffe' );

            return $current;
        }

        add_filter( 'product_attributes_type_selector', 'yolo_admin_style_attributes_types' );
    endif;

    //-------------------------------------------------------------------------------
    // 9. Get a Attribute taxonomy values
    //-------------------------------------------------------------------------------

    if ( ! function_exists( 'yolo_get_wc_attribute_taxonomy' ) ):

        function yolo_get_wc_attribute_taxonomy( $attribute_name ) {

            global $wpdb;

            $attr_prefix        = wc_attribute_taxonomy_name( ' ' );
            $attribute_name     = esc_sql( str_ireplace( $attr_prefix, '', $attribute_name ) );
            $attribute_taxonomy = $wpdb->get_row( "SELECT * FROM " . $wpdb->prefix . "woocommerce_attribute_taxonomies WHERE attribute_name='{$attribute_name}'" );

            return $attribute_taxonomy;
        }
    endif;

    //-------------------------------------------------------------------------------
    // 10. Set style attribute on product admin page
    //-------------------------------------------------------------------------------

    if ( ! function_exists( 'yolo_admin_style_attributes_values' ) ) :

        function yolo_admin_style_attributes_values( $tax, $i ) {

            global $woocommerce, $thepostid;
            if ( in_array( $tax->attribute_type, array( 'color', 'image', 'label' ) ) ) {
                $taxonomy = wc_attribute_taxonomy_name( $tax->attribute_name );
                if ( is_null( $thepostid ) && isset( $_POST[ 'post_id' ] ) ) {
                    $thepostid = absint( $_POST[ 'post_id' ] );
                }
                ?>
                <select multiple="multiple" data-placeholder="<?php esc_attr_e( 'Select terms', 'yolo-giraffe' ); ?>"
                        class="multiselect attribute_values wc-enhanced-select"
                        name="attribute_values[<?php echo esc_attr($i); ?>][]">
                    <?php
                        $all_terms = get_terms( $taxonomy, 'orderby=name&hide_empty=0' );
                        if ( $all_terms ) {
                            foreach ( $all_terms as $term ) {
                                echo '<option value="' . esc_attr( $term->term_id ) . '" ' . selected( has_term( absint( $term->term_id ), $taxonomy, $thepostid ), TRUE, FALSE ) . '>' . $term->name . '</option>';
                            }
                        }
                    ?>
                </select>
                <button class="button plus select_all_attributes"><?php esc_html_e( 'Select all', 'yolo-giraffe' ); ?></button>
                <button class="button minus select_no_attributes"><?php esc_html_e( 'Select none', 'yolo-giraffe' ); ?></button>
                <button class="button fr plus add_new_attribute"><?php esc_html_e( 'Add new', 'yolo-giraffe' ); ?></button>
                <?php
            }
        }

        add_action( 'woocommerce_product_option_terms', 'yolo_admin_style_attributes_values', 10, 2 );

    endif;

    //-------------------------------------------------------------------------------
    // 11. Color Variation Attribute Options
    //-------------------------------------------------------------------------------

    if ( ! function_exists( 'yolo_wc_color_variation_attribute_options' ) ) :

        /**
         * Output a list of variation attributes for use in the cart forms.
         *
         * @param array $args
         *
         * @since 2.4.0
         */
        function yolo_wc_color_variation_attribute_options( $args = array() ) {

            $args = wp_parse_args( $args, array(
                'options'          => FALSE,
                'attribute'        => FALSE,
                'product'          => FALSE,
                'selected'         => FALSE,
                'name'             => '',
                'id'               => '',
                'class'            => '',
                'show_option_none' => esc_html__( 'Choose an option', 'yolo-giraffe' )
            ) );

            $options   = $args[ 'options' ];
            $product   = $args[ 'product' ];
            $attribute = $args[ 'attribute' ];
            $name      = $args[ 'name' ] ? $args[ 'name' ] : 'attribute_' . sanitize_title( $attribute );
            $id        = $args[ 'id' ] ? $args[ 'id' ] : sanitize_title( $attribute ) . $product->get_id();
            $class     = $args[ 'class' ];

            if ( empty( $options ) && ! empty( $product ) && ! empty( $attribute ) ) {
                $attributes = $product->get_variation_attributes();
                $options    = $attributes[ $attribute ];
            }

            echo '<select  class="' . esc_attr( $class ) . ' hide" name="' . esc_attr( $name ) . '" data-attribute_name="attribute_' . esc_attr( sanitize_title( $attribute ) ) . '">';

            if ( $args[ 'show_option_none' ] ) {
                echo '<option value="">' . esc_html( $args[ 'show_option_none' ] ) . '</option>';
            }

            if ( ! empty( $options ) ) {
                if ( $product && taxonomy_exists( $attribute ) ) {
                    // Get terms if this is a taxonomy - ordered. We need the names too.
                    $terms = wc_get_product_terms( $product->get_id(), $attribute, array( 'fields' => 'all' ) );

                    foreach ( $terms as $term ) {
                        if ( in_array( $term->slug, $options ) ) {
                            echo '<option value="' . esc_attr( $term->slug ) . '" ' . selected( sanitize_title( $args[ 'selected' ] ), $term->slug, FALSE ) . '>' . apply_filters( 'woocommerce_variation_option_name', $term->name ) . '</option>';
                        }
                    }
                }
            }

            echo '</select>';

            echo '<ul class="list-inline variable-items-wrapper color-variable-wrapper">';
            if ( ! empty( $options ) ) {
                if ( $product && taxonomy_exists( $attribute ) ) {
                    $terms = wc_get_product_terms( $product->get_id(), $attribute, array( 'fields' => 'all' ) );

                    foreach ( $terms as $term ) {
                        if ( in_array( $term->slug, $options ) ) {
                            $get_term_meta  = yolo_get_term_meta( $term->term_id, 'product_attribute_color', TRUE );
                            $selected_class = ( sanitize_title( $args[ 'selected' ] ) == $term->slug ) ? 'selected' : '';
                            ?>
                            <li data-toggle="tooltip" data-placement="top"
                                class="variable-item color-variable-item color-variable-item-<?php echo esc_attr($term->slug) ?> <?php echo esc_attr($selected_class) ?>"
                                title="<?php echo esc_html( $term->name ) ?>"
                                style="background-color:<?php echo esc_attr( $get_term_meta ) ?>;"
                                data-value="<?php echo esc_attr( $term->slug ) ?>"></li>
                            <?php
                        }
                    }
                }
            }
            echo '</ul>';
        }

    endif;

    //-------------------------------------------------------------------------------
    // 12. Image Variation Attribute Options
    //-------------------------------------------------------------------------------

    if ( ! function_exists( 'yolo_wc_image_variation_attribute_options' ) ) :

        /**
         * Output a list of variation attributes for use in the cart forms.
         *
         * @param array $args
         *
         * @since 2.4.0
         */
        function yolo_wc_image_variation_attribute_options( $args = array() ) {

            $args = wp_parse_args( $args, array(
                'options'          => FALSE,
                'attribute'        => FALSE,
                'product'          => FALSE,
                'selected'         => FALSE,
                'name'             => '',
                'id'               => '',
                'class'            => '',
                'show_option_none' => esc_html__( 'Choose an option', 'yolo-giraffe' )
            ) );

            $options   = $args[ 'options' ];
            $product   = $args[ 'product' ];
            $attribute = $args[ 'attribute' ];
            $name      = $args[ 'name' ] ? $args[ 'name' ] : 'attribute_' . sanitize_title( $attribute );
            $id        = $args[ 'id' ] ? $args[ 'id' ] : sanitize_title( $attribute ) . $product->get_id();
            $class     = $args[ 'class' ];

            if ( empty( $options ) && ! empty( $product ) && ! empty( $attribute ) ) {
                $attributes = $product->get_variation_attributes();
                $options    = $attributes[ $attribute ];
            }

            echo '<select  class="' . esc_attr( $class ) . ' hide" name="' . esc_attr( $name ) . '" data-attribute_name="attribute_' . esc_attr( sanitize_title( $attribute ) ) . '">';

            if ( $args[ 'show_option_none' ] ) {
                echo '<option value="">' . esc_html( $args[ 'show_option_none' ] ) . '</option>';
            }

            if ( ! empty( $options ) ) {
                if ( $product && taxonomy_exists( $attribute ) ) {
                    // Get terms if this is a taxonomy - ordered. We need the names too.
                    $terms = wc_get_product_terms( $product->get_id(), $attribute, array( 'fields' => 'all' ) );

                    foreach ( $terms as $term ) {
                        if ( in_array( $term->slug, $options ) ) {
                            echo '<option value="' . esc_attr( $term->slug ) . '" ' . selected( sanitize_title( $args[ 'selected' ] ), $term->slug, FALSE ) . '>' . apply_filters( 'woocommerce_variation_option_name', $term->name ) . '</option>';
                        }
                    }
                }
            }

            echo '</select>';

            echo '<ul class="list-inline variable-items-wrapper image-variable-wrapper">';
            if ( ! empty( $options ) ) {
                if ( $product && taxonomy_exists( $attribute ) ) {
                    $terms = wc_get_product_terms( $product->get_id(), $attribute, array( 'fields' => 'all' ) );

                    foreach ( $terms as $term ) {
                        if ( in_array( $term->slug, $options ) ) {
                            $get_term_meta  = yolo_get_term_meta( $term->term_id, 'product_attribute_image', TRUE );
                            $image          = wp_get_attachment_image_src( $get_term_meta, 'full' );
                            $selected_class = ( sanitize_title( $args[ 'selected' ] ) == $term->slug ) ? 'selected' : '';
                            ?>
                            <li data-toggle="tooltip" data-placement="top"
                                class="variable-item image-variable-item image-variable-item-<?php echo esc_attr($term->slug) ?> <?php echo esc_attr($selected_class) ?>"
                                title="<?php echo esc_html( $term->name ) ?>"
                                data-value="<?php echo esc_attr( $term->slug ) ?>"><img
                                    alt="<?php echo esc_html( $term->name ) ?>"
                                    src="<?php echo esc_url( $image[ 0 ] ) ?>"></li>
                            <?php
                        }
                    }
                }
            }
            echo '</ul>';
        }
    endif;

    //-------------------------------------------------------------------------------
    // 13. Label Variation Attribute Options
    //-------------------------------------------------------------------------------

    if ( ! function_exists( 'yolo_wc_label_variation_attribute_options' ) ) :

        /**
         * Output a list of variation attributes for use in the cart forms.
         *
         * @param array $args
         *
         * @since 2.4.0
         */
        function yolo_wc_label_variation_attribute_options( $args = array() ) {

            $args = wp_parse_args( $args, array(
                'options'          => FALSE,
                'attribute'        => FALSE,
                'product'          => FALSE,
                'selected'         => FALSE,
                'name'             => '',
                'id'               => '',
                'class'            => '',
                'show_option_none' => esc_html__( 'Choose an option', 'yolo-giraffe' )
            ) );

            $options   = $args[ 'options' ];
            $product   = $args[ 'product' ];
            $attribute = $args[ 'attribute' ];
            $name      = $args[ 'name' ] ? $args[ 'name' ] : 'attribute_' . sanitize_title( $attribute );
            $id        = $args[ 'id' ] ? $args[ 'id' ] : sanitize_title( $attribute ) . $product->get_id();
            $class     = $args[ 'class' ];

            if ( empty( $options ) && ! empty( $product ) && ! empty( $attribute ) ) {
                $attributes = $product->get_variation_attributes();
                $options    = $attributes[ $attribute ];
            }

            echo '<select class="' . esc_attr( $class ) . ' hide" name="' . esc_attr( $name ) . '" data-attribute_name="attribute_' . esc_attr( sanitize_title( $attribute ) ) . '">';

            if ( $args[ 'show_option_none' ] ) {
                echo '<option value="">' . esc_html( $args[ 'show_option_none' ] ) . '</option>';
            }

            if ( ! empty( $options ) ) {
                if ( $product && taxonomy_exists( $attribute ) ) {
                    // Get terms if this is a taxonomy - ordered. We need the names too.
                    $terms = wc_get_product_terms( $product->get_id(), $attribute, array( 'fields' => 'all' ) );

                    foreach ( $terms as $term ) {
                        if ( in_array( $term->slug, $options ) ) {
                            echo '<option value="' . esc_attr( $term->slug ) . '" ' . selected( sanitize_title( $args[ 'selected' ] ), $term->slug, FALSE ) . '>' . apply_filters( 'woocommerce_variation_option_name', $term->name ) . '</option>';
                        }
                    }
                }
            }

            echo '</select>';

            echo '<ul class="list-inline variable-items-wrapper label-variable-wrapper">';
            if ( ! empty( $options ) ) {
                if ( $product && taxonomy_exists( $attribute ) ) {
                    $terms = wc_get_product_terms( $product->get_id(), $attribute, array( 'fields' => 'all' ) );

                    foreach ( $terms as $term ) {
                        if ( in_array( $term->slug, $options ) ) {
                            $get_term_meta  = yolo_get_term_meta( $term->term_id, 'product_attribute_label', TRUE );
                            $selected_class = ( sanitize_title( $args[ 'selected' ] ) == $term->slug ) ? 'selected' : '';
                            ?>
                            <li data-toggle="tooltip" data-placement="top"
                                class="variable-item label-variable-item label-variable-item-<?php echo esc_attr($term->slug) ?> <?php echo esc_attr($selected_class) ?>"
                                title="<?php echo esc_html( $term->name ) ?>"
                                data-value="<?php echo esc_attr( $term->slug ) ?>"><?php echo esc_html( $term->name ) ?></li>
                            <?php
                        }
                    }
                }
            }
            echo '</ul>';
        }

    endif;

    /*================================================
    RESET LOOP
    ================================================== */
    if (!function_exists('yolo_woocommerce_reset_loop')) {
        function yolo_woocommerce_reset_loop() {
            global $yolo_woocommerce_loop;
            $yolo_woocommerce_loop['layout']          = '';
            $yolo_woocommerce_loop['single_columns']  = '';
            $yolo_woocommerce_loop['columns']         = '';
            $yolo_woocommerce_loop['rating']          = '';
            $yolo_woocommerce_loop['autoPlay']        = 'false';
            $yolo_woocommerce_loop['transitionStyle'] = 'false';
            $yolo_woocommerce_loop['autoHeight']      = 'false';
        }
    }

    /*================================================
    LOOP LINK TEMPLATE
    ================================================== */
    if (!function_exists('yolo_woocomerce_template_loop_link')) {
        function yolo_woocomerce_template_loop_link() {
            wc_get_template( 'loop/link.php' );
        }
        add_action('woocommerce_before_shop_loop_item_title','yolo_woocomerce_template_loop_link',20);
    }
	

    /*================================================
    FILTER PRODUCTS PER PAGE
    ================================================== */
    if (!function_exists('yolo_show_products_per_page')) {
        function yolo_show_products_per_page() {
            global $yolo_giraffe_options;
            $product_per_page = isset($yolo_giraffe_options['product_per_page']) ? $yolo_giraffe_options['product_per_page'] : '';
            if (empty($product_per_page)) {
                $product_per_page = 12;
            }
            $page_size = isset($_GET['product_per_page']) ? wc_clean($_GET['product_per_page']) : $product_per_page;
            return $page_size;
        }
        add_filter('loop_shop_per_page', 'yolo_show_products_per_page');
    }

    /*================================================
    SINGLE PRODUCT
    ================================================== */


    if (!function_exists('yolo_related_products_args')) {
        function yolo_related_products_args() {
	        global $yolo_giraffe_options;
	        $args['posts_per_page'] = isset($yolo_giraffe_options['related_product_count']) ? $yolo_giraffe_options['related_product_count'] :  8;
	        return $args;
        }
        add_filter('woocommerce_output_related_products_args', 'yolo_related_products_args');
    }

	if (!function_exists('yolo_woocommerce_product_related_posts_relate_by_category')) {
		function yolo_woocommerce_product_related_posts_relate_by_category() {
			global $yolo_giraffe_options;
			return isset($yolo_giraffe_options['related_product_condition']['category']) && $yolo_giraffe_options['related_product_condition']['category'] == 1 ? true : false;
		}
		add_filter('woocommerce_product_related_posts_relate_by_category','yolo_woocommerce_product_related_posts_relate_by_category');
	}

	if (!function_exists('yolo_woocommerce_product_related_posts_relate_by_tag')) {
		function yolo_woocommerce_product_related_posts_relate_by_tag() {
			global $yolo_giraffe_options;
			return isset($yolo_giraffe_options['related_product_condition']['tag']) && $yolo_giraffe_options['related_product_condition']['tag'] == 1 ? true : false;
		}
		add_filter('woocommerce_product_related_posts_relate_by_tag','yolo_woocommerce_product_related_posts_relate_by_tag');
	}


    /*================================================
    SHOPPING CART
    ================================================== */

    if (!function_exists('yolo_button_continue_shopping')) {
        function yolo_button_continue_shopping () {
            $continue_shopping =  get_permalink( wc_get_page_id( 'shop' ) );
            ?>
            <a href="<?php echo esc_url($continue_shopping); ?>" class="continue-shopping button"><?php esc_html_e( 'Continue shopping', 'yolo-giraffe' ); ?></a>
            <?php
        }
    }

    

	/*================================================
	QUICK VIEW
	================================================== */
	add_action('yolo_before_quick_view_product_summary','woocommerce_show_product_sale_flash',10);

	if (!function_exists('yolo_quick_view_product_images')) {
		function yolo_quick_view_product_images() {
			wc_get_template('quick-view/product-image.php');
		}
		add_action('yolo_before_quick_view_product_summary','yolo_quick_view_product_images',20);
	}

    if (!function_exists('yolo_template_quick_view_product_title')) {
        function yolo_template_quick_view_product_title() {
            wc_get_template( 'quick-view/title.php' );
        }
        add_action('yolo_quick_view_product_summary','yolo_template_quick_view_product_title',5);
    }

    if (!function_exists('yolo_template_quick_view_product_rating')) {
        function yolo_template_quick_view_product_rating() {
            wc_get_template( 'quick-view/rating.php' );
        }
        add_action('yolo_quick_view_product_summary','yolo_template_quick_view_product_rating',15);
    }

    add_action('yolo_quick_view_product_summary','woocommerce_template_single_price',10);
    add_action('yolo_quick_view_product_summary','woocommerce_template_single_excerpt',20);
    add_action('yolo_quick_view_product_summary','woocommerce_template_single_add_to_cart',30);
    add_action('yolo_quick_view_product_summary','woocommerce_template_single_meta',40);
    // add_action('yolo_quick_view_product_summary','woocommerce_template_single_sharing',50);


    /*================================================
	CUSTOM WOOCOMERCE CATALOG ORDERING
	================================================== */
    remove_action( 'woocommerce_before_shop_loop', 'woocommerce_result_count', 20 );
    remove_action( 'woocommerce_before_shop_loop', 'woocommerce_catalog_ordering', 30 );

    add_action( 'yolo_before_shop_loop', 'woocommerce_result_count', 30 );
    add_action( 'yolo_before_shop_loop', 'woocommerce_catalog_ordering', 20 );


    /*================================================
	SHOP PAGE CONTENT
	================================================== */
    if (!function_exists('yolo_shop_page_content')) {
        global $yolo_giraffe_options;
        function yolo_shop_page_content() {
            $page_shop_id =  get_option( 'woocommerce_shop_page_id' );
            if ($page_shop_id == -1) return;
            $myClass = array('shop-page-content-wrapper');
            $myClass[] = 'shop-page-content-'.$page_shop_id;
            $query = new WP_Query('page_id='.$page_shop_id);
            if ($query->have_posts()) {
                ?>
                    <div class="<?php echo esc_attr(join(' ',$myClass)); ?>">
                        <?php while ($query->have_posts()) : $query->the_post() ; ?>
                            <?php the_content(); ?>
                        <?php endwhile; ?>
                    </div>
                <?php
            }
            wp_reset_postdata();
        }
        $show_page_shop_content = isset($yolo_giraffe_options['show_page_shop_content']) ? $yolo_giraffe_options['show_page_shop_content'] : '0';
        if ($show_page_shop_content == 'before') {
            add_action('yolo_before_archive_product_listing','yolo_shop_page_content',5);
        }
        if ($show_page_shop_content == 'after') {
            add_action('yolo_after_archive_product_listing','yolo_shop_page_content',5);
        }
    }

    /*================================================
	ADD EXTEND CLASS IN POPUP COMPARE
	================================================== */
    if (!function_exists('yolo_compare_body_class')) {
        function yolo_compare_body_class($classes) {
            $classes[] = 'woocommerce';
            $action = isset($_GET['action']) ? $_GET['action'] : '';
            if (isset($action)) {
                switch ($action) {
                    case 'yith-woocompare-view-table':
                        $classes[] = 'woocommerce-compare-page';
                        break;
                }
            }
            return $classes;
        }
        add_filter('body_class', 'yolo_compare_body_class');
    }


    /*================================================
    SINGLE PRODUCT FUNCTIONS
    ================================================== */
    if (!function_exists('yolo_woocommerce_template_single_function')) {
        function yolo_woocommerce_template_single_function() {
            wc_get_template( 'single-product/product-function.php' );
        }
        add_action('woocommerce_single_product_summary','yolo_woocommerce_template_single_function',35);
    }

    /*================================================
    PRODUCT ADD TO CART OPTIONS
    ================================================== */
    if ( ! function_exists( 'woocommerce_template_loop_add_to_cart' ) ) {

	/**
	 * Get the add to cart template for the loop.
	 *
	 * @param array $args Arguments.
	 */
	function yolo_wc_giraffe_template_loop_add_to_cart( $args = array() ) {
		global $product;

		if ( $product ) {
			$defaults = array(
				'quantity'   => 1,
				'class'      => implode( ' ', array_filter( array(
					'button',
					'product_type_' . $product->get_type(),
					$product->is_purchasable() && $product->is_in_stock() ? 'add_to_cart_button' : '',
					$product->supports( 'ajax_add_to_cart' ) ? 'ajax_add_to_cart' : '',
				) ) ),
				'attributes' => array(
					'data-product_id'  => $product->get_id(),
					'data-product_sku' => $product->get_sku(),
					'aria-label'       => $product->add_to_cart_description(),
					'rel'              => 'nofollow',
				),
			);

			$args = apply_filters( 'woocommerce_loop_add_to_cart_args', wp_parse_args( $args, $defaults ), $product );

			if ( isset( $args['attributes']['aria-label'] ) ) {
				$args['attributes']['aria-label'] = strip_tags( $args['attributes']['aria-label'] );
			}

			wc_get_template( 'loop/add-to-cart-loop.php', $args );
		}
	}
}


    $product_add_to_cart = isset($yolo_giraffe_options['product_add_to_cart']) ? $yolo_giraffe_options['product_add_to_cart'] : true;
    if ($product_add_to_cart == true) {
        add_action('yolo_grf_woocommerce_product_actions','yolo_wc_giraffe_template_loop_add_to_cart',5);
    }
    if ($product_add_to_cart == false) {
        remove_action('woocommerce_single_product_summary','yolo_wc_giraffe_template_loop_add_to_cart',5);
    }

    /*================================================
    ADD META NEW - HOT
    ================================================== */
    // Display Fields
    if (!function_exists('yolo_woocommerce_add_custom_general_fields')) {
        function yolo_woocommerce_add_custom_general_fields() {
            echo '<div class="options_group">';
            woocommerce_wp_checkbox(
                array(
                    'id'    => 'yolo_product_new',
                    'label' => esc_html__( 'Product New', 'yolo-giraffe' )
                )
            );
            woocommerce_wp_checkbox(
                array(
                    'id'    => 'yolo_product_hot',
                    'label' => esc_html__( 'Product Hot', 'yolo-giraffe' )
                )
            );
            echo '</div>';
        }
        add_action('woocommerce_product_options_general_product_data', 'yolo_woocommerce_add_custom_general_fields');
    }

    // Save Fields
    if (!function_exists('yolo_woocommerce_add_custom_general_fields_save')) {
        function yolo_woocommerce_add_custom_general_fields_save($post_id) {
            $yolo_product_new = isset($_POST['yolo_product_new']) ? 'yes' : 'no';
            update_post_meta($post_id, 'yolo_product_new', $yolo_product_new);

            $yolo_product_hot = isset($_POST['yolo_product_hot']) ? 'yes' : 'no';
            update_post_meta($post_id, 'yolo_product_hot', $yolo_product_hot);
        }
        add_action('woocommerce_process_product_meta', 'yolo_woocommerce_add_custom_general_fields_save');
    }

    //Add custom column into Product Page
    if (!function_exists('yolo_columns_into_product_list')) {
        function yolo_columns_into_product_list($defaults) {
            $defaults['yolo_product_new'] = esc_html__('New','yolo-giraffe');
            $defaults['yolo_product_hot'] = esc_html__('Hot','yolo-giraffe');
            return $defaults;
        }
        add_filter('manage_edit-product_columns', 'yolo_columns_into_product_list');
    }


    //Add rows value into Product Page
    if (!function_exists('yolo_column_into_product_list')) {
        function yolo_column_into_product_list($column, $post_id) {
            switch ($column) {
                case 'yolo_product_new':
                    echo get_post_meta($post_id, 'yolo_product_new', true);
                    break;
                case 'yolo_product_hot':
                    echo get_post_meta($post_id, 'yolo_product_hot', true);
                    break;
            }
        }
        add_action('manage_product_posts_custom_column', 'yolo_column_into_product_list', 10, 2);
    }



    // Make these columns sortable
    if (!function_exists('yolo_sortable_columns')) {
        function yolo_sortable_columns() {
            return array(
                'yolo_product_new' => 'yolo_product_new',
                'yolo_product_hot' => 'yolo_product_hot'
            );
        }
    }

    if (!function_exists('yolo_event_column_orderby')) {
        function yolo_event_column_orderby($query) {
            if (!is_admin()) return;
            $orderby = $query->get('orderby');
            if ('yolo_product_new' == $orderby) {
                $query->set('meta_key', 'yolo_product_new');
                $query->set('orderby', 'meta_value_num');
            }

            if ('yolo_product_hot' == $orderby) {
                $query->set('meta_key', 'yolo_product_hot');
                $query->set('orderby', 'meta_value_num');
            }
        }
    }
    /*================================================
    ADD META NEW - HOT END
    ================================================== */

    /*================================================
    ADVANCED SEARCH CATEGORY
    ================================================== */
    if (!function_exists('yolo_advanced_search_category_query')) {
        function yolo_advanced_search_category_query($query) {
            if($query->is_search()) {
                // category terms search.
                if (isset($_GET['product_cat']) && !empty($_GET['product_cat'])) {
                    $query->set('tax_query', array(array(
                        'taxonomy' => 'product_cat',
                        'field' => 'slug',
                        'terms' => array($_GET['product_cat']) )
                    ));
                }
                return $query;
            }
        }
        add_action('pre_get_posts', 'yolo_advanced_search_category_query', 1000);
    }

    /*================================================
    SHARE
    ================================================== */
    add_action('woocommerce_share','yolo_share',10);

    if (!function_exists('yolo_woocommerce_before_customer_login_form')) {
        function yolo_woocommerce_before_customer_login_form() {
            echo '<div class="customer_login_form_wrap">';
        }
        add_action('woocommerce_before_customer_login_form','yolo_woocommerce_before_customer_login_form',10);
    }

    if (!function_exists('yolo_woocommerce_after_customer_login_form')) {
        function yolo_woocommerce_after_customer_login_form() {
            echo '</div>';
        }
        add_action('woocommerce_after_customer_login_form','yolo_woocommerce_after_customer_login_form',10);
    }

    // Paging Load More Product
    //--------------------------------------------------------------
    if (!function_exists('yolo_paging_load_more_product')) {
        function yolo_paging_load_more_product($products) {
            // Don't print empty markup if there's only one page.
            if ( $products->max_num_pages < 2 ) {
                return;
            }
            $link = get_next_posts_page_link($products->max_num_pages);
            if (!empty($link)) :
                ?> 
                    <button data-href="<?php echo esc_url($link); ?>" type="button"  data-loading-text="<span class='fa fa-spinner fa-spin'></span> <?php esc_html_e( "Loading...",'yolo-giraffe' ); ?>" class="product-load-more giraffe-button style1 button-2x" autocomplete="off">
                        <?php esc_html_e( "Load More", 'yolo-giraffe' ); ?>
                    </button>
            <?php
            endif;
        }
    }
    // Paging Infinite Scroll Product
    //--------------------------------------------------------------
    if ( ! function_exists('yolo_paging_infinitescroll_product') ) {
        function yolo_paging_infinitescroll_product($products) {
            // Don't print empty markup if there's only one page.
            if ( $products->max_num_pages < 2 ) {
                return;
            }
            $link = get_next_posts_page_link($products->max_num_pages);
            if (!empty($link)) :
                ?>
                <nav id="infinite_scroll_button">
                    <a href="<?php echo esc_url($link); ?>"></a>
                </nav>
                <div id="infinite_scroll_loading" class="text-center infinite-scroll-loading"></div>
            <?php
            endif;
        }
    }

    // Paging Nav Product
    //--------------------------------------------------------------
    if ( ! function_exists( 'yolo_paging_nav_product' ) ) {
        function yolo_paging_nav_product($products) {
            global $wp_rewrite;
            // Don't print empty markup if there's only one page.
            if ( $products->max_num_pages < 2 ) {
                return;
            }

            $paged        = get_query_var( 'paged' ) ? intval( get_query_var( 'paged' ) ) : 1;
            $pagenum_link = html_entity_decode( get_pagenum_link() );
            $query_args   = array();
            $url_parts    = explode( '?', $pagenum_link );

            if ( isset( $url_parts[1] ) ) {
                wp_parse_str( $url_parts[1], $query_args );
            }

            $pagenum_link = esc_url(remove_query_arg( array_keys( $query_args ), $pagenum_link ));
            $pagenum_link = trailingslashit( $pagenum_link ) . '%_%';

            $format  = $wp_rewrite->using_index_permalinks() && ! strpos( $pagenum_link, 'index.php' ) ? 'index.php/' : '';
            $format .= $wp_rewrite->using_permalinks() ? user_trailingslashit( $wp_rewrite->pagination_base . '/%#%', 'paged' ) : '?paged=%#%';

            // Set up paginated links.
            $page_links = paginate_links( array(
                'base'      => $pagenum_link,
                'format'    => $format,
                'total'     => $products->max_num_pages,
                'current'   => $paged,
                'mid_size'  => 1,
                'add_args'  => array_map( 'urlencode', $query_args ),
                'prev_text' => esc_html__('Prev', 'yolo-giraffe'),
                'next_text' => esc_html__('Next', 'yolo-giraffe'),
                'type'      => 'array'
            ) );

            if (count($page_links) == 0) return;

            $links = "<div class='woocommerce-pagination'>";
            $links .= "<ul class='pagination'>\n\t<li>";
            $links .= join("</li>\n\t<li>", $page_links);
            $links .= "</li>\n</ul>\n";
            $links .= "</div>";

            return $links;
        }
    }

    /*
     *  Category menu: Output product categories menu
     */
    function yolo_product_cat() {
        $categories = get_categories( $args = array(
           'type'          => 'post',
           'hide_empty'    => 1,
           'hierarchical'  => 1,
           'taxonomy'      => 'product_cat',
       ) );
        $cat = array_shift($categories);
        return $cat->cat_name;
    }
    function yolo_product_cat_id() {
        $categories = get_categories( $args = array(
           'type'          => 'post',
           'hide_empty'    => 1,
           'hierarchical'  => 1,
           'taxonomy'      => 'product_cat',
       ) );
        $cat = array_shift($categories);
        return $cat->cat_ID;
    }
    function yolo_category_menu() {
       $categories = get_categories( $args = array(
           'type'          => 'post',
           'hide_empty'    => 1,
           'hierarchical'  => 1,
           'taxonomy'      => 'product_cat'
       ) );
       global $wp_query;
       $cat_all = 1;
       $page_shop_id =  get_option( 'woocommerce_shop_page_id' );
       $page_shop_url = '';
       if(isset($page_shop_id) && !empty($page_shop_id)){
            $page_shop_url = get_permalink($page_shop_id );
       }
        $current_id = '';
        $current_class = '';
        if(is_product_category()){
            $current_id = $wp_query->queried_object->term_id;
        }else{
            $current_class = "current-cat";
        }
       if($categories):
           foreach ( $categories as $key => $val ) {
               if (  $val->term_id == $current_id ) {
                   $cat_all = 0;
               }
           }
       endif;
       $output = '<h4 class = "yolo-filter-categories-mobile">'.esc_html__('Categories','yolo-giraffe').'</h4>';
       $output .= '<ul class="yolo-filter-categories">';
       if ( $cat_all ) {
        $output .= '<li class="'.$current_class.'"><a href="' .esc_url($page_shop_url).'">' . esc_html__( 'All', 'yolo-giraffe') . '</a></li>'; // @TODO: change shop to get shop page
       } else {
           $output .= '<li class=""><a href="'.esc_url($page_shop_url).'">' . esc_html__( 'All', 'yolo-giraffe') . '</a></li>';
       }
       if( $categories ){
           foreach ( $categories as $key => $val ) {
               if ( $val->count > 0 ) {
                   if ( $current_id == $val->term_id ) {
                       $output .= '<li class="current-cat">';
                   } else {
                       $output .= '<li class="">';
                   }
                   $output .= '<span>/</span>';
                   $output .= '<a href="'.get_term_link( (int) $val->term_id, 'product_cat' ).'">' . $val->name . '</a>';
                   $output .= '</li>';
               }
           }
       }
       $output .= '</ul>';

       return $output;
    }
    function yolo_active_filters_count() {
        $count = 0;

        // WooCommerce source: "../plugins/woocommerce/includes/widgets/class-wc-widget-layered-nav-filters.php" (line 50)
        $_chosen_attributes = WC_Query::get_layered_nav_chosen_attributes();
        $count += isset( $_GET['min_price'] ) ? 1 : 0;
        $count += isset( $_GET['min_rating'] ) ? 1 : 0;

        // Count active terms/filters
        foreach ( $_chosen_attributes as $attributes ) {
            $count += count( $attributes['terms'] );
        }

        return $count;
    }
    /*--------------------------------------------
    ADD ACCESORIES TAB FOR SINGLE PRODUCT (BACKEND)
    --------------------------------------------*/
    if ( ! function_exists('yolo_add_product_accessories_panel_tab') ) {
        add_action( 'woocommerce_product_write_panel_tabs','yolo_add_product_accessories_panel_tab' );
        function yolo_add_product_accessories_panel_tab() {
            ?>
            <li class="accessories_options accessories_tab show_if_simple show_if_variable">
                <a href="#accessories_product_data"><?php esc_html_e( 'Accessories', 'yolo-giraffe' ); ?></a>
            </li>
            <?php
        }
    }
    /*Add Product Accesories*/
    if ( ! function_exists('yolo_add_product_accessories') ) {
        add_action( 'woocommerce_product_data_panels','yolo_add_product_accessories');
        function yolo_add_product_accessories() {
            global $post;
            ?>
            <div id="accessories_product_data" class="panel woocommerce_options_panel">
                <div class="options_group">
                    <p class="form-field">
                        <label for="accessory_ids"><?php esc_html_e( 'Accessories', 'yolo-giraffe' ); ?></label>
                        <select class="wc-product-search" multiple="multiple" style="width: 50%;" id="accessory_ids" name="accessory_ids[]" data-placeholder="<?php esc_attr_e( 'Search for a product&hellip;', 'yolo-giraffe' ); ?>" data-action="yolo_json_search_simple_products" data-exclude="<?php echo intval( $post->ID ); ?>">
                        <?php
                            $product_ids = array_filter( array_map( 'absint', (array) get_post_meta( $post->ID, '_accessory_ids', true ) ) );
                            foreach ( $product_ids as $product_id ) {
                                $product = wc_get_product( $product_id );
                                if ( is_object( $product ) ) {
                                    echo '<option value="' . esc_attr( $product_id ) . '"' . selected( true, true, false ) . '>' . wp_kses_post( $product->get_formatted_name() ) . '</option>';
                                }
                            }
                        ?>
                        </select><?php echo wc_help_tip( esc_html__( 'Accessories are products which you recommend to be bought along with this product.', 'yolo-giraffe' ) ); ?>
                    </p>
                </div>
            </div>
            <?php
        }
    }
    if ( ! function_exists('yolo_save_product_accessories') ) {
        add_action( 'woocommerce_process_product_meta_simple','yolo_save_product_accessories' );
        add_action( 'woocommerce_process_product_meta_variable','yolo_save_product_accessories' );
        add_action( 'woocommerce_process_product_meta_grouped','yolo_save_product_accessories' );
        add_action( 'woocommerce_process_product_meta_external','yolo_save_product_accessories' );
        function yolo_save_product_accessories( $post_id ) {
            $accessories = isset( $_POST['accessory_ids'] ) ? array_map( 'intval', (array) $_POST['accessory_ids'] ) : array();
            update_post_meta( $post_id, '_accessory_ids', $accessories );
        }
    }
    if ( ! function_exists('yolo_get_accessories') ) {
        function yolo_get_accessories( $product ) {
            if(isset($product) && !empty($product->get_id())){
                $accessories = array_filter( array_map( 'absint', (array) get_post_meta( $product->get_id(), '_accessory_ids', true ) ) );
                return apply_filters( 'woocommerce_product_accessory_ids', (array) maybe_unserialize( $accessories ), $product );
            }
            return;
        }
    }
    /**
     * Search for products and echo json.
     *
     * @param string $term (default: '')
     * @param string $post_types (default: array('product'))
     */
    if(!function_exists('yolo_json_search_simple_products')){
        add_action( 'wp_ajax_yolo_json_search_simple_products','yolo_json_search_simple_products' );
        function yolo_json_search_simple_products( $term = '', $post_types = array( 'product' ) ) {
            global $wpdb;

            ob_start();

            check_ajax_referer( 'search-products', 'security' );

            if ( empty( $term ) ) {
                $term = wc_clean( stripslashes( $_GET['term'] ) );
            } else {
                $term = wc_clean( $term );
            }

            if ( empty( $term ) ) {
                die();
            }

            $like_term = '%' . $wpdb->esc_like( $term ) . '%';

            if ( is_numeric( $term ) ) {
                $query = $wpdb->prepare( "
                    SELECT ID FROM {$wpdb->posts} posts LEFT JOIN {$wpdb->postmeta} postmeta ON posts.ID = postmeta.post_id
                    WHERE posts.post_status = 'publish'
                    AND (
                        posts.post_parent = %s
                        OR posts.ID = %s
                        OR posts.post_title LIKE %s
                        OR (
                            postmeta.meta_key = '_sku' AND postmeta.meta_value LIKE %s
                        )
                    )
                ", $term, $term, $term, $like_term );
            } else {
                $query = $wpdb->prepare( "
                    SELECT ID FROM {$wpdb->posts} posts LEFT JOIN {$wpdb->postmeta} postmeta ON posts.ID = postmeta.post_id
                    WHERE posts.post_status = 'publish'
                    AND (
                        posts.post_title LIKE %s
                        or posts.post_content LIKE %s
                        OR (
                            postmeta.meta_key = '_sku' AND postmeta.meta_value LIKE %s
                        )
                    )
                ", $like_term, $like_term, $like_term );
            }

            $query .= " AND posts.post_type IN ('" . implode( "','", array_map( 'esc_sql', $post_types ) ) . "')";

            if ( ! empty( $_GET['exclude'] ) ) {
                $query .= " AND posts.ID NOT IN (" . implode( ',', array_map( 'intval', explode( ',', $_GET['exclude'] ) ) ) . ")";
            }

            if ( ! empty( $_GET['include'] ) ) {
                $query .= " AND posts.ID IN (" . implode( ',', array_map( 'intval', explode( ',', $_GET['include'] ) ) ) . ")";
            }

            if ( ! empty( $_GET['limit'] ) ) {
                $query .= " LIMIT " . intval( $_GET['limit'] );
            }

            $posts          = array_unique( $wpdb->get_col( $query ) );
            $found_products = array();

            if ( ! empty( $posts ) ) {
                foreach ( $posts as $post ) {
                    $product = wc_get_product( $post );

                    if ( ! current_user_can( 'read_product', $post ) ) {
                        continue;
                    }

                    if ( ! $product || ( $product->is_type( 'variation' ) && empty( $product->parent ) ) ) {
                        continue;
                    }

                    if ( ! $product->is_type( 'simple' ) ) {
                        continue;
                    }

                    $found_products[ $post ] = rawurldecode( $product->get_formatted_name() );
                }
            }

            $found_products = apply_filters( 'woocommerce_json_search_found_products', $found_products );
            wp_send_json( $found_products );
        }
    }
     /*--------------------------------------------
    END ACCESORIES FOR SINGLE PRODUCT (BACKEND)
    --------------------------------------------*/
     /*--------------------------------------------
    ADD ACCESORIES TAB FOR SINGLE PRODUCT (FRONTEND)
    --------------------------------------------*/

    if(!function_exists('yolo_accessories_product_tab')){
        add_filter( 'woocommerce_product_tabs', 'yolo_accessories_product_tab' );
        function yolo_accessories_product_tab( $tabs ) {
            global $product;
            // Adds the new tab
            $accessories = yolo_get_accessories( $product );
            if ( sizeof( $accessories ) !== 0 && array_filter( $accessories ) && $product->is_type( array( 'simple', 'variable' ) ) ) {
                $tabs['accessories'] = array(
                    'title'     => esc_html__( 'Accessories', 'yolo-giraffe' ),
                    'priority'  => 1,
                    'callback'  => 'yolo_product_accessories_tab'
                );
            }
            return $tabs;

        }
    }
    if ( ! function_exists( 'yolo_product_accessories_tab' ) ) {
        function yolo_product_accessories_tab() {
            wc_get_template( 'single-product/tabs/accessories.php' );
        }
    }
    if ( ! function_exists( 'yolo_accessory_checked_total_price' ) ) {
        add_action( 'wp_ajax_nopriv_yolo_accessory_checked_total_price','yolo_accessory_checked_total_price' );
        add_action( 'wp_ajax_yolo_accessory_checked_total_price','yolo_accessory_checked_total_price' );
        function yolo_accessory_checked_total_price() {
            global $woocommerce;
            $price = empty( $_POST['price'] ) ? 0 : $_POST['price'];
            if( $price ) {
                $price_html = wc_price( $price );
                echo wp_kses_post( $price_html );
            }

            die();
        }
    }
    /**
     * AJAX add to cart.
     */
    if ( ! function_exists( 'yolo_add_to_cart' ) ) {
        // Accessories Ajax Add to Cart for Variable Products
        add_action( 'wp_ajax_nopriv_yolo_add_to_cart','yolo_add_to_cart' );
        add_action( 'wp_ajax_yolo_add_to_cart','yolo_add_to_cart' );
        function yolo_add_to_cart() {
            $product_id        = apply_filters( 'yolo_add_to_cart_product_id', absint( $_POST['product_id'] ) );
            $quantity          = empty( $_POST['quantity'] ) ? 1 : wc_stock_amount( $_POST['quantity'] );
            $variation_id      = empty( $_POST['variation_id'] ) ? 0 : $_POST['variation_id'];
            $variation         = empty( $_POST['variation'] ) ? 0 : $_POST['variation'];
            $passed_validation = apply_filters( 'electro_add_to_cart_validation', true, $product_id, $quantity );
            $product_status    = get_post_status( $product_id );
            
            if ( $passed_validation && WC()->cart->add_to_cart( $product_id, $quantity, $variation_id, $variation ) && 'publish' === $product_status ) {

                do_action( 'woocommerce_ajax_added_to_cart', $product_id );

                if ( get_option( 'woocommerce_cart_redirect_after_add' ) == 'yes' ) {
                    wc_add_to_cart_message( $product_id );
                }

                // Return fragments
                WC_AJAX::get_refreshed_fragments();

            } else {

                // If there was an error adding to the cart, redirect to the product page to show any errors
                $data = array(
                    'error'       => true,
                    'product_url' => apply_filters( 'woocommerce_cart_redirect_after_error', get_permalink( $product_id ), $product_id )
                );

                wp_send_json( $data );

            }

            die();
        }
    }

    /**
     * Hook: Before mini cart
     */
    if( ! function_exists( 'yolo_giraffe_func_wc_before_mini_cart' ) ):

        function yolo_giraffe_func_wc_before_mini_cart() {

            global $yolo_giraffe_options;
            $mini_cart_style = isset($yolo_giraffe_options['mini_cart_style']) ? $yolo_giraffe_options['mini_cart_style'] : 'hover';

            $cart_list_sub_class = array();
            $cart_list_sub_class[] = 'cart_list_wrapper';

            if( $mini_cart_style == 'hover' ) {
                $cart_list_sub_class[] = 'mini-cart-hover';
            }

            if ( sizeof( WC()->cart->get_cart() ) > 0 ) {
                $cart_list_sub_class[] = 'has-cart';
            }

            ?>
                <div class="widget_shopping_cart_icon <?php if( $mini_cart_style == 'canvas' ) echo 'canvas-menu-toggle-wrapper'; ?>" >
                    <a href="#" <?php if( $mini_cart_style == 'canvas' ) echo 'class="canvas-menu-toggle" data-id="mini-cart-canvas"';?> >
                        <i class="wicon fas fa-shopping-cart"></i>
                        <span class="total"><?php echo sizeof( WC()->cart->get_cart()); ?></span>
                    </a>
                </div>
                <div class="sub-total-text"><?php echo WC()->cart->get_cart_subtotal(); ?></div>
                <div class="<?php yolo_the_attr_value($cart_list_sub_class) ?>" >
            <?php

        }

        add_action( 'woocommerce_before_mini_cart', 'yolo_giraffe_func_wc_before_mini_cart' );
        
    endif;

    /**
     * Hook: Cart item
     */
    if( ! function_exists( 'yolo_giraffe_func_wc_cart_item_show_price' ) ):

        function yolo_giraffe_func_wc_cart_item_show_price( $content, $cart_item, $cart_item_key ) {
            
            $_product        = apply_filters( 'woocommerce_cart_item_product', $cart_item['data'], $cart_item, $cart_item_key );
            $product_id      = apply_filters( 'woocommerce_cart_item_product_id', $cart_item['product_id'], $cart_item, $cart_item_key );
            $product_price   = WC()->cart->get_product_price( $cart_item['data'] );
            
            global $yolo_giraffe_options;
            $mini_cart_style = isset($yolo_giraffe_options['mini_cart_style']) ? $yolo_giraffe_options['mini_cart_style'] : 'hover';


            if( $mini_cart_style == 'hover') {

                echo '<span class="quantity">' . sprintf( '%s &times; %s', $cart_item['quantity'], $product_price ) . '</span>';

                echo sprintf(
                                '<a href="%s" class="mini-cart-remove" title="%s" data-product_id="%s" data-product_sku="%s"><i class="pe-7s-close"></i></a>',
                                esc_url( wc_get_cart_remove_url( $cart_item_key ) ),
                                esc_html__( 'Remove this item', 'yolo-giraffe' ),
                                esc_attr( $product_id ),
                                esc_attr( $_product->get_sku() )
                            );

            } else {

                echo '<span class="price">' . $product_price. '</span>';
                echo '<span class="quantity">'.esc_html__( 'Qty: ', 'yolo-giraffe' ) . $cart_item['quantity'] . '</span>';
                echo sprintf( 
                            '<a href="%s" class="mini-cart-remove" title="%s"><i class="pe-7s-close"></i> '.esc_html__( 'Remove Product', 'yolo-giraffe' ).' </a>', 
                            esc_url( wc_get_cart_remove_url( $cart_item_key ) ), 
                            esc_attr__( 'Remove this item', 'yolo-giraffe' ) 
                        ) ;

            }
        }

        // add_filter( 'woocommerce_widget_cart_item_quantity', 'yolo_giraffe_func_wc_cart_item_show_price', 10, 3 );

    endif;

    /**
     * Hook: After mini cart
     */
    if( ! function_exists( 'yolo_giraffe_func_wc_after_mini_cart' ) ):

        function yolo_giraffe_func_wc_after_mini_cart() {
            echo '</div>';
        }

        add_action( 'woocommerce_after_mini_cart', 'yolo_giraffe_func_wc_after_mini_cart' );

    endif;


    /**
     * Mini cart Canvas
     */
    if( ! function_exists( 'yolo_add_mini_cart_canvas' ) ) :

        function yolo_add_mini_cart_canvas() {
            ?>
            <nav class="yolo-canvas-menu-wrapper" id="mini-cart-canvas">

                <a href="#" class="yolo-canvas-menu-close"><i class="fa fa-close"></i></a>
                <h4 class="mini-cart-title"><?php esc_html_e( 'Shopping Cart', 'yolo-giraffe' ) ?></h4>
                <div class="widget_shopping_cart_content">
                </div>

            </nav>
            <?php

        }
        global $yolo_giraffe_options;
        $mini_cart_style = isset($yolo_giraffe_options['mini_cart_style']) ? $yolo_giraffe_options['mini_cart_style'] : 'hover';
        if( $mini_cart_style == 'canvas' )
            add_action( 'wp_footer', 'yolo_add_mini_cart_canvas' );

    endif;

    /**
     * Wishlist - Canvas
     */
    if( ! function_exists( 'yolo_add_wishlist_view_canvas' ) ):

        function yolo_add_wishlist_view_canvas() {

            if( !(class_exists( 'WooCommerce' ) && class_exists('YITH_WCWL')) ){
                return;
            }
            
            ?>
            <nav class="yolo-canvas-menu-wrapper" id="wishlists-canvas">

                <a href="#" class="yolo-canvas-menu-close"><i class="fa fa-close"></i></a>
                <h4 class="wishlist-title"><?php esc_html_e( 'Wishlist', 'yolo-giraffe' ) ?></h4>
                
                <div class="wishlists-content">
                    <?php echo do_shortcode( '[yith_wcwl_wishlist]' ); ?>                    
                </div>
                <?php
                    $wishlist_page_id = get_option( 'yith_wcwl_wishlist_page_id' );
                    if( function_exists( 'icl_object_id' ) ){
                        $wishlist_page_id = icl_object_id( $wishlist_page_id, 'page', true );
                    }

                    $wishlist_page = (empty($wishlist_page_id)) ? '#' : get_permalink( $wishlist_page_id );

                    $wishlist_count = YITH_WCWL()->count_products();
                    $class = '';
                    if( $wishlist_count == 0 )
                        $class  = 'hidden';

                    echo '<p class="wl-button woocommerce '.esc_attr($class).'">';
                        echo '<a title="'.esc_attr__( 'Wishlist','yolo-giraffe' ).'" href="'.esc_url($wishlist_page).'" class="button view-wishlist">'.esc_html__( 'View Wishlist', 'yolo-giraffe' ).'</a>';
                    echo '</p>';
                ?>
            </nav>   
            <?php

        }
        
        global $yolo_giraffe_options;
        $wishlist_style = isset($yolo_giraffe_options['wishlist_style']) ? true : false;
        if( $wishlist_style )
            add_action( 'wp_footer', 'yolo_add_wishlist_view_canvas' );

    endif;

    add_filter( 'woocommerce_checkout_fields' , 'override_billing_checkout_fields', 20, 1 );
    function override_billing_checkout_fields( $fields ) {
        $fields['billing']['billing_first_name']['placeholder'] = esc_html__('First Name', 'yolo-giraffe');
        $fields['billing']['billing_last_name']['placeholder']  = esc_html__('Last Name', 'yolo-giraffe');
        $fields['billing']['billing_company']['placeholder']    = esc_html__('Company Name', 'yolo-giraffe');
        $fields['billing']['billing_city']['placeholder']       = esc_html__('Town / City', 'yolo-giraffe');
        $fields['billing']['billing_state']['placeholder']      = esc_html__('County', 'yolo-giraffe');
        $fields['billing']['billing_postcode']['placeholder']   = esc_html__('Postcode', 'yolo-giraffe');
        $fields['billing']['billing_phone']['placeholder']      = esc_html__('Phone', 'yolo-giraffe');
        $fields['billing']['billing_email']['placeholder']      = esc_html__('Email Address', 'yolo-giraffe');
        return $fields;
    }

}