<?php
/**
 * Form popup login
 *
 * @package 	Giraffe
 * @author 		JAMES <luyentv@vietbrain.com>
 * @version 	1.0
 */


// Form
if( !function_exists( 'yolo_form_popup_login' ) ):
	global $yolo_giraffe_options;
	$login_popup = isset($yolo_giraffe_options['login_register_popup']) && !empty($yolo_giraffe_options['login_register_popup']) ? true : false;
	function yolo_form_popup_login() {
		if( is_user_logged_in() ) return;
		global $yolo_giraffe_options;
		$bg_login  = $yolo_giraffe_options['bg-login']['url'] ? $yolo_giraffe_options['bg-login']['url'] : get_template_directory_uri() . '/assets/images/bg-login.jpg';

		?>

		<div id="yolo-box-login" class="yolo-box-login yolo-popup-main" <?php if( $bg_login != '') echo 'style="background-image: url('.esc_url($bg_login).')"'; ?>>
			
			<h4 class="title"><?php esc_html_e( 'Login Account', 'yolo-giraffe' ); ?></h4>
			<span class="tslogan"><?php esc_html_e( 'Already a Giraffe Customer?', 'yolo-giraffe' ); ?></span>

			<form method="POST" class="yolo-login-member-container">

				<div class="yolo-login-member-wrap">

			        <div class="yolo-register-member-left">
			            <div id="yolo-item-user_name_login-wrap" class="yolo-item-wrap ">
			                <label><?php esc_html_e( 'User name', 'yolo-giraffe'); ?></label>
			                <input maxlength="" type="text" id="user_name_login" name="user_name_login" value="" placeholder="<?php echo esc_attr__( 'Your email', 'yolo-giraffe' ); ?>" class="required">
			                <p class="notice"><span><?php esc_html_e( 'Do not empty user name, please enter your user name...', 'yolo-giraffe' ); ?></span></p>
			            </div>
			            <div id="yolo-item-password_login-wrap" class="yolo-item-wrap ">
			                <label><?php esc_html_e( 'Password', 'yolo-giraffe' ); ?></label>
			                <input type="password" id="password_login" name="password_login" value="" placeholder="<?php echo esc_attr__( 'Password', 'yolo-giraffe'); ?>" class="required">
			                <p class="notice"><span><?php esc_html_e( 'Do not empty password, please enter your password...', 'yolo-giraffe' ); ?></span></p>
			            </div>
			        </div>

			        <div class="yolo-login-member-action yolo-login-action">
			            <button type="submit" name="login-account" class="giraffe-btn yolo-button">
			                <?php esc_html_e( 'Login', 'yolo-giraffe' ); ?> <i class="fa-li fa fa-refresh fa-spin hide"></i>
			            </button>
			            <div class="notice"></div>
			            <a class="open-form-toggle" href="#" title="Register now!"><?php esc_html_e( 'Create Account', 'yolo-giraffe' ); ?></a>
			        </div>

			    </div>

			</form>

			<form method="POST" class="yolo-register-member-container">
				<div class="yolo-register-member-wrap">
			        <div class="yolo-register-member-left">
			            <div id="yolo-item-email_address-wrap" class="yolo-item-wrap">
			                <label><?php esc_html_e( 'Email Address', 'yolo-giraffe' ); ?></label>
			                <input maxlength="" type="text" id="email_address" name="email_address" value="" placeholder="<?php echo esc_attr__( 'Please enter Email Address...', 'yolo-giraffe' ); ?>" class="required">
			                <p class="notice"><span><?php esc_html_e( 'Invaild email address.', 'yolo-giraffe' ); ?></span></p>
			            </div>
			            <div id="yolo-item-password-wrap" class="yolo-item-wrap">
			                <label><?php esc_html_e( 'Password', 'yolo-giraffe' ); ?></label>
			                <input type="password" id="password" name="password" value="" placeholder="<?php echo esc_attr__( 'Please enter Password...', 'yolo-giraffe' ); ?>" class="required">
			                <p class="notice"><span class="strength"></span><span><?php esc_html_e( '6 or more characters, letters and numbers.', 'yolo-giraffe' ); ?></span> <span><?php esc_html_e( 'Must contain at least one number.', 'yolo-giraffe' ); ?></span></p>
			            </div>
			        </div>
			        <div class="yolo-register-member-action yolo-login-action">
			            <button type="submit" name="register-account" class="giraffe-btn yolo-button">
			                <?php esc_html_e( 'Register', 'yolo-giraffe' ); ?> <i class="fa-li fa fa-refresh fa-spin hide"></i>
			            </button>
			            <div class="notice"></div>
			            <a class="open-form-toggle" href="#" title="<?php echo esc_attr__( 'Register now!', 'yolo-giraffe' ); ?>"><?php esc_html_e( 'Login Account', 'yolo-giraffe' ); ?></a>
			        </div>
			    </div>
			</form>

			<span class="btslogan"><?php esc_html_e( 'Your information will nerver be shared with any third party.', 'yolo-giraffe' ); ?></span>


		</div>

		<?php

	}
	if( $login_popup )
		add_action( 'wp_footer', 'yolo_form_popup_login' );

endif;

/**
 * Page redirect after login
 */
if( !function_exists('yolo_login_redirect_to') ):
	function yolo_login_redirect_to(){
		global $yolo_giraffe_options;
		$redirect = '';
		$login_popup = $yolo_giraffe_options['login_register_popup'] ? true : false;
		if($login_popup):
			$redirect_to = $yolo_giraffe_options['login_redirect_page_to'];
			if($redirect_to) $redirect = ($yolo_giraffe_options['redirect_to_this_page']) ? $yolo_giraffe_options['redirect_to_this_page'] : get_home_url();
		endif;
		return $redirect;
	}
	add_filter( 'yolo_url_redirect_login_user', 'yolo_login_redirect_to' );
	add_filter( 'yolo_url_redirect_register_user', 'yolo_login_redirect_to' );
endif;