<?php
/**
 * Get value setting property
 *
 * @author   James <luyentv@vietbrain.com>
 * @version  1.0
 */

// Get allowed HTML tag.
if( !function_exists('yolo_allowed_html') ) :
	function yolo_allowed_html() {
		return apply_filters( 'yolo_allowed_html', array(
			'a' => array(
				'href' => array(),
				'target' => array(),
				'title' => array(),
				'rel' => array(),
				'class' => array(),
				'style' => array(),
			),
			'img' => array(
				'src' => array(),
				'class' => array(),
				'style' => array(),
			),
			'h1' => array(),
			'h2' => array(),
			'h3' => array(),
			'h4' => array(),
			'h5' => array(),
			'p' => array(
				'class' => array(),
				'style' => array()
			),
			'br' => array(
				'class' => array(),
				'style' => array()
			),
			'mark' => array(
				'class' => array(),
				'style' => array()
			),
			'hr' => array(
				'class' => array(),
				'style' => array()
			),
			'span' => array(
				'class' => array(),
				'style' => array()
			),
			'em' => array(
				'class' => array(),
				'style' => array()
			),
			'strong' => array(
				'class' => array(),
				'style' => array()
			),
			'small' => array(
				'class' => array(),
				'style' => array()
			),
			'b' => array(
				'class' => array(),
				'style' => array()
			),
			'i' => array(
				'class' => array(),
				'style' => array()
			),
			'u' => array(
				'class' => array(),
				'style' => array()
			),
			'ul' => array(
				'class' => array(),
				'style' => array()
			),
			'ol' => array(
				'class' => array(),
				'style' => array()
			),
			'li' => array(
				'class' => array(),
				'style' => array()
			),
			'blockquote' => array(
				'class' => array(),
				'style' => array()
			),
		) );
	}
endif;

// Allow only unharmed HTML tag.
if( !function_exists('yolo_html_content_filter') ) :
	function yolo_html_content_filter( $content = '' ) {
		return wp_kses( $content, yolo_allowed_html() );
	}
endif;

// escape language with HTML.
if( !function_exists('yolo_kses') ) :
	function yolo_kses( $text = '' ) {
		return wp_kses( $text, yolo_allowed_html() );
	}
endif;


/**
 * This function check page current
 *
 * @package 	Giraffe
 * @author 		James <luyentv@vietbrain.com>
 * @version 	1.0
 */

if ( ! function_exists( 'yolo_current_url' ) ) :
	
	function yolo_current_url( $encoded = false ) {

		global $wp;
		$current_url = esc_url( add_query_arg( $wp->query_string, '', home_url( $wp->request ) ) );
		if( $encoded ) {
			return urlencode($current_url);
		}
		return $current_url;

	}

endif;

/**
 * This function check validate
 *
 * @package 	Giraffe
 * @author 		James <luyentv@vietbrain.com>
 * @version 	1.0
 */

if ( ! function_exists( 'yolo_validate_data' ) ) :
    
    function yolo_validate_data( $data, $type = '' ) {

        if ( empty( $data ) && $data != 0 ) return;
        if ( !is_array( $data ) ) {
            $data = wp_kses( trim( $data ), yolo_allowed_html() );
        }

        switch ($type) {
				
        	case 'int':
        		$data = absint( $data );
        		break;

        	case 'strtolower':
        		$data = str_replace( ' ', '_', strtolower( $data ) );
        		break;

        	case "datepicker" :
				$data = strtotime( $data );
				break;
        	
        	default:
        		$data = $data;
        		break;
        }
        
        return $data;

    }

endif;