<?php
/**
 *  
 * @package    YoloTheme
 * @version    1.0.0
 * @author     Administrator <admin@yolotheme.com>
 * @copyright  Copyright (c) 2016, YoloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://yolotheme.com
*/
/*================================================
LOAD CSS
================================================== */
if (!function_exists('yolo_enqueue_styles')) {
	function yolo_enqueue_styles() {

		global $yolo_giraffe_options;
		$min_suffix   = defined('SCRIPT_DEBUG') && SCRIPT_DEBUG ? '' : '.min';

		/* Bootstrap */
		wp_enqueue_style('bootstrap', get_template_directory_uri() . '/assets/plugins/bootstrap/css/bootstrap.min.css', array(), null);

		/* Font-awesome */
        wp_enqueue_style('font-awesome-5-shims', get_template_directory_uri() . '/assets/plugins/font-awesome/css/v4-shims.min.css', array(), null);
        wp_enqueue_style('font-awesome-5', get_template_directory_uri() . '/assets/plugins/font-awesome/css/all.min.css', array(), null);
        /* pe-icon-7-stroke */
		wp_enqueue_style('pe-icon-7-stroke', get_template_directory_uri() . '/assets/plugins/pe-icon-7-stroke/css/styles'.$min_suffix.'.css', array(), null);
		/* Custom Scrollbar */
		wp_register_style('custom-scrollbar', get_template_directory_uri() . '/assets/plugins/customscroll/jquery.mCustomScrollbar.min.css', array(), null);
		wp_register_style('jplayer', get_template_directory_uri() . '/assets/plugins/jquery-jplayer/jplayer-css.css', array(), null);
		
		/* Ionicon Font*/ 
		wp_enqueue_style('ionicon-font', get_template_directory_uri() . '/assets/plugins/ionicons/fonts/ionicons.css', array(), null);
		
		/* Elegant Font */
		wp_enqueue_style('elegant-font', get_template_directory_uri() . '/assets/plugins/elegant-font/css/style.css', array(), null);

		/* CACChampagne */
		wp_enqueue_style('cac-champagne-font', get_template_directory_uri() . '/assets/plugins/cac-champagne-font/champagne.css', array(), null);
		
		/* owl-carousel */
		wp_register_style('owl-carousel', get_template_directory_uri() . '/assets/plugins/owl-carousel/owl.carousel'.$min_suffix.'.css', array(), null);
		wp_register_style('owl-carousel-theme', get_template_directory_uri() . '/assets/plugins/owl-carousel/owl.theme'.$min_suffix.'.css', array(), null);
		wp_register_style('owl-transitions', get_template_directory_uri() . '/assets/plugins/owl-carousel/owl.transitions'.$min_suffix.'.css', array(), null);
		/* prettyPhoto */
		wp_register_style('prettyPhoto', get_template_directory_uri() . '/assets/plugins/prettyPhoto/css/prettyPhoto'.$min_suffix.'.css', array(), null);
		wp_enqueue_style('prettyPhoto');
		/* Custombox */ 
		wp_register_style( 'custombox', get_template_directory_uri() . '/assets/plugins/custombox/custombox.min.css', null, null, 'all' );

		/*Slider Pro*/
        wp_register_style('sliderPro', get_template_directory_uri() . '/assets/plugins/slider-pro/css/slider-pro.min.css', array(), null);

        wp_register_style('select2', get_template_directory_uri() . '/assets/plugins/select2/select2.min.css', array(), null);
        wp_enqueue_style('bs-select', get_template_directory_uri() . '/assets/plugins/bootstrap-select/css/bootstrap-select.min.css', array(), null);

        wp_enqueue_style('custom-scrollbar');

		/* Theme CSS */
		wp_enqueue_style('yolo-framework-style', get_template_directory_uri() . '/assets/css/yolo.css', array(), null);

		/* add url link file custom-style.css  */
		if( is_file( yolo_upload_dir() . '/custom-style.css' ) ) {
			wp_enqueue_style( 'yolo-custom-style', yolo_upload_url() . '/custom-style.css', array(), NULL );
		}
		/* VC Customize */ 
        wp_enqueue_style('yolo-framework-vc-customize', get_template_directory_uri() . '/assets/vc-extend/css/vc-customize'.$min_suffix.'.css', array(), null);
		wp_enqueue_style('yolo-style', get_template_directory_uri() . '/style.css', array(), null);

		wp_enqueue_style('yolo-commons-fw', get_template_directory_uri(). '/assets/css/commons.css', array(), null);
	}
	add_action('wp_enqueue_scripts', 'yolo_enqueue_styles');
}

/*================================================
LOAD JS
================================================== */
if (!function_exists('yolo_enqueue_script')) {
	function yolo_enqueue_script() {
		global $yolo_giraffe_options;

		$min_suffix      = defined('SCRIPT_DEBUG') && SCRIPT_DEBUG ? '' : '.min';
        $min_suffix_path = defined('SCRIPT_DEBUG') && SCRIPT_DEBUG ? '' : 'min/';
        
		/* Comments */
		if (is_single()) {
			wp_enqueue_script('comment-reply');
		}

		wp_register_script('yolo-timeline', get_template_directory_uri().'/assets/js/yolo-timeline.js');
        wp_register_script('yolo-ultilities', get_template_directory_uri().'/assets/js/yolo-ultilities.js');
		// Mega menu
		wp_register_script( 'megamenu-js', get_template_directory_uri() . '/framework/core/megamenu/assets/js/megamenu' . $min_suffix . '.js', array(), null, true );
		wp_enqueue_script( 'megamenu-js' );
		/* Shop filters */
		wp_register_script('yolo_shop_filters', get_template_directory_uri() . '/assets/js/'.$min_suffix_path.'yolo-shop-filters'.$min_suffix.'.js', array('jquery'), null, true);

		/* particles */
		wp_enqueue_script('particlesJS', get_template_directory_uri() . '/assets/plugins/particles/particles'.$min_suffix.'.js', null, null, true);


		/* Custom Scrollbar */
		wp_register_script('custom-scrollbar', get_template_directory_uri() . '/assets/plugins/customscroll/jquery.mCustomScrollbar.min.js', array('jquery'), null,true);
		/* Custom add-to-cart-variation */
		wp_enqueue_script('yolo_add_to_cart_variation', get_template_directory_uri() . '/assets/js/'.$min_suffix_path.'yolo-add-to-cart-variation'.$min_suffix.'.js', array(), null, true);

		if(is_singular('product' )){
			wp_enqueue_script('yolo-accessories', get_template_directory_uri() . '/assets/js/'.$min_suffix_path.'yolo-accessories'.$min_suffix.'.js', array(), null, true);
			$alert_message = apply_filters( 'yolo_accessories_product_cart_alert_message', array(
				'success'		=> sprintf( '<div class="woocommerce-message">%s <a class="button wc-forward" href="%s">%s</a></div>', esc_html__( 'Products was successfully added to your cart.', 'yolo-giraffe' ), wc_get_cart_url(), esc_html__( 'View Cart', 'yolo-giraffe' ) ),
				'empty'			=> sprintf( '<div class="woocommerce-error">%s</div>', esc_html__( 'No Products selected.', 'yolo-giraffe' ) ),
				'no_variation'	=> sprintf( '<div class="woocommerce-error">%s</div>', esc_html__( 'Product Variation does not selected.', 'yolo-giraffe' ) ),
			) );
			wp_localize_script('yolo-accessories', 'yolo_accessories_msg', $alert_message);
			wp_localize_script('yolo-accessories', 'yolo_accessories_ajax_url', get_site_url() . '/wp-admin/admin-ajax.php');
		}

		wp_register_script( 'modernizr-custom', get_template_directory_uri() . '/assets/plugins/elastiStack/modernizr.custom.js', array( 'jquery'), null, true );
        wp_register_script( 'draggabilly', get_template_directory_uri() . '/assets/plugins/elastiStack/draggabilly.pkgd.min.js', array( 'jquery'), null, true );
        wp_register_script( 'elastiStack', get_template_directory_uri() . '/assets/plugins/elastiStack/elastiStack.js', array( 'jquery'), null, true );

		wp_enqueue_script('yolo_framework_app', get_template_directory_uri() . '/assets/js/'.$min_suffix_path.'yolo-main' . $min_suffix . '.js', array('custom-scrollbar', 'isotope', 'dialogFx'), null, true);
		wp_register_script('jquery-cookie', get_template_directory_uri() . '/assets/plugins/jquery-cookie/jquery.cookie.min.js', array(), null, true);
		/* Custombox */ 
		wp_register_script( 'jquery-nav-js', get_template_directory_uri() . '/assets/plugins/onepagejs/jquery.nav.js', array( 'jquery' ), null, true );

		wp_register_script('jplayer', get_template_directory_uri() . '/assets/plugins/jquery-jplayer/jquery.jplayer.min.js', array('jquery'), null);
		/* Custombox */ 
		wp_register_script( 'custombox', get_template_directory_uri() . '/assets/plugins/custombox/custombox.min.js', array( 'jquery' ), null, true );
		
		/* Load Bootstrap */
        wp_enqueue_script('popper', get_template_directory_uri() . '/assets/plugins/bootstrap/js/popper.min.js', array('jquery'), null, true);
        wp_enqueue_script('bootstrap', get_template_directory_uri() . '/assets/plugins/bootstrap/js/bootstrap.min.js', array('jquery'), null, true);
		/*Isotope*/
		wp_register_script('isotope', get_template_directory_uri() . '/assets/plugins/isotope/isotope.pkgd.min.js', array('jquery'), null, true);
		/*Packery*/
		wp_register_script( 'packery-mode', get_template_directory_uri() . '/assets/plugins/isotope/packery-mode.pkgd.min.js', array(), null, true );

        /*Slider Pro*/
        wp_register_script( 'sliderPro', get_template_directory_uri() . '/assets/plugins/slider-pro/js/jquery.sliderPro.min.js', array(), null, true );

        wp_localize_script( 'yolo_framework_app', 'yolo_framework_app', array(
			'ajax_url'                    => admin_url( 'admin-ajax.php' ),
			'image_load'				  => admin_url( 'images/spinner.gif' )
		));
		// Import Library
		wp_register_script('sticky-header', get_template_directory_uri() . '/assets/plugins/stickyHeader/sticky-custom.js', array('jquery'), null, true);

		wp_register_script('modernizr', get_template_directory_uri() . '/assets/plugins/modernizr/modernizr.min.js', array('jquery'), null, true);
		
		wp_register_script('classie', get_template_directory_uri() . '/assets/plugins/dialog-effects/js/classie.js', array(), null, true);

		wp_register_script('dialogFx', get_template_directory_uri() . '/assets/plugins/dialog-effects/js/dialogFx.js', array('jquery','modernizr','classie'), null, true);
		
		wp_register_script('owl-carousel', get_template_directory_uri() . '/assets/plugins/owl-carousel/owl.carousel.min.js', array('jquery'), null, true);

		wp_enqueue_script('imagesloaded', get_template_directory_uri() . '/assets/plugins/imagesloaded/imagesloaded.pkgd.min.js', array('jquery'), null, true);

		wp_register_script('jquery-infinitescroll', get_template_directory_uri() . '/assets/plugins/infinitescroll/jquery.infinitescroll.min.js', array('jquery'), null, true);

		wp_register_script('stellar', get_template_directory_uri() . '/assets/plugins/stellar/stellar.min.js', array('jquery'), null, true);
		
		wp_register_script('waypoints', get_template_directory_uri() . '/assets/plugins/waypoints/jquery.waypoints.min.js', array('jquery'), null, true);
		wp_register_script('prettyPhoto', get_template_directory_uri() . '/assets/plugins/prettyPhoto/js/jquery.prettyPhoto.js', array('jquery'), null, true);

        wp_register_script('select2', get_template_directory_uri() . '/assets/plugins/select2/select2.min.js', array('jquery'), null, true);
        wp_enqueue_script('bs-select', get_template_directory_uri() . '/assets/plugins/bootstrap-select/js/bootstrap-select.min.js', array('jquery'), null, true);


        /* Import rating script */

		wp_register_script('yolo-rating', get_template_directory_uri() . '/assets/plugins/rating/jquery.raty.js',null, null, true);

		/* Localize the script with new data */
		$translation_array = array(
			'product_compare'        => esc_html__( 'Compare', 'yolo-giraffe' ),
			'product_wishList'       => esc_html__( 'WishList', 'yolo-giraffe' ),
			'product_wishList_added' => esc_html__( 'Browse WishList', 'yolo-giraffe' ),
			'product_quickview'      => esc_html__( 'Quick View', 'yolo-giraffe' ),
			'product_addtocart'      => esc_html__( 'Add To Cart', 'yolo-giraffe' ),
			'enter_keyword'          => esc_html__( 'Please enter keyword to search', 'yolo-giraffe' ),
			'yolo_all_products'		 => esc_html__( 'All products loaded', 'yolo-giraffe' ),
			'get_search_url'		 => home_url( '?s=' ),
		);
		wp_localize_script('yolo_framework_app', 'yolo_framework_constant', $translation_array);
		wp_localize_script('yolo_framework_app', 'yolo_framework_ajax_url', get_site_url() . '/wp-admin/admin-ajax.php?activate-multi=true');
		wp_localize_script('yolo_framework_app', 'yolo_framework_theme_url', get_template_directory_uri());
		wp_localize_script('yolo_framework_app', 'yolo_framework_site_url', site_url());

		/* Login */ 
		wp_enqueue_script('yolo_login', get_template_directory_uri() . '/assets/js/'.$min_suffix_path.'yolo-login'.$min_suffix.'.js', array(), null, true);
		wp_localize_script( 'yolo_login', 'Yolo_Login', array(
		    'ajax_url'       => admin_url( 'admin-ajax.php', 'relative' ),
		    'security'       => wp_create_nonce( 'yolo-member' ),
		    'label_register' => esc_html__( 'Register Account', 'yolo-giraffe' ),
		    'label_login'    => esc_html__( 'Login Account', 'yolo-giraffe' ),
		) );

		wp_enqueue_script('starlight', get_template_directory_uri() . '/assets/plugins/starlight/starlight.js', array('jquery'), null, true);

	}
	add_action('wp_enqueue_scripts', 'yolo_enqueue_script');
}
/* CUSTOM CSS OUTPUT
	================================================== */
if(!function_exists('yolo_enqueue_custom_css')){
    function yolo_enqueue_custom_css() {
    	global $yolo_giraffe_options;
        $custom_css = isset($yolo_giraffe_options['custom_css'])? $yolo_giraffe_options['custom_css']: '';
        if ( !empty($custom_css) ) {
	        $custom_css = strip_tags( $custom_css );
        	wp_add_inline_style( 'yolo-custom-style', $custom_css );
        }
    }
    add_action( 'wp_enqueue_scripts', 'yolo_enqueue_custom_css' );
}
/* CUSTOM JS OUTPUT
	================================================== */
if(!function_exists('yolo_enqueue_custom_script')) {
    function yolo_enqueue_custom_script() {
        global $yolo_giraffe_options;
        $custom_js = isset($yolo_giraffe_options['custom_js'])? $yolo_giraffe_options['custom_js']: '';
        if ( !empty($custom_js) ) {
            echo sprintf('<script>%s</script>',$custom_js);
        }
    }
    add_action( 'wp_footer', 'yolo_enqueue_custom_script' );
}