<?php
/**
 *  
 * @package    YoloTheme
 * @version    1.0.0
 * @author     Administrator <admin@yolotheme.com>
 * @copyright  Copyright (c) 2016, YoloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://yolotheme.com
*/
 
/*---------------------------------------------------
/* THEME ADD ACTION
/*---------------------------------------------------*/
/* CUSTOM HEADER CSS */
if (!function_exists('yolo_custom_header_css')) {
	function yolo_custom_header_css() {
		$page_id = '0';
		$prefix = 'yolo_';
		$page_id = get_the_ID() ;
		$css_variable = yolo_custom_css_variable($page_id);
		if (!class_exists('Less_Parser')) {
			require_once get_template_directory() . '/framework/core/less/Autoloader.php';
			Less_Autoloader::register();
		}
		$parser = new Less_Parser(array( 'compress'=>true ));
		$parser->parse($css_variable, get_template_directory_uri());
		$show_page_title 	 = get_post_meta($page_id,$prefix . 'show_page_title',true);
		if( 1 == $show_page_title ){
			$parser->parseFile( get_template_directory() . '/assets/less/page-custom/page-title-customize.less', get_template_directory_uri() );
		}
		$enable_topbar_color 	 = get_post_meta($page_id,$prefix.'enable_topbar_color',true);
		if( 1 == $enable_topbar_color ){
			$parser->parseFile( get_template_directory() . '/assets/less/page-custom/topbar-customize.less', get_template_directory_uri() );
		}
		$enable_logo_position 	 = get_post_meta($page_id,$prefix.'enable_logo_position',true);
		if( 1 == $enable_logo_position ){
			$parser->parseFile( get_template_directory() . '/assets/less/page-custom/logo-customize.less', get_template_directory_uri() );
		}
		$css = $parser->getCss();
		if($css !=='') {
			$output = "<!-- Custom Styling -->\n<style type=\"text/css\">\n" . $css . "</style>\n";
		} else {
			return;
		}

		echo ''.$output;
	}
	add_action('wp_head', 'yolo_custom_header_css',100);
}