<?php
/**
 *  
 * @package    YoloTheme
 * @version    1.0.0
 * @author     Administrator <admin@yolotheme.com>
 * @copyright  Copyright (c) 2016, YoloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://yolotheme.com
*/

/* Custom Sidebar functions */
add_action( 'sidebar_admin_page', 'yolo_custom_sidebar_form' );
function yolo_custom_sidebar_form() {
?>
	<form action="<?php echo esc_url( admin_url( 'widgets.php' ) ); ?>" method="post" id="yolo-form-add-sidebar">
        <input type="text" name="sidebar_name" id="sidebar_name" placeholder="<?php esc_html_e( 'Custom Sidebar Name', 'yolo-giraffe' ); ?>" />
        <button class="button-primary" id="yolo-add-sidebar"><?php esc_html_e( 'Add Sidebar', 'yolo-giraffe' ); ?></button>
    </form>
<?php
}

function yolo_get_custom_sidebars() {
	$option_name = 'yolo_custom_sidebars';
    return get_option($option_name);
}

add_action('wp_ajax_yolo_add_custom_sidebar', 'yolo_add_custom_sidebar');
function yolo_add_custom_sidebar() {
	if( isset($_POST['sidebar_name']) ) {
		$option_name = 'yolo_custom_sidebars';
		if( !get_option($option_name) || get_option($option_name) == '' ) {
			delete_option($option_name);
		}
		
		$sidebar_name = $_POST['sidebar_name'];
		
		if( get_option($option_name) ) {
			$custom_sidebars = yolo_get_custom_sidebars();
			if( !in_array($sidebar_name, $custom_sidebars) ) {
				$custom_sidebars[] = $sidebar_name;
			}
			$result1 = update_option($option_name, $custom_sidebars);
		}
		else{
			$custom_sidebars[] = $sidebar_name;
			$result2 = add_option($option_name, $custom_sidebars);
		}
		
		if( $result1 ) {
			die('Updated');
		}
		elseif( $result2 ) {
			die('Added');
		}
		else {
			die('Error');
		}
	}
	die('');
}

add_action('wp_ajax_yolo_delete_custom_sidebar', 'yolo_delete_custom_sidebar');
function yolo_delete_custom_sidebar() {
	if( isset($_POST['sidebar_name']) ) {
		$option_name = 'yolo_custom_sidebars';
		$del_sidebar = trim($_POST['sidebar_name']);
		$custom_sidebars = yolo_get_custom_sidebars();
		foreach( $custom_sidebars as $key => $value ) {
			if( $value == $del_sidebar ) {
				unset($custom_sidebars[$key]);
				break;
			}
		}
		$custom_sidebars = array_values($custom_sidebars);
		update_option($option_name, $custom_sidebars);
		die('Deleted');
	}
	die('');
}

// GET SVG TEMPLATE
//--------------------------------------------------
if (!function_exists('yolo_get_template_svg_loader')) {
    function yolo_get_template_svg_loader($template = '')
    {
        global $yolo_giraffe_options;
        $fill         = (!empty($yolo_giraffe_options['home_preloader_spinner_color'])) ? $yolo_giraffe_options['home_preloader_spinner_color'] : '#fff';
        ob_start();
        switch ($template):
		    case 'ball-triangle.svg':
		        ?>
						<svg width="57" height="57" viewBox="0 0 57 57" xmlns="http://www.w3.org/2000/svg" stroke="<?php echo wp_kses_post($fill); ?>">
						    <g fill="none" fill-rule="evenodd">
						        <g transform="translate(1 1)" stroke-width="2">
						            <circle cx="5" cy="50" r="5">
						                <animate attributeName="cy"
						                     begin="0s" dur="2.2s"
						                     values="50;5;50;50"
						                     calcMode="linear"
						                     repeatCount="indefinite" />
						                <animate attributeName="cx"
						                     begin="0s" dur="2.2s"
						                     values="5;27;49;5"
						                     calcMode="linear"
						                     repeatCount="indefinite" />
						            </circle>
						            <circle cx="27" cy="5" r="5">
						                <animate attributeName="cy"
						                     begin="0s" dur="2.2s"
						                     from="5" to="5"
						                     values="5;50;50;5"
						                     calcMode="linear"
						                     repeatCount="indefinite" />
						                <animate attributeName="cx"
						                     begin="0s" dur="2.2s"
						                     from="27" to="27"
						                     values="27;49;5;27"
						                     calcMode="linear"
						                     repeatCount="indefinite" />
						            </circle>
						            <circle cx="49" cy="50" r="5">
						                <animate attributeName="cy"
						                     begin="0s" dur="2.2s"
						                     values="50;50;5;50"
						                     calcMode="linear"
						                     repeatCount="indefinite" />
						                <animate attributeName="cx"
						                     from="49" to="49"
						                     begin="0s" dur="2.2s"
						                     values="49;5;27;49"
						                     calcMode="linear"
						                     repeatCount="indefinite" />
						            </circle>
						        </g>
						    </g>
						</svg>
			<?php
				break;
		    case 'bars.svg':
		        ?>
						<svg width="135" height="140" viewBox="0 0 135 140" xmlns="http://www.w3.org/2000/svg" fill="<?php echo wp_kses_post($fill); ?>">
						    <rect y="10" width="15" height="120" rx="6">
						        <animate attributeName="height"
						             begin="0.5s" dur="1s"
						             values="120;110;100;90;80;70;60;50;40;140;120" calcMode="linear"
						             repeatCount="indefinite" />
						        <animate attributeName="y"
						             begin="0.5s" dur="1s"
						             values="10;15;20;25;30;35;40;45;50;0;10" calcMode="linear"
						             repeatCount="indefinite" />
						    </rect>
						    <rect x="30" y="10" width="15" height="120" rx="6">
						        <animate attributeName="height"
						             begin="0.25s" dur="1s"
						             values="120;110;100;90;80;70;60;50;40;140;120" calcMode="linear"
						             repeatCount="indefinite" />
						        <animate attributeName="y"
						             begin="0.25s" dur="1s"
						             values="10;15;20;25;30;35;40;45;50;0;10" calcMode="linear"
						             repeatCount="indefinite" />
						    </rect>
						    <rect x="60" width="15" height="140" rx="6">
						        <animate attributeName="height"
						             begin="0s" dur="1s"
						             values="120;110;100;90;80;70;60;50;40;140;120" calcMode="linear"
						             repeatCount="indefinite" />
						        <animate attributeName="y"
						             begin="0s" dur="1s"
						             values="10;15;20;25;30;35;40;45;50;0;10" calcMode="linear"
						             repeatCount="indefinite" />
						    </rect>
						    <rect x="90" y="10" width="15" height="120" rx="6">
						        <animate attributeName="height"
						             begin="0.25s" dur="1s"
						             values="120;110;100;90;80;70;60;50;40;140;120" calcMode="linear"
						             repeatCount="indefinite" />
						        <animate attributeName="y"
						             begin="0.25s" dur="1s"
						             values="10;15;20;25;30;35;40;45;50;0;10" calcMode="linear"
						             repeatCount="indefinite" />
						    </rect>
						    <rect x="120" y="10" width="15" height="120" rx="6">
						        <animate attributeName="height"
						             begin="0.5s" dur="1s"
						             values="120;110;100;90;80;70;60;50;40;140;120" calcMode="linear"
						             repeatCount="indefinite" />
						        <animate attributeName="y"
						             begin="0.5s" dur="1s"
						             values="10;15;20;25;30;35;40;45;50;0;10" calcMode="linear"
						             repeatCount="indefinite" />
						    </rect>
						</svg>

			<?php
				break;
		    case 'circles.svg':
		        ?>
				<svg width="135" height="135" viewBox="0 0 135 135" xmlns="http://www.w3.org/2000/svg" fill="<?php echo wp_kses_post($fill); ?>">
				    <path d="M67.447 58c5.523 0 10-4.477 10-10s-4.477-10-10-10-10 4.477-10 10 4.477 10 10 10zm9.448 9.447c0 5.523 4.477 10 10 10 5.522 0 10-4.477 10-10s-4.478-10-10-10c-5.523 0-10 4.477-10 10zm-9.448 9.448c-5.523 0-10 4.477-10 10 0 5.522 4.477 10 10 10s10-4.478 10-10c0-5.523-4.477-10-10-10zM58 67.447c0-5.523-4.477-10-10-10s-10 4.477-10 10 4.477 10 10 10 10-4.477 10-10z">
				        <animateTransform
				            attributeName="transform"
				            type="rotate"
				            from="0 67 67"
				            to="-360 67 67"
				            dur="2.5s"
				            repeatCount="indefinite"/>
				    </path>
				    <path d="M28.19 40.31c6.627 0 12-5.374 12-12 0-6.628-5.373-12-12-12-6.628 0-12 5.372-12 12 0 6.626 5.372 12 12 12zm30.72-19.825c4.686 4.687 12.284 4.687 16.97 0 4.686-4.686 4.686-12.284 0-16.97-4.686-4.687-12.284-4.687-16.97 0-4.687 4.686-4.687 12.284 0 16.97zm35.74 7.705c0 6.627 5.37 12 12 12 6.626 0 12-5.373 12-12 0-6.628-5.374-12-12-12-6.63 0-12 5.372-12 12zm19.822 30.72c-4.686 4.686-4.686 12.284 0 16.97 4.687 4.686 12.285 4.686 16.97 0 4.687-4.686 4.687-12.284 0-16.97-4.685-4.687-12.283-4.687-16.97 0zm-7.704 35.74c-6.627 0-12 5.37-12 12 0 6.626 5.373 12 12 12s12-5.374 12-12c0-6.63-5.373-12-12-12zm-30.72 19.822c-4.686-4.686-12.284-4.686-16.97 0-4.686 4.687-4.686 12.285 0 16.97 4.686 4.687 12.284 4.687 16.97 0 4.687-4.685 4.687-12.283 0-16.97zm-35.74-7.704c0-6.627-5.372-12-12-12-6.626 0-12 5.373-12 12s5.374 12 12 12c6.628 0 12-5.373 12-12zm-19.823-30.72c4.687-4.686 4.687-12.284 0-16.97-4.686-4.686-12.284-4.686-16.97 0-4.687 4.686-4.687 12.284 0 16.97 4.686 4.687 12.284 4.687 16.97 0z">
				        <animateTransform
				            attributeName="transform"
				            type="rotate"
				            from="0 67 67"
				            to="360 67 67"
				            dur="8s"
				            repeatCount="indefinite"/>
				    </path>
				</svg>
			<?php
				break;
		    case 'puff.svg':
		        ?>
						<svg width="44" height="44" viewBox="0 0 44 44" xmlns="http://www.w3.org/2000/svg" stroke="<?php echo wp_kses_post($fill); ?>">
						    <g fill="none" fill-rule="evenodd" stroke-width="2">
						        <circle cx="22" cy="22" r="1">
						            <animate attributeName="r"
						                begin="0s" dur="1.8s"
						                values="1; 20"
						                calcMode="spline"
						                keyTimes="0; 1"
						                keySplines="0.165, 0.84, 0.44, 1"
						                repeatCount="indefinite" />
						            <animate attributeName="stroke-opacity"
						                begin="0s" dur="1.8s"
						                values="1; 0"
						                calcMode="spline"
						                keyTimes="0; 1"
						                keySplines="0.3, 0.61, 0.355, 1"
						                repeatCount="indefinite" />
						        </circle>
						        <circle cx="22" cy="22" r="1">
						            <animate attributeName="r"
						                begin="-0.9s" dur="1.8s"
						                values="1; 20"
						                calcMode="spline"
						                keyTimes="0; 1"
						                keySplines="0.165, 0.84, 0.44, 1"
						                repeatCount="indefinite" />
						            <animate attributeName="stroke-opacity"
						                begin="-0.9s" dur="1.8s"
						                values="1; 0"
						                calcMode="spline"
						                keyTimes="0; 1"
						                keySplines="0.3, 0.61, 0.355, 1"
						                repeatCount="indefinite" />
						        </circle>
						    </g>
						</svg>
			<?php
				break;
       	endswitch;
        return ob_get_clean();
    }
}
// Functions to generate CSS file

// GET CUSTOM CSS VARIABLE LOGO
//--------------------------------------------------
if (!function_exists('yolo_custom_css_variable_logo')) {
	function yolo_custom_css_variable_logo($page_id = 0) {
		global $yolo_giraffe_options;
		$prefix = 'yolo_';

		$logo = (object)array();

		$logo->logo_padding_top    = '0px';
		$logo->logo_padding_bottom = '0px';
		$logo->logo_padding_right    = '0px';
		$logo->logo_padding_left    = '0px';
		// Get logo max height
		if (!empty($page_id)) {
			$enable_logo_position = get_post_meta( $page_id, $prefix.'enable_logo_position', true );
			$logo->logo_padding_top = get_post_meta($page_id,$prefix . 'logo_padding_top', true);
			$logo->logo_padding_bottom = get_post_meta($page_id,$prefix . 'logo_padding_bottom', true);
			$logo->logo_padding_right = get_post_meta($page_id,$prefix . 'logo_padding_right', true);
			$logo->logo_padding_left = get_post_meta($page_id,$prefix . 'logo_padding_left', true);

			if($enable_logo_position == 1){
				// Logo Padding Top
					$logo->logo_padding_top .= 'px';
				// Logo Padding Bottom
					$logo->logo_padding_bottom .= 'px';
				// Logo Padding Left
					$logo->logo_padding_left .= 'px';
				// Logo Padding Right
					$logo->logo_padding_right .= 'px';
			}
		}
		return $logo;
	}
}

// GET CUSTOM CSS VARIABLE
//--------------------------------------------------
if (!function_exists('yolo_custom_css_variable')) {
	function yolo_custom_css_variable($page_id = 0) {
		global $yolo_giraffe_options;
		if (isset($_REQUEST['current_page_id'])) {
			$page_id = $_REQUEST['current_page_id'];
		}
		$prefix = 'yolo_';
		// Set default color for page
		$top_bar_bg_color   	  = '#F9F9F9';
		$top_bar_text_color 	  = '#b5b5b5';
		// Set Page title style
        $page_title_margin_top    = '00px';
        $page_title_margin_bottom = '85px';
        $page_title_height        = '300px';

		 // Top bar color
        $enable_topbar_color = get_post_meta($page_id, $prefix . 'enable_topbar_color', true);
        if ($enable_topbar_color == '1') {
            $top_bar_bg_color = get_post_meta($page_id, $prefix . 'top_bar_bg_color', true);
            $top_bar_text_color = get_post_meta($page_id, $prefix . 'top_bar_text_color', true);
        }

		//-------------------
		$page_title_margin_top = get_post_meta(get_the_ID(), $prefix . 'page_title_margin_top', true);
        $page_title_margin_top = $page_title_margin_top . 'px';

        $page_title_margin_bottom = get_post_meta(get_the_ID(), $prefix . 'page_title_margin_bottom', true);
        $page_title_margin_bottom = $page_title_margin_bottom . 'px';

        $page_title_height = get_post_meta(get_the_ID(), $prefix . 'page_title_height', true);
        $page_title_height = $page_title_height . 'px';

		// Mobile menu
		$logo_mobile_matrix = array(
			'header-mobile-1' => array(15),
			'header-mobile-2' => array(25),
			'header-mobile-3' => array(15),
			'header-mobile-4' => array(15),
			'header-mobile-5' => array(15),
		);
		// GET logo_max_height, logo_padding
		$logo   = yolo_custom_css_variable_logo($page_id);

		$top_bar_layout_padding = '100';
        if ((!empty($page_id))) {
            $header_nav_layout = get_post_meta($page_id, $prefix . 'top_bar_layout_width', true);
            if ($header_nav_layout == 'topbar-fullwith') {
                $top_bar_layout_padding = get_post_meta($page_id, $prefix . 'top_bar_layout_padding', true);
                if ($top_bar_layout_padding == '') {
                    $top_bar_layout_padding = '100';
                }
            }
        }

        $top_bar_layout_padding .= 'px';
	
		ob_start();	

		echo "@top_bar_bg_color:			$top_bar_bg_color;", PHP_EOL;
		echo "@top_bar_text_color:			$top_bar_text_color;", PHP_EOL;
		// Page heading
        echo "@page_title_margin_top: 		$page_title_margin_top;", PHP_EOL;
        echo "@page_title_margin_bottom: 	$page_title_margin_bottom;", PHP_EOL;
        echo "@page_title_height: 			$page_title_height;", PHP_EOL;

		echo "@logo_padding_top:		$logo->logo_padding_top;", PHP_EOL;
		echo "@logo_padding_bottom:		$logo->logo_padding_bottom;", PHP_EOL;
		echo "@logo_padding_right:		$logo->logo_padding_right;", PHP_EOL;
		echo "@logo_padding_left:		$logo->logo_padding_left;", PHP_EOL;

		echo "@top_bar_layout_padding:		$top_bar_layout_padding;", PHP_EOL;

		return ob_get_clean();
	}
}