<?php
/**
 *  
 * @package    YoloTheme
 * @version    1.0.0
 * @author     Administrator <admin@yolotheme.com>
 * @copyright  Copyright (c) 2016, YoloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://yolotheme.com
 ** 
 * Add param to exits shortcode
 * 1. vc_row
 * 2. vc_row_inner
 * 3. vc_column
 * 4. vc_custom_heading
 */

function yolo_add_vc_param() {
    if (function_exists('vc_add_param')) {
        $add_css_animation = array(
            'type'        => 'dropdown',
            'heading'     => esc_html__('CSS Animation', 'yolo-giraffe'),
            'param_name'  => 'css_animation',
            'value'       => array(
                esc_html__('No', 'yolo-giraffe')                   => '',
                esc_html__('Fade In', 'yolo-giraffe')              => 'wpb_fadeIn',
                esc_html__('Fade Top to Bottom', 'yolo-giraffe')   => 'wpb_fadeInDown',
                esc_html__('Fade Bottom to Top', 'yolo-giraffe')   => 'wpb_fadeInUp',
                esc_html__('Fade Left to Right', 'yolo-giraffe')   => 'wpb_fadeInLeft',
                esc_html__('Fade Right to Left', 'yolo-giraffe')   => 'wpb_fadeInRight',
                esc_html__('Bounce In', 'yolo-giraffe')            => 'wpb_bounceIn',
                esc_html__('Bounce Top to Bottom', 'yolo-giraffe') => 'wpb_bounceInDown',
                esc_html__('Bounce Bottom to Top', 'yolo-giraffe') => 'wpb_bounceInUp',
                esc_html__('Bounce Left to Right', 'yolo-giraffe') => 'wpb_bounceInLeft',
                esc_html__('Bounce Right to Left', 'yolo-giraffe') => 'wpb_bounceInRight',
                esc_html__('Zoom In', 'yolo-giraffe')              => 'wpb_zoomIn',
                esc_html__('Flip Vertical', 'yolo-giraffe')        => 'wpb_flipInX',
                esc_html__('Flip Horizontal', 'yolo-giraffe')      => 'wpb_flipInY',
                esc_html__('Bounce', 'yolo-giraffe')               => 'wpb_bounce',
                esc_html__('Flash', 'yolo-giraffe')                => 'wpb_flash',
                esc_html__('Shake', 'yolo-giraffe')                => 'wpb_shake',
                esc_html__('Pulse', 'yolo-giraffe')                => 'wpb_pulse',
                esc_html__('Swing', 'yolo-giraffe')                => 'wpb_swing',
                esc_html__('Rubber band', 'yolo-giraffe')          => 'wpb_rubberBand',
                esc_html__('Wobble', 'yolo-giraffe')               => 'wpb_wobble',
                esc_html__('Tada', 'yolo-giraffe')                 => 'wpb_tada'
            ),
            'description' => esc_html__('Select type of animation if you want this element to be animated when it enters into the browsers viewport. Note: Works only in modern browsers.', 'yolo-giraffe'),
            'group'       => esc_html__('Yolo Options', 'yolo-giraffe')
        );

        $add_duration_animation = array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Animation Duration', 'yolo-giraffe'),
            'param_name'  => 'duration',
            'value'       => '',
            'description' => esc_html__('Duration in milliseconds. You can use decimal points in the value. Use this field to specify the amount of time the animation plays. <em>The default value depends on the animation, leave blank to use the default.</em>', 'yolo-giraffe'),
            'dependency'  => array(
                'element' => 'css_animation', 
                'value'   => array(
                    'wpb_fadeIn', 
                    'wpb_fadeInDown', 
                    'wpb_fadeInUp', 
                    'wpb_fadeInLeft', 
                    'wpb_fadeInRight', 
                    'wpb_bounceIn', 
                    'wpb_bounceInDown', 
                    'wpb_bounceInUp', 
                    'wpb_bounceInLeft', 
                    'wpb_bounceInRight', 
                    'wpb_zoomIn', 
                    'wpb_flipInX', 
                    'wpb_flipInY', 
                    'wpb_bounce', 
                    'wpb_flash', 
                    'wpb_shake', 
                    'wpb_pulse', 
                    'wpb_swing', 
                    'wpb_rubberBand',
                    'wpb_wobble', 
                    'wpb_tada'
                )
            ),
            'group'       => esc_html__('Yolo Options', 'yolo-giraffe')
        );

        $add_delay_animation = array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Animation Delay', 'yolo-giraffe'),
            'param_name'  => 'delay',
            'value'       => '',
            'description' => esc_html__('Delay in milliseconds. You can use decimal points in the value. Use this field to delay the animation for a few milliseconds, this is helpful if you want to chain different effects one after another above the fold.', 'yolo-giraffe'),
            'dependency'  => array(
                'element' => 'css_animation', 
                'value'   => array(
                    'wpb_fadeIn', 
                    'wpb_fadeInDown', 
                    'wpb_fadeInUp', 
                    'wpb_fadeInLeft', 
                    'wpb_fadeInRight', 
                    'wpb_bounceIn', 
                    'wpb_bounceInDown', 
                    'wpb_bounceInUp', 
                    'wpb_bounceInLeft', 
                    'wpb_bounceInRight', 
                    'wpb_zoomIn', 
                    'wpb_flipInX', 
                    'wpb_flipInY', 
                    'wpb_bounce', 
                    'wpb_flash', 
                    'wpb_shake', 
                    'wpb_pulse', 
                    'wpb_swing', 
                    'wpb_rubberBand', 
                    'wpb_wobble', 
                    'wpb_tada'
                )
            ),
            'group'       => esc_html__('Yolo Options', 'yolo-giraffe')
        );


        $add_particles_effect = array(
            'type'        => 'dropdown',
            'heading'     => esc_html__('ParticlesJS Bubble Effect', 'yolo-giraffe'),
            'param_name'  => 'particles_effect',
            'description' => esc_html__('Enter ParticlesJS ID to use the paraticles effect for background (Note: make sure it is unique and valid according to w3c specification). We support the ID: particles-bubble-1, ...', 'yolo-giraffe'),
            'value'       => array(
                    esc_html__('No', 'yolo-giraffe')         => '',
                    esc_html__('Circle 0', 'yolo-giraffe')   => '0-circle',
                    esc_html__('Circle 1', 'yolo-giraffe')   => '1-circle',
                    esc_html__('Circle 2', 'yolo-giraffe')   => '2-circle',

                    esc_html__('Edge 0', 'yolo-giraffe')     => '0-edge',
                    esc_html__('Edge 1', 'yolo-giraffe')     => '1-edge',
                    esc_html__('Edge 2', 'yolo-giraffe')     => '2-edge',

                    esc_html__('Star 0', 'yolo-giraffe')    => '0-star',
                    esc_html__('Star 1', 'yolo-giraffe')    => '1-star',
                    esc_html__('Star 2', 'yolo-giraffe')    => '2-star',

                    esc_html__('Polygon 0', 'yolo-giraffe') => '0-polygon',
                    esc_html__('Polygon 1', 'yolo-giraffe') => '1-polygon',
                    esc_html__('Polygon 2', 'yolo-giraffe') => '2-polygon',

                    esc_html__('Triangle 0', 'yolo-giraffe') => '0-triangle',
                    esc_html__('Triangle 1', 'yolo-giraffe') => '1-triangle',
                    esc_html__('Triangle 2', 'yolo-giraffe') => '2-triangle',

                    

                    
                ),
            'group'       => esc_html__('Yolo Options', 'yolo-giraffe')
        );

        // Add params for row
        $add_params_row = array(

            array(
                'type'       => 'dropdown',
                'heading'    => esc_html__('Layout', 'yolo-giraffe'),
                'param_name' => 'layout',
                'value'      => array(
                    esc_html__('Container', 'yolo-giraffe')       => 'boxed',
                    esc_html__('Full Width', 'yolo-giraffe')      => 'wide',
                    esc_html__('Container Fluid', 'yolo-giraffe') => 'container-fluid',
                ),
                'group'       => esc_html__('Yolo Options', 'yolo-giraffe')
            ),
            array(
                'type'        => 'dropdown',
                'heading'     => esc_html__('Show background overlay', 'yolo-giraffe'),
                'param_name'  => 'overlay_set',
                'description' => esc_html__('Hide or Show overlay on background images.', 'yolo-giraffe'),
                'value'       => array(
                    esc_html__('Hide, please', 'yolo-giraffe')       => 'hide_overlay',
                    esc_html__('Show Overlay Color', 'yolo-giraffe') => 'show_overlay_color',
                    esc_html__('Show Overlay Image', 'yolo-giraffe') => 'show_overlay_image',
                ),
                'group'       => esc_html__('Yolo Options', 'yolo-giraffe')
            ),
            array(
                'type'        => 'attach_image',
                'heading'     => esc_html__('Image Overlay:', 'yolo-giraffe'),
                'param_name'  => 'overlay_image',
                'value'       => '',
                'description' => esc_html__('Upload image overlay.', 'yolo-giraffe'),
                'dependency'  => array(
                    'element' => 'overlay_set', 
                    'value'   => array('show_overlay_image')
                ),
                'group'       => esc_html__('Yolo Options', 'yolo-giraffe')
            ),
            array(
                'type'        => 'colorpicker',
                'heading'     => esc_html__('Overlay color', 'yolo-giraffe'),
                'param_name'  => 'overlay_color',
                'description' => esc_html__('Select color for background overlay.', 'yolo-giraffe'),
                'value'       => '',
                'dependency'  => array(
                    'element' => 'overlay_set', 
                    'value'   => array('show_overlay_color')
                ),
                'group'       => esc_html__('Yolo Options', 'yolo-giraffe')
            ),
            array(
                'type'        => 'number',
                'class'       => '',
                'heading'     => esc_html__('Overlay opacity', 'yolo-giraffe'),
                'param_name'  => 'overlay_opacity',
                'value'       => '50',
                'min'         => '1',
                'max'         => '100',
                'suffix'      => '%',
                'description' => esc_html__('Select opacity for overlay.', 'yolo-giraffe'),
                'dependency'  => array(
                    'element' => 'overlay_set', 
                    'value'   => array('show_overlay_color', 'show_overlay_image')
                ),
                'group'       => esc_html__('Yolo Options', 'yolo-giraffe')
            ),

            array(
                'type'        => 'dropdown',
                'heading'     => esc_html__('Parallax Fix Background Effect', 'yolo-giraffe'),
                'param_name'  => 'parallax_effect',
                'description' => esc_html__('Disable or enable parallax effect for background', 'yolo-giraffe'),
                'value'       => array(
                    esc_html__('Disable, please', 'yolo-giraffe')   => 'disable_parallax',
                    esc_html__('Enable Parallax', 'yolo-giraffe')   => 'enable_parallax',
                ),
                'group'       => esc_html__('Yolo Options', 'yolo-giraffe')
            ),

            array(
                'type'        => 'dropdown',
                'heading'     => esc_html__('Shape background effect', 'yolo-giraffe'),
                'param_name'  => 'shape_effect',
                'description' => esc_html__('Select the Shape background effect.', 'yolo-giraffe'),
                'value'       => array(
                    esc_html__('No', 'yolo-giraffe')            => '',
                    esc_html__('Shape 1', 'yolo-giraffe')       => 'shape1',
                    esc_html__('Shape 2', 'yolo-giraffe')       => 'shape2',
                    esc_html__('Shape 3', 'yolo-giraffe')       => 'shape3',
                    esc_html__('Shape 4', 'yolo-giraffe')       => 'shape4',
                    esc_html__('Shape 5', 'yolo-giraffe')       => 'shape5',
                    esc_html__('Shape 6', 'yolo-giraffe')       => 'shape6',
                    esc_html__('Shape Newsletter', 'yolo-giraffe')   => 'news1',
                    esc_html__('Shape Newsletter 2', 'yolo-giraffe')   => 'news2',
                    

                ),
                'group'       => esc_html__('Yolo Options', 'yolo-giraffe')
            ),

            $add_particles_effect,
            $add_css_animation,
            $add_duration_animation,
            $add_delay_animation,
        );
        
        // Add params for row-inner
        $add_params_row_inner = array(
            $add_particles_effect,
            $add_css_animation,
            $add_duration_animation,
            $add_delay_animation,
        );

        // Add params for column
        $add_params_column = array(
            $add_css_animation,
            $add_duration_animation,
            $add_delay_animation,
        );

        // Add params for custom heading
        $add_params_custom_heading = array(
            array(
                'type'        => 'textfield',
                'heading'     => esc_html__('Letter spacing', 'yolo-giraffe'),
                'param_name'  => 'letter_spacing',
                'value'       => 'normal',
                'description' => esc_html__('Insert heading letter spacing. Example: normal, initial, 1px,...', 'yolo-giraffe'),
            ),
            $add_css_animation,
            $add_duration_animation,
            $add_delay_animation,
        );

        // 1. Add new parameters for row
        foreach( $add_params_row as $param_row ) {
            vc_add_param('vc_row', $param_row);
        }
        // 2. Add new parameters for row_inner
        foreach( $add_params_row_inner as $param_row_inner ) {
            vc_add_param('vc_row_inner', $param_row_inner);
        }

        // 3. Add new parameters for column
        foreach( $add_params_column as $param_column ) {
            vc_add_param('vc_column', $param_column);
        }

        // 3. Add new parameters for custom heading
        foreach( $add_params_custom_heading as $param_custom_heading ) {
            vc_add_param('vc_custom_heading', $param_custom_heading);
        }

        // Update category for shortcode
        $settings_vc_map = array(
            'category' => array(
                esc_html__( 'Content', 'yolo-giraffe' ),
            )
        );

        vc_map_update('vc_custom_heading', $settings_vc_map);
    }
}

yolo_add_vc_param();