<?php
/**
 *
 * @package    YoloTheme
 * @version    1.0.0
 * @author     Administrator <admin@yolotheme.com>
 * @copyright  Copyright (c) 2015, YoloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://yolotheme.com
 */

global $yolo_giraffe_options;
$prefix                   = 'yolo_';
$section_page_title_class = array('yolo-page-title-section','yolo-page-title-archive');
$inherit_archive_title    = isset($yolo_giraffe_options['inherit_archive_class_title']) ? $yolo_giraffe_options['inherit_archive_class_title'] : 1;
$page_title_bg_image_url  = '';
$page_title_warp_class    = array();

$breadcrumbs_in_page_title = isset($yolo_giraffe_options['breadcrumbs_in_page_title']) ? $yolo_giraffe_options['breadcrumbs_in_page_title'] : 1;
$page_title_layout         = isset($yolo_giraffe_options['page_title_layout']) ? $yolo_giraffe_options['page_title_layout'] : '';

$page_title_text_align = isset($yolo_giraffe_options['page_title_style']) ? $yolo_giraffe_options['page_title_style'] : 'page-title-style-2';

if (1 == $inherit_archive_title) {
    $show_page_title     = isset($yolo_giraffe_options['show_page_title']) ? $yolo_giraffe_options['show_page_title'] : 1;
    $page_title_parallax = $yolo_giraffe_options['page_title_parallax'];
    $page_title_height   = $yolo_giraffe_options['page_title_height'];
    $page_title_bg_image = isset($yolo_giraffe_options['page_title_bg_image']) ? $yolo_giraffe_options['page_title_bg_image'] : '';

    if (isset($page_title_bg_image['url']) && $page_title_bg_image['url'] != '') {
        $page_title_bg_image_url = $page_title_bg_image['url'];
    } else {
        $page_title_bg_image_url = '';
    }
} else {
    $show_page_title     = isset($yolo_giraffe_options['show_archive_class_title']) ? $yolo_giraffe_options['show_archive_class_title'] : 1;
    $page_title_parallax = $yolo_giraffe_options['archive_class_title_parallax'];
    $page_title_height   = $yolo_giraffe_options['archive_class_title_height'];
    $page_title_bg_image = isset($yolo_giraffe_options['archive_class_title_bg_image']) ? $yolo_giraffe_options['archive_class_title_bg_image'] : '';

    if (isset($page_title_bg_image['url']) && $page_title_bg_image['url'] != '') {
        $page_title_bg_image_url = $page_title_bg_image['url'];
    } else {
        $page_title_bg_image_url = '';
    }
}

/*------------ Add style--------------*/
$custom_styles = array();
$custom_style  = '';

if ($page_title_bg_image_url != '') {
    $page_title_warp_class[] = 'page-title-wrap-bg';
    $custom_styles[]         = 'background-image: url(' . $page_title_bg_image_url . ')';
}

if (!empty($page_title_height)) {
    $custom_styles[] = 'height:' . $page_title_height . 'px';
}

if ($custom_styles) {
    $custom_style = 'style="' . join(';', $custom_styles) . '"';
}
/*------------ Parallax-------------*/
if (!empty($page_title_bg_image_url) && ($page_title_parallax == '1')) {
    wp_enqueue_script('stellar');
    $custom_style .= ' data-stellar-background-ratio="0.5"';
    $page_title_warp_class[] = 'page-title-parallax';
}

$page_sub_title = strip_tags(term_description());
/*------------ Archive product title --------------*/
$section_page_title_class[] = $page_title_text_align;
/*-----------Breadcrumbs----------------*/
$page_title_warp_class[] = 'yolo-page-title-wrap';
/*------------ Layout------------------*/
if (in_array($page_title_layout, array('container'))) {
    $section_page_title_class[] = $page_title_layout;
}
?>
<?php if ($show_page_title == 1): ?>
    <div class="<?php echo esc_attr(join(' ', $section_page_title_class)); ?>">
        <?php if ($show_page_title == 1): ?>
            <section class="<?php echo esc_attr(join(' ', $page_title_warp_class)); ?>" <?php echo wp_kses_post($custom_style); ?>>
                <div class="content-page-title">
                    <div class="container">
                        <div class="page-title-inner">
                            <div class="block-inner">
                                <h1><?php esc_html_e( 'Class','yolo-giraffe')?></h1>
                                <?php if ($page_sub_title != ''): ?>
                                    <span class="page-sub-title"><?php echo esc_html($page_sub_title) ?></span>
                                <?php endif;?>
                            </div>
                        </div>
                        <?php if ($breadcrumbs_in_page_title == 1): ?>
                            <div class="yolo-breadcrumb-wrap">
                                <?php yolo_the_breadcrumb();?>
                            </div>
                        <?php endif;?>
                    </div>
                </div>
            </section>
        <?php endif;?>
    </div>
<?php endif;?>