<?php
/**
 *
 * @package    YoloTheme
 * @version    1.0.0
 * @author     Administrator <admin@yolotheme.com>
 * @copyright  Copyright (c) 2015, YoloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://yolotheme.com
 */
global $yolo_giraffe_options;
$prefix                   = 'yolo_';
$page_title_warp_class    = array();
$section_page_title_class = array('yolo-page-title-section');
$inherit_archive_title    = isset($yolo_giraffe_options['inherit_archive_title']) ? $yolo_giraffe_options['inherit_archive_title'] : 1;
$on_front                 = get_option('show_on_front'); // core in redux
$page_sub_title           = strip_tags(term_description());
$page_title               = $page_title_bg_image_url               = '';

if (!have_posts()) {
    $page_title = esc_html__("Nothing Found", 'yolo-giraffe');
} elseif (is_home()) {
    if (($on_front == 'page' && get_queried_object_id() == get_post(get_option('page_for_posts'))->ID) || ($on_front == 'posts')) {
        $page_title = esc_html__("Blog", 'yolo-giraffe');
    } else {
        $page_title = '';
    }
} elseif (is_category()) {
    $page_title = single_cat_title('', false);
} elseif (is_tag()) {
    $page_title = single_tag_title(esc_html__("Tags: ", 'yolo-giraffe'), false);
} elseif (is_author()) {
    $page_title = sprintf(esc_html__('Author: %s', 'yolo-giraffe'), get_the_author());
} elseif (is_day()) {
    $page_title = sprintf(esc_html__('Daily Archives: %s', 'yolo-giraffe'), get_the_date());
} elseif (is_month()) {
    $page_title = sprintf(esc_html__('Monthly Archives: %s', 'yolo-giraffe'), get_the_date(_x('F Y', 'monthly archives date format', 'yolo-giraffe')));
} elseif (is_year()) {
    $page_title = sprintf(esc_html__('Yearly Archives: %s', 'yolo-giraffe'), get_the_date(_x('Y', 'yearly archives date format', 'yolo-giraffe')));
} elseif (is_search()) {
    $page_title = sprintf(esc_html__('Search Results for: %s', 'yolo-giraffe'), get_search_query());
} elseif (is_tax('post_format', 'post-format-aside')) {
    $page_title = esc_html__('Asides', 'yolo-giraffe');
} elseif (is_tax('post_format', 'post-format-gallery')) {
    $page_title = esc_html__('Galleries', 'yolo-giraffe');
} elseif (is_tax('post_format', 'post-format-image')) {
    $page_title = esc_html__('Images', 'yolo-giraffe');
} elseif (is_tax('post_format', 'post-format-video')) {
    $page_title = esc_html__('Videos', 'yolo-giraffe');
} elseif (is_tax('post_format', 'post-format-quote')) {
    $page_title = esc_html__('Quotes', 'yolo-giraffe');
} elseif (is_tax('post_format', 'post-format-link')) {
    $page_title = esc_html__('Links', 'yolo-giraffe');
} elseif (is_tax('post_format', 'post-format-status')) {
    $page_title = esc_html__('Statuses', 'yolo-giraffe');
} elseif (is_tax('post_format', 'post-format-audio')) {
    $page_title = esc_html__('Audios', 'yolo-giraffe');
} elseif (is_tax('post_format', 'post-format-chat')) {
    $page_title = esc_html__("Chats", 'yolo-giraffe');
} else {
    $page_title = esc_html__("Archives", 'yolo-giraffe');
}

$breadcrumbs_in_page_title = isset($yolo_giraffe_options['breadcrumbs_in_page_title']) ? $yolo_giraffe_options['breadcrumbs_in_page_title'] : 1;
$page_title_layout         = isset($yolo_giraffe_options['page_title_layout']) ? $yolo_giraffe_options['page_title_layout'] : '';

$page_title_text_align = isset($yolo_giraffe_options['page_title_style']) ? $yolo_giraffe_options['page_title_style'] : 'page-title-style-2';

if (1 == $inherit_archive_title) {
    $show_page_title     = isset($yolo_giraffe_options['show_page_title']) ? $yolo_giraffe_options['show_page_title'] : 1;
    $page_title_parallax = isset($yolo_giraffe_options['page_title_parallax'])? $yolo_giraffe_options['page_title_parallax']: '';
    $page_title_height   = isset($yolo_giraffe_options['page_title_height'])? $yolo_giraffe_options['page_title_height']: '';
    $page_title_bg_image = isset($yolo_giraffe_options['page_title_bg_image']) ? $yolo_giraffe_options['page_title_bg_image'] : '';

    if (isset($page_title_bg_image['url']) && $page_title_bg_image['url'] != '') {
        $page_title_bg_image_url = $page_title_bg_image['url'];
    } else {
        $page_title_bg_image_url = '';
    }
} else {
    $show_page_title     = isset($yolo_giraffe_options['show_archive_title']) ? $yolo_giraffe_options['show_archive_title'] : 1;
    $page_title_parallax = isset($yolo_giraffe_options['page_title_parallax'])? $yolo_giraffe_options['page_title_parallax']: '';
    $page_title_height   = isset($yolo_giraffe_options['page_title_height'])? $yolo_giraffe_options['page_title_height']: '';
    $page_title_bg_image = isset($yolo_giraffe_options['archive_title_bg_image']) ? $yolo_giraffe_options['archive_title_bg_image'] : '';

    if (isset($page_title_bg_image['url']) && $page_title_bg_image['url'] != '') {
        $page_title_bg_image_url = $page_title_bg_image['url'];
    } else {
        $page_title_bg_image_url = '';
    }
}

$cat = get_queried_object();

if ($cat && property_exists($cat, 'term_id')) {
    $cat_title_bg_image = get_tax_meta($cat, $prefix . 'page_title_background');
    if (is_array($cat_title_bg_image) && isset($cat_title_bg_image['url'])) {
        $page_title_bg_image_url = $cat_title_bg_image['url'];
    }
    $page_title_height = get_tax_meta($cat, $prefix . 'page_title_height');
}
/*------------ Add style--------------*/
$custom_styles = array();
$custom_style  = '';

if ($page_title_bg_image_url != '') {
    $page_title_warp_class[] = 'page-title-wrap-bg';
    $custom_styles[]         = 'background-image: url(' . $page_title_bg_image_url . ')';
}

if (!empty($page_title_height)) {
    $custom_styles[] = 'height:' . $page_title_height . 'px';
}

if ($custom_styles) {
    $custom_style = 'style="' . join(';', $custom_styles) . '"';
}

/*------------ Parallax-------------*/
if (!empty($page_title_bg_image_url) && ($page_title_parallax == '1')) {
    wp_enqueue_script('stellar');
    $custom_style .= ' data-stellar-background-ratio="0.5"';
    $page_title_warp_class[] = 'page-title-parallax';
}

$section_page_title_class[] = $page_title_text_align;
/*------------ Add class--------------*/
$page_title_warp_class[] = 'yolo-page-title-wrap archive-title-height';
/*------------ Layout------------------*/
if (in_array($page_title_layout, array('container'))) {
    $section_page_title_class[] = $page_title_layout;
}
?>
<?php if ($show_page_title == 1): ?>
    <div class="giraffe-blog <?php echo esc_attr(join(' ', $section_page_title_class)); ?>">
        <?php if ($show_page_title == 1): ?>
            <section class="<?php echo esc_attr(join(' ', $page_title_warp_class)); ?>" <?php echo wp_kses_post($custom_style); ?>>
                <div class="content-page-title">
                    <div class="container">
                        <div class="page-title-inner">
                            <div class="block-inner">
                                <h1><?php echo esc_html($page_title); ?></h1>
                                <?php if ($page_sub_title != ''): ?>
                                    <span class="page-sub-title"><?php echo esc_html($page_sub_title) ?></span>
                                <?php endif;?>
                            </div>
                        </div>
                        <?php if ($breadcrumbs_in_page_title == 1): ?>
                            <div class="yolo-breadcrumb-wrap">
                                <?php yolo_the_breadcrumb();?>
                            </div>
                        <?php endif;?>
                    </div>
                </div>
            </section>
        <?php endif;?>
    </div>
<?php endif;?>