<?php
/**
 *  
 * @package    YoloTheme
 * @version    1.0.0
 * @created    23/12/2015
 * @author     Administrator <admin@yolotheme.com>
 * @copyright  Copyright (c) 2015, YoloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://yolotheme.com
*/

global $yolo_archive_loop, $yolo_excerpt_length, $post, $post_count;
$size = 'full';

$prefix     = 'yolo_';
$url        = get_post_meta(get_the_ID(),$prefix.'post_format_link_url', true);
$text       = get_post_meta(get_the_ID(),$prefix.'post_format_link_text', true);
$class      = array();
$class[]    = "clearfix";

$thumbnail = get_the_post_thumbnail_url(get_the_ID());
?>
<article id="post-<?php the_ID(); ?>" <?php post_class($class); ?>>
    <div class="grf-post-item yolo-flex -row">
        <?php if ($yolo_archive_loop['style'] == 'listing') : ?>
            
            <?php if ( '' !== get_the_post_thumbnail() && ! is_single() ) : ?>
                <div class="post-thumbnail">
                    <a href="<?php the_permalink(); ?>">
                        <?php the_post_thumbnail( 'full' ); ?>
                    </a>
                </div><!-- .post-thumbnail -->
            <?php endif; ?>

        <?php else: ?>

            <?php if ($thumbnail) : ?>
                <div class="gpi__thumbnail fb-5">
                    <div class="entry-thumbnail-bg" style="background-image: url('<?php echo esc_url($thumbnail); ?>')"></div>
                    <a class="entry-link" href="<?php echo get_post_permalink(get_the_ID()); ?>" alt="<?php echo the_title(); ?>"></a>
                </div>
            <?php endif; ?>

        <?php endif; ?>
        <div class="gpi__content <?php echo (false != $thumbnail) ? 'fb-7': 'fb-12'; ?>">
            
            <h4 class="entry-title">
                <a href="<?php the_permalink(); ?>" rel="bookmark"
                   title="<?php the_title(); ?>"><?php the_title(); ?></a>
            </h4>

            <div class="entry-post-meta-wrap">
                <?php yolo_post_content_meta(); ?>
            </div>

            <div class="post-excerpt">
                <?php if (empty($url) || empty($text)) : ?>
                    <?php the_content(); ?>
                <?php else : ?>
                    <a href="<?php echo esc_url($url); ?>" rel="bookmark">
                        <?php echo esc_html($text); ?>
                    </a>
                <?php endif; ?>
            </div>
            <div class="entry-btn">
                <a href="<?php the_permalink(); ?>" class="giraffe-btn"><?php esc_html_e('Read More', 'yolo-giraffe') ?></a>
            </div>
        </div>
    </div>
</article>