<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive/search.
 *
 * @package WordPress
 */
global $yolo_archive_loop, $yolo_excerpt_length, $post, $post_count;
$size = 'full';

if (isset($yolo_archive_loop['image-size'])) {
    $size = $yolo_archive_loop['image-size'];
}

$date = get_the_date('D d M');
$date = explode(' ', $date);
$class = array();
$class[] = "yolo-isotope-item clearfix";
$post_count++;

$thumbnail = get_the_post_thumbnail_url(get_the_ID());
?>

<article id="post-<?php the_ID(); ?>" <?php post_class($class); ?>>
    <div class="grf-post-item yolo-flex -row">
        <?php if ($yolo_archive_loop['style'] == 'listing') : ?>
            <?php if ( '' !== get_the_post_thumbnail() && ! is_single() ) : ?>
                <div class="post-thumbnail">
                    <a href="<?php the_permalink(); ?>">
                        <?php the_post_thumbnail( 'full' ); ?>
                    </a>
                </div><!-- .post-thumbnail -->
            <?php endif; ?>

        <?php else: ?>
            <?php if ($thumbnail) : ?>
                <div class="gpi__thumbnail fb-5">
                    <div class="entry-thumbnail-bg" style="background-image: url('<?php echo esc_url($thumbnail); ?>')"></div>
                    <a class="entry-link" href="<?php echo get_post_permalink(get_the_ID()); ?>" alt="<?php echo the_title(); ?>"></a>
                </div>
            <?php endif; ?>

        <?php endif; ?>
       
        <div class="gpi__content <?php echo (false != $thumbnail) ? 'fb-7': 'fb-12'; ?>">
             
            <h4 class="entry-title">
                <a href="<?php the_permalink(); ?>" rel="bookmark"
                   title="<?php the_title(); ?>"><?php the_title(); ?></a>
            </h4>

            <div class="entry-post-meta-wrap">
                <?php yolo_post_content_meta(); ?>
            </div>

            <div class="post-excerpt">
                <?php
                    the_excerpt(); 
                ?>
            </div>
            <div class="entry-btn">
                <a href="<?php the_permalink(); ?>" class="giraffe-btn"><?php esc_html_e('Read More', 'yolo-giraffe') ?></a>
            </div>
        </div>
    </div>
</article>