<?php
/**
 * Project: Giraffe
 * Author: YoloTheme
 * Website: https://yolotheme.com
 */

global $post, $columns;

$thumbnail = get_the_post_thumbnail_url($post->ID);
$post_class     = 'col-sm-12 col-md-'.absint((12 / $columns));
?>
<article class="yolo-blog-item blog-v1 <?php echo esc_attr($post_class); ?>">
    <div class="blog-item-wrap yolo-flex -row">
        <div class="nbi__thumbnail -col -center fb-5">
            <div class="entry-thumbnail-bg" style="background-image: url('<?php echo esc_url($thumbnail); ?>')"></div>
            <a class="entry-link" href="<?php the_permalink();?>" title="<?php the_title(); ?>"></a>
        </div>
        <div class="nbi__content fb-7">

            <a class="nbi__author" href="<?php echo get_author_posts_url($post->post_author); ?>">
                <?php esc_html_e('By ', 'yolo-giraffe');
                the_author(); ?>
            </a>
            <h4 class="entry-title mt0 mb7" >
                <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a>
            </h4>
            <div class="entry-meta">
                <span>
                    <?php echo get_the_date('', $post->ID); ?>
                </span>
                <span>
                    <i class="far fa-comments"></i>
                    <?php echo esc_html($post->comment_count); ?>
                </span>
            </div>
            <div class="mt10">
                <?php
                (!empty($yolo_excerpt_length)) ? $num_word = $yolo_excerpt_length : $num_word = 20;
                $excerpt = strip_shortcodes($post->post_content);
                echo '<p class="transition500 blog_excerpt">' . wp_trim_words($excerpt, $num_word, '...') . '</p>';
                ?>
            </div>

            <div class="nbi__readmore">
                <a class="icon-btn btn-readmore-wrap" href="<?php the_permalink(); ?>">
                    <h6 class="m0 text btn-readmore btn-readmore-primary">
                        <?php esc_html_e('Read more', 'yolo-giraffe') ?>
                    </h6>
                </a>

            </div>
        </div>
    </div>
</article>