<?php
/**
 * Project: Giraffe
 * Author: YoloTheme
 * Website: https://yolotheme.com
 */

global $post, $columns;

$thumbnail = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'large');
$post_class     = 'col-sm-12 col-md-'.absint((12 / $columns));
?>
<article class="yolo-blog-item blog-v2 <?php echo esc_attr($post_class); ?>">
    <div class=" background-image" style="background-image: url('<?php  echo esc_url($thumbnail[0]);?>')"></div>
    <div class="v2__overlay">

        <div class="entry-author">
            <?php esc_html_e('By ', 'yolo-giraffe'); ?>
            <a class="post-author" href="<?php echo get_author_posts_url($post->post_author); ?>">
                <?php the_author() ?>
            </a>
        </div>
        <h4 class="entry-title">
            <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a>
        </h4>
        <div class="entry-meta">
            <span>
                <?php echo get_the_date('', $post->ID); ?>
            </span>
            <span>
                <i class="far fa-comments"></i>
                <?php echo esc_html($post->comment_count); ?>
            </span>
        </div>
        <div class="v2__excerpt">
            <?php
            $num_word = 20;
            $excerpt = strip_shortcodes($post->post_content);
            echo '<p>' . wp_trim_words($excerpt, $num_word, '...') . '</p>';
            ?>
        </div>
    </div>
</article>