<?php
/**
 * Project: Giraffe
 * Author: YoloTheme
 * Website: https://yolotheme.com
 */

global $post, $columns;

$thumbnail = get_the_post_thumbnail_url($post->ID);
$post_class     = 'col-sm-12 col-md-'.absint((12 / $columns));
?>

<article class="yolo-blog-item blog-v3 <?php echo esc_attr($post_class); ?>">
    <div class="blog-item-wrap yolo-flex -col">
        <div class="nbi__thumbnail">
            <div class="entry-thumbnail-bg" style="background-image: url('<?php echo esc_url($thumbnail); ?>')"></div>
            <a class="entry-link" href="<?php the_permalink();?>" title="<?php the_title(); ?>"></a>

            <div class="mt5 nbi__meta">
                <a href="<?php echo get_post_permalink($post->ID) ?>" class="c-grey blog_calendar">
                    <i class="fa fa-calendar"></i>
                    <?php echo get_the_date('', $post->ID); ?>
                </a>
                <a href="javascript:void(0)" class="nbi__comment ml5 c-grey">
                    <i class="far fa-comments"></i>
                    <?php echo esc_html($post->comment_count); ?>
                </a>
            </div>
        </div>

        <div class="nbi__content pt0">
            <a class="nbi__author c-grey" href="<?php echo get_author_posts_url($post->post_author); ?>">
                <?php esc_html_e('By ', 'yolo-giraffe');
                the_author(); ?>
            </a>
            <h4 class="entry-title text-center">
                <a  href="<?php the_permalink(); ?>" rel="bookmark"
                   title="<?php the_title(); ?>"><?php the_title(); ?></a>
            </h4>
        </div>
    </div>
</article>