<?php
/**
 * Project: Giraffe
 * Author: YoloTheme
 * Website: https://yolotheme.com
 */

global $post, $columns;

$thumbnail = get_the_post_thumbnail_url($post->ID);
$post_class     = 'col-sm-6 col-md-6 col-lg-'.absint((12 / $columns));
?>

<article class="yolo-blog-item blog-v4 <?php echo esc_attr($post_class); ?>">
    <div class="blog-item-wrap yolo-flex -col">
        <div class="nbi__thumbnail">
            <div class="entry-thumbnail-bg" style="background-image: url('<?php echo esc_url($thumbnail); ?>')"></div>
            <a class="entry-link" href="<?php the_permalink();?>" title="<?php the_title(); ?>"></a>
        </div>

        <div class="nbi__content">
            <?php if (has_category()) : ?>
                <div class="entry-meta-category">
                    <?php echo get_the_category_list(', '); ?>
                </div>
            <?php endif; ?>
            <h4 class="entry-title">
                <a  href="<?php the_permalink(); ?>" rel="bookmark"
                   title="<?php the_title(); ?>"><?php the_title(); ?></a>
            </h4>

            <div class="entry-meta">
                <span>
                    <?php echo get_the_date('', $post->ID); ?>
                </span>

                <span>
                    <i class="far fa-user"></i>
                    <?php the_author(); ?>
                </span>

                <span>
                    <i class="far fa-comments"></i>
                    <?php echo esc_html($post->comment_count); ?>
                </span>
            </div>
        </div>
    </div>
</article>