<?php
/**
 * Project: Giraffe
 * Author: YoloTheme
 * Website: https://yolotheme.com
 */

global $post, $columns;

$thumbnail = get_the_post_thumbnail_url($post->ID);
$post_class     = 'col-sm-12 col-md-'.absint((12 / $columns));
?>
<article class="yolo-blog-item blog-v5 <?php echo esc_attr($post_class); ?>">
    <div class="blog-item-wrap yolo-flex -col">
        <div class="nbi__thumbnail">
            <div class="entry-thumbnail-bg" style="background-image: url('<?php echo esc_url($thumbnail); ?>')"></div>
            <a class="entry-link" href="<?php the_permalink();?>" title="<?php the_title(); ?>"></a>
        </div>

        <div class="nbi__content" style="background-color: <?php echo rand_color('hex') ?>">
            <a class="nbi__date" href="<?php echo get_author_posts_url($post->post_author); ?>">
                <?php echo get_the_date('d/m/Y', $post->ID); ?>
            </a>
            <h4 class="entry-title text-center"
                style="border-bottom-color: <?php echo rand_color('hex') ?>">
                <a href="<?php the_permalink(); ?>" rel="bookmark"
                   title="<?php the_title(); ?>"><?php the_title(); ?></a>
            </h4>
            <div class="nbi__meta">
                <a href="<?php echo get_post_permalink($post->ID) ?>">
                    <i class="far fa-user"></i>
                    <?php the_author(); ?>
                </a>
                /
                <a href="javascript:void(0)">
                    <i class="far fa-comments"></i>
                    <?php echo esc_html($post->comment_count); ?>
                </a>
            </div>
            <div class="nbi__readmore">
                <a class="giraffe-btn" href="<?php the_permalink(); ?>"><?php esc_html_e('Read more', 'yolo-giraffe') ?></a></p>
            </div>
        </div>
    </div>
</article>