<?php
/**
 * Project: Giraffe
 * Author: YoloTheme
 * Website: https://yolotheme.com
 */

global $post, $columns, $excerpt_length;

$thumbnail = get_the_post_thumbnail_url($post->ID);
$post_class     = 'col-sm-12 col-md-'.absint((12 / $columns));
?>
<article class="yolo-blog-item blog-v6 <?php echo esc_attr($post_class); ?>">
    <div class="blog-item-wrap yolo-flex -col">
        <div class="nbi__thumbnail">
            <div class="entry-thumbnail-bg" style="background-image: url('<?php echo esc_url($thumbnail); ?>')"></div>
            
            <a class="entry-link" href="<?php the_permalink();?>" title="<?php the_title(); ?>"></a>
        </div>

        <div class="nbi__content">
    
            <div class="entry-meta-date"  style="background-color: <?php echo rand_color('hex') ?>">

                <span class="post-day"><?php echo get_the_date('d'); ?> </span>
                <span class="post-month"><?php echo get_the_date('M'); ?> </span>

            </div>  
            
            <h4 class="entry-title">
                <a  href="<?php the_permalink(); ?>" rel="bookmark"
                   title="<?php the_title(); ?>"><?php the_title(); ?></a>
            </h4>


            <p class="nbi__excerpt">
                <?php
                    echo (!empty($excerpt_length) && $excerpt_length != '') ? wp_trim_words(get_the_excerpt(), $excerpt_length) : get_the_excerpt();
                     ?>
            </p>
            <div class="entry-meta-more">
                <div class="author-avatar entry-meta-author">
                    <?php
                    $author_avatar_size = apply_filters('yolo_framework_author_avatar_size', 40);
                    echo get_avatar(get_the_author_meta('user_email'), $author_avatar_size);
                    ?>
                    <h6><?php the_author(); ?></h6>
                </div>

                <div class="nbi__comments entry-meta-comment">
                    <span>
                        <i class="far fa-comments"></i>
                        <?php echo esc_html($post->comment_count); ?>
                    </span>
                </div>
            </div>
        </div>
    </div>
</article>