<?php
/**
 * Project: giraffe.
 * Author: YoloTheme
 * Website: http://yolotheme.com
 */
global $post_options, $post;
if ($post_options)
    extract($post_options, EXTR_PREFIX_SAME, "ntt");

$color = get_post_meta(get_the_ID(), "_yolo_event_bg_color", '#fff');
$class_color = str_replace('#', 'event_', $color);
$post_class = 'event-item';

$thumbnail = get_the_post_thumbnail_url($post->ID);
empty($thumbnail) ? $thumbnail = get_template_directory_uri() . '/assets/images/placeholder.jpg' : $thumbnail;
$event_time = yolo_timetable_get_post_meta($post->ID, "_yolo_event_start_date", '');
if (!empty($event_time)) {
    $month = date_i18n('M', $event_time);
    $date = date_i18n('j', $event_time);
}
$add    = Yolo__Timetable__Event::address();
$form   = Yolo__Timetable__Event::start_time();
$to     = Yolo__Timetable__Event::end_time();
$price  = Yolo__Timetable__Event::show_price();
?>
<div class="timeline__item">
    <div class="item__date animated  yolo-flex -col -center" style="background-color: <?php echo rand_color('hex') ?>">
        <span class="date"><?php echo esc_attr($date); ?></span>
        <span class="time"><?php echo esc_attr($month) ?></span>
    </div>
    <div class="item__detail yolo-flex -col -center">
        <a href="<?php the_permalink() ?>" title="<?php the_title(); ?>">
            <h4 class="mt0 mb0 title-item__timeline"><?php the_title() ?></h4>
        </a>
        <p class="schedule mb0"><i class="fa fa-clock-o "></i>
            <span><?php echo esc_attr($form) . ' - ' . esc_attr($to); ?></span>
        </p>
        <div class="mt0 excerpt">
            <div>
                <a class="c-sunflower-b " href="<?php echo the_permalink(); ?>" title="<?php the_title(); ?>">
                    <?php esc_html_e('REGISTER NOW!', 'yolo-giraffe') ?>
                </a>
            </div>
        </div>
    </div>
</div>