<?php
/**
 *  
 * @package    YoloTheme
 * @version    1.0.0
 * @author     Administrator <admin@yolotheme.com>
 * @copyright  Copyright (c) 2015, YoloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://yolotheme.com
*/

global $yolo_giraffe_options;

$prefix = 'yolo_';

$header_class = array('yolo-main-header', 'header-4', 'header-desktop-wrapper');

$header_nav_wrapper = array('yolo-header-nav-wrapper');
$header_sticky_effect = '';
// @TODO: need process page_enable_header_customize from header.php
$header_layout_float = isset($yolo_giraffe_options['header_4_layout_float']) ? $yolo_giraffe_options['header_4_layout_float'] : '';

if ( 1 == $header_layout_float ) {
    $header_class[] = 'header-float';
}

$header_sticky = isset($yolo_giraffe_options['header_sticky']) ? $yolo_giraffe_options['header_sticky']: '' ;

if ( 1 == $header_sticky ) {
	wp_enqueue_script( 'sticky-header' );
    $header_nav_wrapper[] = 'header-sticky';
    $header_nav_wrapper[] = 'animate';
    $header_sticky_effect = isset($yolo_giraffe_options['header_sticky_effect']) ? $yolo_giraffe_options['header_sticky_effect'] : 'slideDown,slideUp';
    $header_sticky_scheme = isset($yolo_giraffe_options['header_sticky_scheme']) ? $yolo_giraffe_options['header_sticky_scheme'] : 'inherit';
    $header_nav_wrapper[] = 'sticky-scheme-' . $header_sticky_scheme;
}

$header_nav_hover     = isset($yolo_giraffe_options['header_nav_hover']) && !empty($yolo_giraffe_options['header_nav_hover']) ? $yolo_giraffe_options['header_nav_hover'] : 'nav-hover-primary';
$header_nav_wrapper[] = $header_nav_hover;
$page_menu            = get_post_meta(get_the_ID(), $prefix . 'page_menu', true);
$header_nav_layout    = isset($yolo_giraffe_options['header_4_nav_layout']) ? $yolo_giraffe_options['header_4_nav_layout'] : '';

if ( 'nav-fullwith' == $header_nav_layout ) {
    $header_nav_wrapper[] = $header_nav_layout;
}
?>
<header id="yolo-header" class="<?php echo esc_attr(join(' ', $header_class)); ?>">
	<div class="<?php echo esc_attr(join(' ', $header_nav_wrapper)); ?>" data-effect ="<?php echo esc_attr($header_sticky_effect);?>">
		<div class="container">
			<div class="yolo-header-wrapper">
				<div class="header-left">
					<?php yolo_get_template('header/header-logo' ); ?>
				</div>
				<div class="header-center">
						<?php if (has_nav_menu('primary')) : ?>
							<div id="primary-menu" class="menu-wrapper">
								<?php
								$arg_menu = array(
									'menu_id'        => 'main-menu',
									'container'      => '',
									'theme_location' => 'primary',
									'menu_class'     => 'yolo-main-menu nav-collapse navbar-nav',
									'fallback_cb'    => 'please_set_menu',
									'walker'         => new Yolo_MegaMenu_Walker()
								);
								if (!empty($page_menu)) {
									$arg_menu['menu'] = $page_menu;
								}
								wp_nav_menu( $arg_menu );
								?>
							</div>
						<?php endif; ?>
				</div>

				<div class="header-right">
					<?php yolo_get_template('header/header-customize-right' ); ?>
				</div>
			</div>
		</div>
	</div>
</header>