<?php
/**
 *  
 * @package    YoloTheme
 * @version    1.0.0
 * @author     Administrator <admin@yolotheme.com>
 * @copyright  Copyright (c) 2016, YoloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://yolotheme.com
*/

$yolo_header_layout = yolo_get_header_layout();
global $yolo_giraffe_options;
$prefix = 'yolo_';
$logo_url = '';
if(is_singular()){
	$logo_meta = get_post_meta(get_the_ID(), $prefix . 'custom_logo', true);
	if ($logo_meta) {
		$logo_url = wp_get_attachment_url($logo_meta);
	}
}
if ($logo_url == '') {
	if (isset($yolo_giraffe_options['logo']['url']) && !empty($yolo_giraffe_options['logo']['url'])) {
		$logo_url = $yolo_giraffe_options['logo']['url'];
	}else{
		$logo_url = get_template_directory_uri() . '/assets/images/logo.png';
	}
}

$logo_sticky = '';

if (!in_array($yolo_header_layout, array('header-1'))) {
	$logo_sticky_meta = get_post_meta(get_the_ID(), $prefix . 'sticky_logo', true);

	if ($logo_sticky_meta) {
		$logo_sticky = wp_get_attachment_url($logo_sticky_meta);
	}
	
	if (empty($logo_sticky)) {
		if (isset($yolo_giraffe_options['sticky_logo']) && isset($yolo_giraffe_options['sticky_logo']['url'])) {
			$logo_sticky = $yolo_giraffe_options['sticky_logo']['url'];
		}else if($logo_url) {
			$logo_sticky = $logo_url;
		}
	}
}

$header_logo_class = array('header-logo');

if (!empty($logo_sticky) && ($logo_sticky != $logo_url)) {
	$header_logo_class[] = 'has-logo-sticky';
}
?>
<div class="<?php echo esc_attr(join(' ', $header_logo_class)); ?>">
	<a  href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?> - <?php bloginfo( 'description' ); ?>">
		<img src="<?php echo esc_url($logo_url); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?> - <?php bloginfo( 'description' ); ?>" />
	</a>
</div>
<?php if (!empty($logo_sticky) && ($logo_sticky != $logo_url)) : ?>
	<div class="logo-sticky header-logo">
		<a  href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?> - <?php bloginfo( 'description' ); ?>">
			<img src="<?php echo esc_url($logo_sticky); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?> - <?php bloginfo( 'description' ); ?>" />
		</a>
	</div>
<?php endif;?>