<?php
/**
 *
 * @package    YoloTheme
 * @version    1.0.0
 * @created    25/12/2015
 * @author     Administrator <admin@yolotheme.com>
 * @copyright  Copyright (c) 2015, YoloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://yolotheme.com
 */
global $post,$yolo_giraffe_options;
$prefix                         = 'yolo_';
$show_page_title                = get_post_meta(get_the_ID(), $prefix . 'show_page_title', true);
$inherit_single_product_title   = isset($yolo_giraffe_options['inherit_single_product_title']) ? $yolo_giraffe_options['inherit_single_product_title'] : 0;
$inherit_single_blog_title      = isset($yolo_giraffe_options['inherit_single_blog_title']) ? $yolo_giraffe_options['inherit_single_blog_title'] : 0;

/*-----Show page title-------*/
if ($show_page_title == '0') {
    return;
}

if (($show_page_title == -1) || ($show_page_title == '')) {
    $show_page_title = isset($yolo_giraffe_options['show_page_title'])? $yolo_giraffe_options['show_page_title'] : '' ;

    if (is_singular('product')) {
        if ($inherit_single_product_title != 1) {
            $show_page_title = isset($yolo_giraffe_options['show_single_product_title']) ? $yolo_giraffe_options['show_single_product_title'] : '';
        }
    } elseif (is_singular('post')) {
        if ($inherit_single_blog_title != 1) {
            $show_page_title = isset($yolo_giraffe_options['show_single_blog_title']) ? $yolo_giraffe_options['show_single_blog_title'] : '';
        }
    }

    if ($show_page_title == '') {
        $show_page_title = 1;
    }
}

/*----- Custom Page Title-------*/

$page_title = get_the_title();
if (is_singular('product')) {
    if ($inherit_single_product_title != 1) {
        $page_title = isset($yolo_giraffe_options['custom_single_product_title']) ? $yolo_giraffe_options['custom_single_product_title'] : esc_html('Shop', 'yolo-giraffe');
    }
}

if (get_post_meta(get_the_ID(), $prefix . 'page_title_custom', true)) {
    $page_title = get_post_meta(get_the_ID(), $prefix . 'page_title_custom', true);
}

$page_sub_title = get_post_meta(get_the_ID(), $prefix . 'page_subtitle_custom', true);

/*-----Custom page title bg image-------*/
$enable_custom_page_title_bg_image = get_post_meta(get_the_ID(), $prefix . 'enable_custom_page_title_bg_image', true);
$page_title_bg_image_url           = '';

if ($enable_custom_page_title_bg_image == 1) {
    $page_title_bg_image = get_post_meta(get_the_ID(), $prefix . 'page_title_bg_image', true);

    if ($page_title_bg_image) {
        $page_title_bg_image     = wp_get_attachment_url($page_title_bg_image);
        $page_title_bg_image_url = $page_title_bg_image;
    }
} else {
    $page_title_bg_image = isset($yolo_giraffe_options['page_title_bg_image']) ? $yolo_giraffe_options['page_title_bg_image'] : '';

    if (is_singular('product')) {
        if ($inherit_single_product_title != 1) {
            $page_title_bg_image = isset($yolo_giraffe_options['single_product_title_bg_image']) ? $yolo_giraffe_options['single_product_title_bg_image'] : '';
        }
    }  elseif (is_singular('post')) {
        if ($inherit_single_blog_title != 1) {
            $page_title_bg_image = isset($yolo_giraffe_options['single_blog_title_bg_image']) ? $yolo_giraffe_options['single_blog_title_bg_image'] : '';
        }
    }

    if (isset($page_title_bg_image['url']) && $page_title_bg_image['url'] != '') {
        $page_title_bg_image_url = $page_title_bg_image['url'];
    } else {
        $page_title_bg_image_url = '';
    }
}
/* ------Breadcrumbs-----*/
$breadcrumbs_in_page_title = get_post_meta(get_the_ID(), $prefix . 'breadcrumbs_in_page_title', true);

if (($breadcrumbs_in_page_title == -1) || ($breadcrumbs_in_page_title == '')) {
    $breadcrumbs_in_page_title = isset($yolo_giraffe_options['breadcrumbs_in_page_title']) ? $yolo_giraffe_options['breadcrumbs_in_page_title'] : 1;
    if (is_singular('product')) {
        if ($inherit_single_product_title != 1) {
            $breadcrumbs_in_page_title = isset($yolo_giraffe_options['breadcrumbs_in_single_product_title']) ? $yolo_giraffe_options['breadcrumbs_in_single_product_title'] : 1;
        }
    } elseif (is_singular('post')) {
        if ($inherit_single_blog_title != 1) {
            $breadcrumbs_in_page_title = isset($yolo_giraffe_options['breadcrumbs_in_single_blog_title']) ? $yolo_giraffe_options['breadcrumbs_in_single_blog_title'] : 1;
        }
    }
}

/*---------- Add class and css attribute default----------*/
$page_title_warp_class    = array('yolo-page-title-wrap');
$section_page_title_class = array('yolo-page-title-section');

$breadcrumb_class = array('yolo-breadcrumb-wrap s-color');
/*------- Add css Custom <section> -----------*/
$custom_styles = array();
$custom_style  = '';
/*----- Page title height-------*/
$page_title_height = get_post_meta(get_the_ID(), $prefix . 'page_title_height', true);

if (empty($page_title_height)) {
    $page_title_height = isset($yolo_giraffe_options['page_title_height']) ? $yolo_giraffe_options['page_title_height'] : '';

    if (is_singular('post')) {
        if ($inherit_single_blog_title != 1) {
            $page_title_height = isset($yolo_giraffe_options['single_blog_title_height']) ? $yolo_giraffe_options['single_blog_title_height'] : '';
        }
    }
    if (is_singular('product')) {
        if ($inherit_single_product_title != 1) {
            $page_title_height = isset($yolo_giraffe_options['single_product_title_height']) ? $yolo_giraffe_options['single_product_title_height'] : '';
        }
    }
   
    $custom_styles[] = 'height:' . $page_title_height . 'px';
}

$page_title_bg_color = get_post_meta(get_the_ID(), $prefix . 'page_title_bg_color', true);

if ($page_title_bg_image_url != '') {
    $page_title_warp_class[] = 'page-title-wrap-bg';
    $custom_styles[]         = 'background-image: url(' . $page_title_bg_image_url . ')';
}
if ($page_title_bg_color != '') {
    $custom_styles[] = 'background-color:' . $page_title_bg_color;
}
if ($custom_styles) {
    $custom_style = 'style="' . join(';', $custom_styles) . '"';
}

/*-------- Page title Paralax--------*/
$page_title_parallax = get_post_meta(get_the_ID(), $prefix . 'page_title_parallax', true);

if (!isset($page_title_parallax) || ($page_title_parallax == '') || ($page_title_parallax == '-1')) {
    $page_title_parallax = isset($yolo_giraffe_options['page_title_parallax'])? $yolo_giraffe_options['page_title_parallax']: '';

    if (is_singular('product')) {
        if ($inherit_single_product_title != 1) {
            $page_title_parallax = isset($yolo_giraffe_options['single_product_title_parallax']) ? $yolo_giraffe_options['single_product_title_parallax'] : '';
        }
    } elseif (is_singular('post')) {
        if ($inherit_single_blog_title != 1) {
            $page_title_parallax = isset($yolo_giraffe_options['single_blog_title_parallax']) ? $yolo_giraffe_options['single_blog_title_parallax'] : '';
        }
    }
}

if (!empty($page_title_bg_image_url) && ($page_title_parallax == 1)) {
    wp_enqueue_script('stellar');
    $custom_style .= ' data-stellar-background-ratio="0.5"';
    $page_title_warp_class[] = 'page-title-parallax';
}
/*---------------Page title style--------------*/
$page_title_style = isset($yolo_giraffe_options['page_title_style']) ? $yolo_giraffe_options['page_title_style'] : 'page-title-style-2';
/*------- Page title layout--------*/

$page_title_layout = isset($yolo_giraffe_options['page_title_layout']) ? $yolo_giraffe_options['page_title_layout'] : '';

if (in_array($page_title_layout, array('container', 'container-fluid'))) {
    $section_page_title_class[] = $page_title_layout;
}

?>
<?php if ($show_page_title == 1): ?>
    <div class="giraffe-page <?php echo esc_attr(join(' ', $section_page_title_class)); ?> <?php echo esc_attr($page_title_style); ?>">
        <section  class="<?php echo esc_attr(join(' ', $page_title_warp_class)); ?>" <?php echo wp_kses_post($custom_style); ?>>
            <div class="content-page-title">
                <div class="container">
                    <div class="page-title-inner block-center">
                        <div class="block-inner">
                            <h1><?php echo yolo_kses($page_title); ?></h1>
                            <?php if ($page_sub_title != ''): ?>
                                <span class="page-sub-title"><?php echo esc_html($page_sub_title) ?></span>
                            <?php endif;?>
                        </div>
                    </div>
                    <?php if ($breadcrumbs_in_page_title == 1 && !is_singular('post')): ?>
                        <div class="<?php echo esc_attr(join(' ', $breadcrumb_class)); ?>">
                            <?php yolo_the_breadcrumb();?>
                        </div>
                    <?php endif;?>

                    <?php if (is_singular('post')): ?>
                        <div class="entry-post-meta-wrap">
                            <?php yolo_post_content_meta(); ?>
                        </div>
                    <?php endif;?>
                </div>
            </div>
        </section>
    </div>
<?php else:?>
    <div class="giraffe-page <?php echo esc_attr(join(' ', $section_page_title_class)); ?> <?php echo esc_attr($page_title_style); ?>">
        <div class="container mt30">
            <?php if ($breadcrumbs_in_page_title == 1): ?>
                <div class="<?php echo esc_attr(join(' ', $breadcrumb_class)); ?>">
                    <?php yolo_the_breadcrumb();?>
                </div>
            <?php endif;?>
        </div>
    </div>
<?php endif; ?>