<?php
/**
 *  
 * @package    YoloTheme
 * @version    1.0.0
 * @created    25/12/2015
 * @author     Administrator <admin@yolotheme.com>
 * @copyright  Copyright (c) 2015, YoloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       http://yolotheme.com
*/

/**
 * The default template for displaying content
 *
 * Used for both single and index/archive/search.
 *
 * @package WordPress
 */
global $yolo_archive_loop,$yolo_giraffe_options;
if (isset($yolo_archive_loop['image-size'])) {
    $size = $yolo_archive_loop['image-size'];
} else {
    $size = 'full';
}

$prefix = 'yolo_';
$quote_content = get_post_meta(get_the_ID(), $prefix.'post_format_quote', true);
$quote_author = get_post_meta(get_the_ID(), $prefix.'post_format_quote_author', true);
$quote_author_url = get_post_meta(get_the_ID(), $prefix.'post_format_quote_author_url', true);

$class = array();
$class[]= "clearfix";

$thumbnail = yolo_post_thumbnail('full');
?>
<article id="post-<?php the_ID(); ?>" <?php post_class($class); ?>>
        <?php if ($thumbnail) : ?>
            <div class="entry-thumbnail-wrap">
                <?php
                    echo wp_kses_post($thumbnail);
                ?>
            </div>
        <?php endif; ?>
        <?php if (!empty($quote_content) && !empty($quote_author) && empty($quote_author_url)) : ?>
            <blockquote class="main-quote">
                <p><?php echo esc_html($quote_content); ?></p>
                <cite><a href="<?php echo esc_url($quote_author_url) ?>" title="<?php echo esc_attr($quote_author); ?>"><?php echo esc_html($quote_author); ?></a></cite>
            </blockquote>
        <?php endif; ?>
    <div class="entry-post-content">
        <div class="entry-content-wrap">
            <div class="entry-content clearfix">
                <?php the_content(); ?>
            </div>

            <?php

            /**
             * @hooked - yolo_link_pages - 5
             * @hooked - yolo_post_tags - 10
             * @hooked - yolo_share - 15
             *
             **/
            do_action('yolo_after_single_post_content');
            ?>

        </div>
    </div>
    <?php
    /**
     * @hooked - yolo_post_nav - 20
     * @hooked - yolo_post_author_info - 25
     *
     **/
    ?>
</article>
<?php do_action('yolo_after_single_post');?>