<?php
/**
 *
 * @package    YoloTheme
 * @version    1.0.0
 * @author     Administrator <admin@yolotheme.com>
 * @copyright  Copyright (c) 2015, YoloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://yolotheme.com
 */

global $yolo_giraffe_options;
$prefix                   = 'yolo_';
$section_page_title_class = array('yolo-page-title-single');
$page_title_bg_image_url  = '';
$page_title_warp_class    = array();

$breadcrumbs_in_page_title = isset($yolo_giraffe_options['breadcrumbs_in_class_title']) ? $yolo_giraffe_options['breadcrumbs_in_class_title'] : 1;
$page_title_layout         = isset($yolo_giraffe_options['page_title_layout']) ? $yolo_giraffe_options['page_title_layout'] : 'container';

$page_title_parallax = isset($yolo_giraffe_options['single_class_title_parallax']) ? $yolo_giraffe_options['single_class_title_parallax'] : '';
$page_title_height   = isset($yolo_giraffe_options['single_class_title_height']) ? $yolo_giraffe_options['single_class_title_height'] : 300;
$page_title_bg_image = isset($yolo_giraffe_options['single_class_title_bg_image']) ? $yolo_giraffe_options['single_class_title_bg_image'] : '';

if (isset($page_title_bg_image) && $page_title_bg_image['url'] != '') {
    $page_title_bg_image_url = $page_title_bg_image['url'];
} else {
    $page_title_bg_image_url = get_template_directory_uri() . '/assets/images/bg-page-title.jpg';
}

/*------------ Add style--------------*/
$custom_styles = array();
$custom_style  = '';

if ($page_title_bg_image_url != '') {
    $page_title_warp_class[] = 'page-title-wrap-bg';
    $custom_styles[]         = 'background-image: url(' . $page_title_bg_image_url . ')';
}

if (!empty($page_title_height)) {
    $custom_styles[] = 'height:' . $page_title_height . 'px';
}

if ($custom_styles) {
    $custom_style = 'style="' . join(';', $custom_styles) . '"';
}
/*------------ Parallax-------------*/
if (!empty($page_title_bg_image_url) && ($page_title_parallax == '1')) {
    wp_enqueue_script('stellar');
    $custom_style .= ' data-stellar-background-ratio="0.5"';
    $page_title_warp_class[] = 'page-title-parallax';
}

$breadcrumb_class = array('yolo-breadcrumb-wrap s-color');

$page_sub_title = strip_tags(term_description());
/*------------ Archive product title --------------*/
$page_title_warp_class[] = 'yolo-page-title-wrap';
/*------------ Layout------------------*/
?>
<div class="yolo-page-title-section yolo-class-heading <?php echo esc_attr(join(' ', $section_page_title_class)); ?>">
    <section  class="<?php echo esc_attr(join(' ', $page_title_warp_class)); ?>" <?php echo wp_kses_post($custom_style); ?>>
      <div class="content-page-title">
        <div class="container">
          <div class="page-title-inner">
            <div class="heading-info-left">
                <?php yolo_timetable_post_thumbnail(); ?>
                <div class="block-inner">
                    <?php the_title( '<h1 class="item-title">', '</h1>' ); ?>
                    <?php if (yolo_comment_rating_display_average_rating('') != '') : ?>
                        <div class="rating">
                            <?php echo  yolo_comment_rating_display_average_stars('');?>
                            <?php echo yolo_comment_rating_get_all_ratings(get_the_ID()); ?>
                        </div>
                    <?php endif; ?>
                    <?php if ($breadcrumbs_in_page_title == 1): ?>
                        <div class="<?php echo esc_attr(join(' ', $breadcrumb_class)); ?>">
                              <?php yolo_the_breadcrumb();?>
                        </div>
                    <?php endif;?>
                </div>
            </div>
          </div>
        </div>
      </div>
  </section>
</div>