<?php
/**
 *
 * @package    YoloTheme
 * @version    1.0.0
 * @author     Administrator <admin@yolotheme.com>
 * @copyright  Copyright (c) 2015, YoloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://yolotheme.com
 */

global $yolo_giraffe_options;
$prefix                   = 'yolo_';
$section_page_title_class = array('yolo-page-title-section');
$page_title_bg_image_url  = '';
$page_title_warp_class    = array();

$breadcrumb_class = array('yolo-breadcrumb-wrap');

$page_title_height   = isset($yolo_giraffe_options['single_event_title_height']) ? $yolo_giraffe_options['single_event_title_height'] : 300;
$page_title_bg_image = isset($yolo_giraffe_options['single_event_title_bg_image']) ? $yolo_giraffe_options['single_event_title_bg_image'] : '';
$page_title_parallax = isset($yolo_giraffe_options['single_event_title_parallax']) ? $yolo_giraffe_options['single_event_title_parallax'] : '';

if (isset($page_title_bg_image) && $page_title_bg_image['url'] != '') {
    $page_title_bg_image_url = $page_title_bg_image['url'];
} else {
    $page_title_bg_image_url = get_template_directory_uri() . '/assets/images/bg-page-title.jpg';
}

/*------------ Add style--------------*/
$custom_styles = array();
$custom_style  = '';

if ($page_title_bg_image_url != '') {
    $page_title_warp_class[] = 'page-title-wrap-bg';
    $custom_styles[]         = 'background-image: url(' . $page_title_bg_image_url . ')';
}

if (!empty($page_title_height)) {
    $custom_styles[] = 'height:' . $page_title_height . 'px';
}

if ($custom_styles) {
    $custom_style = 'style="' . join(';', $custom_styles) . '"';
}
/*------------ Parallax-------------*/
if (!empty($page_title_bg_image_url) && ($page_title_parallax == '1')) {
    wp_enqueue_script('stellar');
    $custom_style .= ' data-stellar-background-ratio="0.5"';
    $page_title_warp_class[] = 'page-title-parallax';
}

$page_sub_title = strip_tags(term_description());
/*------------ Archive product title --------------*/
/*-----------Breadcrumbs----------------*/
$page_title_warp_class[] = 'yolo-page-title-wrap';
/*------------ Layout------------------*/

/*---------------Page title style--------------*/
$page_title_style = isset($yolo_giraffe_options['page_title_style']) ? $yolo_giraffe_options['page_title_style'] : 'page-title-style-1';
/*------- Page title layout--------*/

$page_title_layout = isset($yolo_giraffe_options['page_title_layout']) ? $yolo_giraffe_options['page_title_layout'] : 'container-fluid';

if (in_array($page_title_layout, array('container'))) {
    $section_page_title_class[] = $page_title_layout;
}

$add = Yolo__Timetable__Event::address();

?>
<div class="yolo-page-title-section  <?php echo esc_attr(join(' ', $section_page_title_class)); ?> <?php echo esc_attr($page_title_style); ?>">
    <section class="<?php echo esc_attr(join(' ', $page_title_warp_class)); ?>" <?php echo wp_kses_post($custom_style); ?>>
        <div class="content-page-title">
             <div class="container">
                <div class="page-title-inner block-center">
                    <div class="block-inner">
                       <?php the_title( '<h1>', '</h1>' ); ?>
                    </div>
                </div>
                    <div class="<?php echo esc_attr(join(' ', $breadcrumb_class)); ?>">
                        <?php if (!empty($add)): ?>
                            <i class="fas fa-map-marker-alt"></i>
                            <?php echo esc_attr($add); ?>
                        <?php endif; ?>
                    </div>
            </div>
        </div>
    </section>
</div>
