<?php
/**
 *
 * @package    YoloTheme
 * @version    1.0.0
 * @created    25/12/2015
 * @author     Administrator <admin@yolotheme.com>
 * @copyright  Copyright (c) 2015, YoloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://yolotheme.com
 */

global $yolo_giraffe_options;
$prefix                   = 'yolo_';
$section_page_title_teacher = array('yolo-page-title-single');
$page_title_bg_image_url  = '';
$page_title_warp_teacher    = array();

$page_title_layout         = isset($yolo_giraffe_options['page_title_layout']) ? $yolo_giraffe_options['page_title_layout'] : 'container';

$page_title_parallax = isset($yolo_giraffe_options['single_teacher_title_parallax']) ? $yolo_giraffe_options['single_teacher_title_parallax'] : '';
$page_title_height   = isset($yolo_giraffe_options['single_teacher_title_height']) ? $yolo_giraffe_options['single_teacher_title_height'] : '';
$page_title_bg_image = isset($yolo_giraffe_options['single_teacher_title_bg_image']) ? $yolo_giraffe_options['single_teacher_title_bg_image'] : '';

if (isset($page_title_bg_image) && $page_title_bg_image['url'] != '') {
    $page_title_bg_image_url = $page_title_bg_image['url'];
} else {
    $page_title_bg_image_url = get_template_directory_uri() . '/assets/images/bg-page-title.jpg';
}

/*------------ Add style--------------*/
$custom_styles = array();
$custom_style  = '';

if ($page_title_bg_image_url != '') {
    $page_title_warp_teacher[] = 'page-title-wrap-bg';
    $custom_styles[]         = 'background-image: url(' . $page_title_bg_image_url . ')';
}

if (!empty($page_title_height)) {
    $custom_styles[] = 'height:' . $page_title_height . 'px';
}

if ($custom_styles) {
    $custom_style = 'style="' . join(';', $custom_styles) . '"';
}
/*------------ Parallax-------------*/
if (!empty($page_title_bg_image_url) && ($page_title_parallax == '1')) {
    wp_enqueue_script('stellar');
    $custom_style .= ' data-stellar-background-ratio="0.5"';
    $page_title_warp_teacher[] = 'page-title-parallax';
}

$breadcrumb_teacher = array('yolo-breadcrumb-wrap s-color');

$page_sub_title = strip_tags(term_description());
/*------------ Archive product title --------------*/
$page_title_warp_teacher[] = 'yolo-page-title-wrap';
/*------------ Layout------------------*/

if (!empty($page_title_bg_image_url) && ($page_title_parallax == 1)) {
    wp_enqueue_script('stellar');
    $custom_style .= ' data-stellar-background-ratio="0.5"';
    $page_title_warp_teacher[] = 'page-title-parallax';
}

?>
<?php
    $facebook       =   yolo_timetable_get_post_meta( get_the_ID(), "_yolo_teacher_facebook", '' );
    $google         =   yolo_timetable_get_post_meta( get_the_ID(), "_yolo_teacher_google", '' );
    $twitter        =   yolo_timetable_get_post_meta( get_the_ID(), "_yolo_teacher_twitter", '' );
    $pinterest      =   yolo_timetable_get_post_meta( get_the_ID(), "_yolo_teacher_pinterest", '' );
?>
<div class="yolo-page-title-section yolo-class-heading <?php echo esc_attr(join(' ', $section_page_title_teacher)); ?>">
    <section  class="<?php echo esc_attr(join(' ', $page_title_warp_teacher)); ?>" <?php echo wp_kses_post($custom_style); ?>>
        <div class="content-page-title">
            <div class="container">
                <div class="heading-info-left">
                    <?php yolo_timetable_post_thumbnail(); ?>
                    <div class="block-inner">
                        <?php the_title( '<h1 class="item-title">', '</h1>' ); ?>
                        <h5 class="item-category"><?php echo get_the_term_list(get_the_ID(), 'class_category',' ',', ')?></h5>
                        <?php if(!empty($facebook) || !empty($twitter) || !empty($google) || !empty($linkedin) || !empty($pinterest)):?>
                            <div class="item-social">
                                <?php echo ( !empty($facebook) ? '<a href="' . $facebook . '" class="fab fa-facebook-f"></a>' : '' ); ?>
                                <?php echo ( !empty($google) ? '<a href="' . $google . '" class="fab fa-google-plus-g"></a>' : '' ); ?>
                                <?php echo ( !empty($twitter) ? '<a href="' . $twitter . '" class="fab fa-twitter"></a>' : '' ); ?>
                                <?php echo ( !empty($pinterest) ? '<a href="' . $pinterest . '" class="fab fa-pinterest-p"></a>' : '' ); ?>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>