<?php
/**
 *
 * @package    YoloTheme
 * @version    1.0.0
 * @author     Administrator <admin@yolotheme.com>
 * @copyright  Copyright (c) 2015, YoloTheme
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://yolotheme.com
 */

global $yolo_giraffe_options;
$home_preloader = isset($yolo_giraffe_options['home_preloader'])? $yolo_giraffe_options['home_preloader'] : 'none';

if ($home_preloader == 'none' || empty($home_preloader)) {
    return;
}

$home_preloader_bg_color      = $yolo_giraffe_options['home_preloader_bg_color'];
$home_preloader_spinner_color = $yolo_giraffe_options['home_preloader_spinner_color'];
$home_preloader_spinner_size  = $yolo_giraffe_options['home_preloader_spinner_size'];

$custom_bg_color = '';

if ($home_preloader_bg_color) {
    if (!is_array($home_preloader_bg_color)) {
        $custom_bg_color = 'style="background-color:' . $home_preloader_bg_color . ';"';
    } else {
        $custom_bg_color = 'style="';
        $custom_bg_color .= sprintf('background: -moz-linear-gradient(-45deg, %s 0%%, %s 100%%);', $home_preloader_bg_color['from'], $home_preloader_bg_color['to']);
        $custom_bg_color .= sprintf('background: -webkit-gradient(linear, left top, right bottom, color-stop(0%%,%s), color-stop(100%%,%s));', $home_preloader_bg_color['from'], $home_preloader_bg_color['to']);
        $custom_bg_color .= sprintf('background: -webkit-linear-gradient(-45deg, %s 0%%,%s 100%%);', $home_preloader_bg_color['from'], $home_preloader_bg_color['to']);
        $custom_bg_color .= sprintf('background: -o-linear-gradient(-45deg, %s 0%%,%s 100%%);', $home_preloader_bg_color['from'], $home_preloader_bg_color['to']);
        $custom_bg_color .= sprintf('background: -ms-linear-gradient(-45deg, %s 0%%,%s 100%%);', $home_preloader_bg_color['from'], $home_preloader_bg_color['to']);
        $custom_bg_color .= sprintf('background: linear-gradient(135deg, %s 0%%,%s 100%%);', $home_preloader_bg_color['from'], $home_preloader_bg_color['to']);
        $custom_bg_color .= '"';
    }
}
?>
<div id="yolo-site-preload" <?php echo wp_kses_post($custom_bg_color); ?> class="">
    <div class="yolo-loading-center">
        <div class="site-loading-center-absolute">
            <img class="yono-svg" src="<?php echo get_template_directory_uri() . '/assets/svg/' . esc_attr($home_preloader); ?>" width="<?php echo esc_attr($home_preloader_spinner_size); ?>" alt="loading">
        </div>
    </div>
</div>