<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive.
 *
 * Override this template by copying it to yourtheme/woocommerce/archive-product.php
 *
 * @author        WooThemes
 * @package    WooCommerce/Templates
 * @version     3.4.0
 */
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}
global $woocommerce_loop, $yolo_woocommerce_loop, $yolo_giraffe_options;
/* Get style for shop page*/
$archive_product_ajax = isset($yolo_giraffe_options['archive_product_ajax']) ? $yolo_giraffe_options['archive_product_ajax'] : 'enable';
$layout_style = isset($yolo_giraffe_options['archive_container_layout']) ? $yolo_giraffe_options['archive_container_layout'] : 'container';
$archive_product_display = isset($yolo_giraffe_options['archive_product_display']) ? $yolo_giraffe_options['archive_product_display'] : 'grid';
$archive_product_styles = isset($yolo_giraffe_options['archive_product_styles']) ? $yolo_giraffe_options['archive_product_styles'] : 'fitRows';
if (in_array($archive_product_styles, array('masonry', 'fitRows'))) {
    $archive_product_styles = $archive_product_styles;
} else {
    $archive_product_styles = 'fitRows';
}
$show_filter = isset($yolo_giraffe_options['show_filters']) ? $yolo_giraffe_options['show_filters'] : false;
$auto_close_filter = isset($yolo_giraffe_options['yolo_auto_close_filter']) ? $yolo_giraffe_options['yolo_auto_close_filter'] : '';
$filter_widget = isset($yolo_giraffe_options['archive_product_sidebar']) ? $yolo_giraffe_options['archive_product_sidebar'] : 'top';
$sidebar_width = isset($yolo_giraffe_options['archive_product_sidebar_width']) ? $yolo_giraffe_options['archive_product_sidebar_width'] : 'small';

$yolo_woocommerce_loop['archive_product_display'] = $archive_product_display;
if ($archive_product_display == 'grid') {
    wp_enqueue_script('isotope');
    $archive_display_columns = isset($yolo_giraffe_options['product_display_columns']) ? $yolo_giraffe_options['product_display_columns'] : '4';
    $yolo_woocommerce_loop['columns'] = $archive_display_columns;
} else {
    $yolo_woocommerce_loop['columns'] = '';
}

$product_rating = isset($yolo_giraffe_options['product_show_rating']) ? $yolo_giraffe_options['product_show_rating'] : true;
$yolo_woocommerce_loop['rating'] = $product_rating;
$sidebar_col = '';
$add_style = '';

$content_col_number = 12;

$content_col = '';

$sidebar_class = '';

if($filter_widget == 'left' || $filter_widget == 'right'){
    $sidebar_col = ' col-md-3';
    if ($sidebar_width == 'large') {
        $sidebar_col = ' col-md-4';
    }

    $sidebar_col .= ' '.$filter_widget;

    $add_style = 'yolo-filter-sidebar';

    if ($sidebar_width == 'large') {
        $content_col_number -= 4;
    } else {
        $content_col_number -= 3;
    }

    $sidebar_class = 'sidebar-' . $filter_widget;
}

$content_col = 'col-md-' . $content_col_number;

$archive_class = array('archive-product-wrap', 'clearfix');
$archive_class[] = 'layout-' . $layout_style;
$ajax_args = array(
    'archive_product_display' => $archive_product_display,
    'content_col' => $content_col,
    'sidebar_col' => $sidebar_col,
    'filter_widget' => $filter_widget,
    'auto_close_filter' => $auto_close_filter,
);
$product_per_page = isset($yolo_giraffe_options['product_per_page']) ? $yolo_giraffe_options['product_per_page'] : '12';
$product_per_page = isset($_GET['product_per_page']) ? sanitize_text_field($_GET['product_per_page']) : $product_per_page;


$show_search = isset($yolo_giraffe_options['show_search']) ? $yolo_giraffe_options['show_search'] : false;

$show_category = isset($yolo_giraffe_options['show_categories']) ? $yolo_giraffe_options['show_categories'] : false;
if (isset($_REQUEST['shop_load']) && 'product' != $_REQUEST['shop_load']) {
    wc_get_template('woocommerce/content-product-ajax.php', array('ajax_args' => $ajax_args), get_template_directory() . '/', get_template_directory() . '/');
} else {

    get_header('shop'); ?>
    <?php
    wp_enqueue_script('yolo_shop_filters');
    /**
     * @hooked - yolo_archive_product_heading - 5
     **/
    do_action('yolo_before_archive_product');
    ?>
    <main class="site-content-archive-product main-content-archive" data-ajax="<?php echo esc_attr($archive_product_ajax); ?>"
          data-product-style="<?php echo esc_attr($archive_product_styles); ?>">
        <?php
        /**
         * @hooked - yolo_shop_page_content - 5
         **/
        do_action('yolo_before_archive_product_listing');
        ?>
        <?php if ($layout_style != 'full') : ?>
        <div class="<?php echo esc_attr($layout_style) ?> clearfix">
            <div class="row clearfix">
                <?php endif; ?>
                    <div class="col-12 shop-cat-filter clearfix">
                        <?php
                        if ($show_category == '1') {
                            echo yolo_category_menu();
                        }
                        ?>
                        <ul class="yolo-filter-search">
                            <?php if ($show_filter && $filter_widget == 'top'): ?>
                                <li data-panel="filter" class="yolo-filter"
                                    data-auto-close="<?php echo esc_attr($auto_close_filter); ?>">
                                    <a href="#filter"
                                       class="invert-color"><?php esc_html_e('Filter', 'yolo-giraffe'); ?></a>
                                </li>
                            <?php endif; ?>
                            <?php if ($show_search): ?>
                                <li class="yolo-shop-search-btn-wrap yolo-search" data-panel="search">
                                    <?php if ($filter_widget == 'top'): ?>
                                        <span>&frasl;</span>
                                    <?php endif; ?>
                                    <a href="#search" id="yolo-shop-search-btn"
                                       class="invert-color"><?php esc_html_e('Search', 'yolo-giraffe'); ?></a>
                                    <i class="yolo-font yolo-font-search-alt flip"></i>
                                </li>
                            <?php endif; ?>
                        </ul>
                        <?php

                        ?>
                    </div>

                    <?php if ($show_search): ?>
                        <div class="yolo-search-field <?php echo esc_attr($add_style); ?>">
                            <form role="search" method="get" class="search-form"
                                  action="<?php echo esc_url(home_url('/')); ?>">
                                <input type="text" class="search-field"
                                       placeholder="<?php esc_html_e('Search Products', 'yolo-giraffe'); ?>"
                                       value="" name="s" title="Search for:">
                                <button type="submit"><i class="fas fa-search"></i></button>
                                <input type="hidden" name="post_type" value="product">
                            </form>
                            <div class="search-message"></div>
                        </div>
                        <div class="clearfix"></div>
                    <?php endif; ?>

                    <div class="row <?php echo esc_attr($sidebar_class); ?> <?php echo esc_attr(join(' ', $archive_class)); ?>">

                        <?php if ($filter_widget == "top") : ?>
                            <div class="yolo-filter-widget col-sm-12">
                                <div class="clearfix sidebar woocommerce-sidebar row <?php if ($filter_widget == 'top') {
                                    echo esc_attr($filter_widget);
                                } ?>">
                                    <?php dynamic_sidebar('woocommerce'); ?>
                                </div>
                                <div class="clearfix"></div>
                            </div>
                        <?php endif; ?>

                        <div class="yolo-filter-result col-sm-12 <?php if ($content_col !=  "col-12"){ echo esc_attr($content_col); } ?>">
                            <div class="yolo-show-option mb30">
                                <div class="row">
                                    <div class="col">
                                        <div class="nso__sort">
                                            <span class="nso__label"><?php esc_html_e('Sort by: ', 'yolo-giraffe') ?></span>
                                            <?php do_action('yolo_before_shop_loop'); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="product-loop-content">
                                <?php wc_get_template_part('content', 'product_reset'); ?>
                                <?php if (have_posts()) : ?>
                                    <?php
                                    /**
                                     * woocommerce_before_shop_loop hook
                                     *
                                     * @hooked woocommerce_result_count - 20
                                     * @hooked woocommerce_catalog_ordering - 30
                                     */
                                    do_action('woocommerce_before_shop_loop');
                                    ?>
                                    <?php woocommerce_product_loop_start();
                                    if (wc_get_loop_prop('total')) {
                                        while (have_posts()) {
                                            the_post();

                                            /**
                                             * Hook: woocommerce_shop_loop.
                                             *
                                             * @hooked WC_Structured_Data::generate_product_data() - 10
                                             */
                                            do_action('woocommerce_shop_loop');

                                            wc_get_template_part('content', 'product');
                                        }
                                    }
                                    woocommerce_product_loop_end(); ?>
                                    <?php
                                    /**
                                     * woocommerce_after_shop_loop hook
                                     *
                                     * @hooked woocommerce_pagination - 10
                                     */
                                    do_action('woocommerce_after_shop_loop');
                                    ?>
                                <?php elseif (!woocommerce_product_subcategories(array('before' => woocommerce_product_loop_start(false), 'after' => woocommerce_product_loop_end(false)))) : ?>
                                    <?php wc_get_template('loop/no-products-found.php'); ?>
                                <?php endif; ?>
                            </div>
                        </div>

                        <?php if ($filter_widget != "top") : ?>
                            <div class="yolo-filter-widget col-sm-12 <?php echo esc_attr($sidebar_col) ?>">
                                <div class="clearfix sidebar woocommerce-sidebar sidebar-<?php echo esc_attr($sidebar_width); ?>">
                                    <?php dynamic_sidebar('woocommerce'); ?>
                                </div>
                                <div class="clearfix"></div>
                            </div>
                        <?php endif; ?>


                    </div>
                <?php if ($layout_style != 'full') : ?>
            </div>
        </div>
    <?php endif; ?>
        <?php
        /**
         * @hooked - yolo_shop_page_content - 5
         **/
        do_action('yolo_after_archive_product_listing');
        ?>
    </main>
    <?php get_footer('shop');
} ?>