<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woothemes.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.6.0
 */

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

global $product, $woocommerce_loop, $yolo_woocommerce_loop, $yolo_giraffe_options;
// Ensure visibility
if (!$product || !$product->is_visible())
    return;
// Extra post classes
$classes = array();
$classes[] = 'product-item-wrap';
$post_attachment_id = has_post_thumbnail() ? get_post_thumbnail_id() : 0;
$primary_image = wp_get_attachment_image_src($post_attachment_id, 'large');
$primary_image = $primary_image[0];
$product_button_tooltip = isset($yolo_giraffe_options['product_button_tooltip']) ? $yolo_giraffe_options['product_button_tooltip'] : '';
if ($product_button_tooltip) {
    $classes[] = 'button-has-tooltip';
} else {
    $classes[] = 'button-no-tooltip';
}
$product_cat_id = yolo_product_cat_id();
$cat_count = sizeof( get_the_terms( $post->ID, 'product_cat' ) );
?>
<div <?php post_class($classes); ?>>
    <div class="rbc-product-inner">

        <div class="product__thumb">
            <?php  do_action( 'woocommerce_before_shop_loop_item_title' ); ?>
            <div class="product__price">
                <?php woocommerce_template_loop_price();?>
            </div>
        </div>
        <div class="product__info">
            <?php yolo_woocommerce_template_loop_product_title(); ?>
            <div class="rating">
                <?php woocommerce_template_loop_rating(); ?>
            </div>
        </div>
        <div class="product__meta">
            <?php
            do_action('yolo_grf_woocommerce_product_actions');
            ?>
        </div>
    </div>
</div>