<?php
/**
 *	Template for displaying shop results bar/button
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
global $yolo_giraffe_options,$wp;

$results_bar_class = '';
$results_bar_buttons = array();

// Filters
$filters_count = yolo_active_filters_count();
if ( $filters_count ) {
    $results_bar_class = ' has-filters';
    $results_bar_buttons['filters'] = array(
        'id'    => 'yolo-filters-reset',
        'title' => sprintf( esc_html__( 'Filters active %s(%s)%s', 'yolo-giraffe' ), '<span>', $filters_count, '</span>' )
    );
}

if ( ! empty( $results_bar_buttons ) ) :
?>

<div class="yolo-shop-results-bar <?php echo esc_attr( $results_bar_class ); ?>">
    <?php 
        $shop_url = esc_url( home_url(add_query_arg(array(),$wp->request)));
        foreach ( $results_bar_buttons as $button ) {
            printf( '<a href="%s" id="%s">%s</a>',
                $shop_url,
                $button['id'],
                $button['title']
            );
        }
    ?>
</div>
<?php endif; ?>