<?php
/**
 * The template for displaying product content in the single-product.php template
 *
 * Override this template by copying it to yourtheme/woocommerce/content-single-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.6.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
?>

<?php
	/**
	 * woocommerce_before_single_product hook
	 *
	 * @hooked wc_print_notices - 10
	 */
	 do_action( 'woocommerce_before_single_product' );

	 if ( post_password_required() ) {
	 	echo get_the_password_form();
	 	return;
	 }
?>
<?php
if (defined('YITH_WCWL') && !function_exists('yith_wcwl_move_wishlist_button')) {
    function yith_wcwl_move_wishlist_button()
    {
        echo do_shortcode('[yith_wcwl_add_to_wishlist]');
        echo do_shortcode('[yith_compare_button]');
    }
}
?>
<div id="product-<?php the_ID(); ?>" <?php post_class(); ?>>

    <div class="single-product-info row clearfix">
        <div class="single-product-image-wrap col-sm-12 col-md-6">
            <div class="single-product-image">
                <?php
                /**
                 * woocommerce_before_single_product_summary hook
                 *
                 * @hooked woocommerce_show_product_sale_flash - 10
                 * @hooked woocommerce_show_product_images - 20
                 */
                do_action( 'woocommerce_before_single_product_summary' );
                ?>

            </div>
        </div>

        <div class="summary-product-wrap col-sm-12 col-md-6">
            <div class="summary-product entry-summary sp-sticky">
                <?php
                /**
                 * woocommerce_single_product_summary hook
                 *
                 * @hooked woocommerce_template_single_title - 5
                 * @hooked woocommerce_template_single_rating - 10
                 * @hooked woocommerce_template_single_price - 10
                 * @hooked woocommerce_template_single_excerpt - 20
                 * @hooked woocommerce_template_single_add_to_cart - 30
                 * @hooked yolo_woocommerce_template_single_function - 35
                 * @hooked woocommerce_template_single_meta - 40
                 * @hooked woocommerce_template_single_sharing - 50
                 */

                remove_action( 'woocommerce_single_product_summary','woocommerce_template_single_price', 10);
                add_action( 'woocommerce_single_product_summary','woocommerce_template_single_price', 25);
                do_action( 'woocommerce_single_product_summary' );
                remove_action( 'woocommerce_single_product_summary','woocommerce_template_single_price', 25);
                add_action( 'woocommerce_single_product_summary','woocommerce_template_single_price', 10);
                ?>
            </div>
        </div>
    </div>

	<?php
		/**
		 * woocommerce_after_single_product_summary hook
		 *
		 * @hooked woocommerce_output_product_data_tabs - 10
		 * @hooked woocommerce_upsell_display - 15
		 * @hooked woocommerce_output_related_products - 20
		 */
		do_action( 'woocommerce_after_single_product_summary' );
	?>
</div><!-- #product-<?php the_ID(); ?> -->

<?php do_action( 'woocommerce_after_single_product' ); ?>