<?php
/**
 * Product loop sale flash
 *
 * @author        WooThemes
 * @package    WooCommerce/Templates
 * @version     1.6.4
 */

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

global $post, $product;
$product_new = get_post_meta(get_the_ID(), 'yolo_product_new', true);
$product_hot = get_post_meta(get_the_ID(), 'yolo_product_hot', true);

?>
<div class="product-flash-wrap rbc-flash-wrap">
    <?php if ($product_new == 'yes') : ?>
        <div class="on-new product-flash"><?php esc_html_e('New', 'yolo-giraffe') ?></div>
    <?php endif; ?>
    <?php if ($product->is_on_sale()) : ?>
        <?php if ($product->is_on_sale()): ?>
            <?php echo apply_filters('woocommerce_sale_flash', '<div class="on-sale product-flash">' . esc_html__('Sale', 'yolo-giraffe') . '</div>', $post, $product); ?>
        <?php endif; ?>
    <?php endif; ?>
    <?php if ($product_hot == 'yes') : ?>
        <div class="on-hot product-flash"><?php esc_html_e('Hot', 'yolo-giraffe') ?></div>
    <?php endif; ?>

    <?php if (!$product->is_in_stock()) : ?>
        <div class="on-sold product-flash"><?php esc_html_e('Sold Out', 'yolo-giraffe') ?></div>
    <?php endif; ?>
</div>