<?php
/**
 * The Template for displaying class archives
 *
 * This template can be overridden by copying it to yourtheme/yolo-timetable/archive-yolo_class.php.
 *
 * @author 		YoloTheme
 * @package 	YoloTimetable/Templates
 * @version     1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $yolo_giraffe_options;
get_header();

$layout_style 	= YOLO_Settings()->get_option('yolo_classes_style', 'grid');
$columns 		= YOLO_Settings()->get_option('yolo_classes_grid_columns', 2);

$class_layout = ($layout_style == 'grid') ? ' grid' : ' list';
$class_shortcode = 'yolo-class-shortcode' . $class_layout;

wp_enqueue_script( 'isotope' );
wp_enqueue_script( 'imagesloaded' );
wp_enqueue_script('yolo-class');

$sidebar = isset($yolo_giraffe_options['archive_class_sidebar']) ? $yolo_giraffe_options['archive_class_sidebar'] : 'right';
$sidebar_class = 'sidebar-left';
if ($sidebar == 'right') {
	$sidebar_class = 'sidebar-right';
}

$sidebar_class .= ' has-sidebar';

$content_col_number = 12;
if ($sidebar != 'none') {
	$content_col_number -= 4;
}
$content_col = 'col-lg-' . $content_col_number;

$class_layout = ($layout_style == 'grid') ? ' grid' : ' list';
$class_class = 'yolo-archive-class' . $class_layout;

do_action( 'yolo_before_archive_class');
?>
<div class="main-content-archive">
	<div class="container clearfix">
		<div class="row clearfix <?php echo esc_attr($sidebar_class); ?> ">
			<div class="site-content-archive-inner <?php echo esc_attr($content_col); ?> col-md-12 <?php echo esc_attr( $class_shortcode ); ?>">
				<div class="<?php echo esc_attr( $class_class ); ?>">
					<div class="posts-loop-content row">
							<?php if ( have_posts() ) : ?>
							<?php
							global $wp_query;

							$post_class = 'class-item-wrap col-6 col-sm-6 col-md-6 col-lg-'.absint((12 / $columns));
							$show_date = true;
							$show_time = true;
							$post_options = compact('post_class', 'show_date', 'show_time');

							while ( $wp_query->have_posts() ) : $wp_query->the_post();
								yolo_timetable_get_template( 'content-class.php' ); 
							endwhile; 
						else :
							yolo_timetable_get_template( 'content-none.php' );
						endif;
						?>
					</div>
					<?php echo yolo_paging_nav(); ?>
				</div>
			</div>
			<?php if ($sidebar !='none'): ?>
				<div class="sidebar col-md-12 col-lg-4">
						<?php
							yolo_timetable_get_sidebar( 'yolo-class-sidebar' );
						?>
				</div>
			<?php endif;?>
		</div>
	</div>
</div>
<?php get_footer();