<?php
/**
 * The Template for displaying event archives
 *
 * This template can be overridden by copying it to yourtheme/yolo-timetable/archive-yolo_event.php.
 *
 * @author 		YoloTheme
 * @package 	YoloTimetable/Templates
 * @version     1.0.0
 * Template Name   Event Archive
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header();

$layout_style = YOLO_Settings()->get_option('yolo_event_default_layout', 'grid');
$columns = YOLO_Settings()->get_option('yolo_event_grid_column', 2);
$item_style = 1;

$sidebar = isset($yolo_giraffe_options['archive_event_sidebar']) ? $yolo_giraffe_options['archive_event_sidebar'] : 'right';
$sidebar_class = 'sidebar-left';
if ($sidebar == 'right') {
	$sidebar_class = 'sidebar-right';
}

$sidebar_class .= ' has-sidebar';

$content_col_number = 12;
if ($sidebar != 'none') {
	$content_col_number -= 4;
}
$content_col = 'col-lg-' . $content_col_number;


$event_layout = ($layout_style == 'grid') ? ' grid' : ' list';
$event_class = 'yolo-archive-event ' . $event_layout;

wp_enqueue_script( 'isotope' );
wp_enqueue_script( 'imagesloaded' );
wp_enqueue_script('yolo-event');

do_action( 'yolo_before_archive_event');
?>
<div class="main-content-archive">
	<div class="container clearfix">
		<div class="row clearfix <?php echo esc_attr($sidebar_class); ?> ">
			<div class="site-content-archive-inner <?php echo esc_attr($content_col); ?> col-md-12">
				<div class="<?php echo esc_attr( $event_class ); ?>">
					<div class="posts-loop-content row">
						<?php if ( have_posts() ) : ?>
							<?php
							global $wp_query;
							if ( $layout_style == 'list' ) {
				                $columns = 1;
				            }
				            
				            $post_class = 'col-sm-6 col-md-6 col-lg-'.absint((12 / $columns));

							$show_time_start = YOLO_Settings()->get_option('yolo_event_time_start', true);
							$show_time_end   = YOLO_Settings()->get_option('yolo_event_time_end', true);
							$show_address    = YOLO_Settings()->get_option('yolo_event_address', true);

				            $post_options = compact('post_class', 'show_time_start', 'show_time_end', 'show_address', 'columns', 'item_style');

							while ( $wp_query->have_posts() ) : $wp_query->the_post(); ?>

								<?php yolo_timetable_get_template( 'content-event.php' ); ?>

							<?php endwhile; ?>

						<?php 
						else :
							yolo_timetable_get_template( 'content-none.php' );
						endif;
						?>
					</div>
					<?php echo yolo_paging_nav(); ?>
				</div>
			</div>
			<?php if ($sidebar !='none'): ?>
				<div class="sidebar col-md-12 col-lg-4">
						<?php
							yolo_timetable_get_sidebar( 'yolo-event-sidebar' );
						?>
				</div>
			<?php endif;?>
		</div>
	</div>
</div>
<?php get_footer();