<?php
/**
 * The Template for displaying teacher archives
 *
 * This template can be overridden by copying it to yourtheme/yolo-timetable/archive-yolo_teacher.php.
 *
 * @author      YoloTheme
 * @package     YoloTimetable/Templates
 * @version     1.0.0
 */

global $yolo_giraffe_options;

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

get_header();

$teacher_layout = isset($yolo_giraffe_options['archive_teacher_layout']) ? $yolo_giraffe_options['archive_teacher_layout'] : 'layout-2';

$archive_title = isset($yolo_giraffe_options['title_archive_teacher']) && !empty($yolo_giraffe_options['title_archive_teacher']) ? $yolo_giraffe_options['title_archive_teacher'] : '';

$sidebar = isset($yolo_giraffe_options['archive_teacher_sidebar']) ? $yolo_giraffe_options['archive_teacher_sidebar'] : 'right';
$sidebar_class = 'sidebar-left';
if ($sidebar == 'right') {
    $sidebar_class = 'sidebar-right';
}

$content_col_number = 12;
if ($sidebar != 'none') {
    $content_col_number -= 4;
}
$content_col = 'col-lg-' . $content_col_number;

$columns = isset($yolo_giraffe_options['archive_teacher_columns']) ? $yolo_giraffe_options['archive_teacher_columns'] : '2';

wp_enqueue_script( 'isotope' );
wp_enqueue_script( 'imagesloaded' );
wp_enqueue_script( 'yolo-teacher' );

$teacher_class = 'yolo-archive-teacher ' . $teacher_layout;
do_action( 'yolo_before_archive_teacher' );
?>
<div class="main-content-archive">
    <div class="container clearfix">
        <div class="row clearfix <?php echo esc_attr($sidebar_class); ?> ">
            <div class="site-content-archive-inner">
                <div class="<?php echo esc_attr( $teacher_class ); ?> <?php echo esc_attr($content_col); ?> col-md -12 yolo-teacher-masonry">
                    <div class="posts-loop-content row">
                        <?php if ( have_posts() ) : ?>
                            <?php
                            global $wp_query;

                            $post_class = 'col-6 col-sm-6 col-md-4 col-lg-'.absint((12 / $columns)) . ' ' . $teacher_layout;

                            $post_options = compact('post_class');

                            while ( $wp_query->have_posts() ) : $wp_query->the_post(); 
                                if ($teacher_layout == 'layout-1' || $teacher_layout == 'layout-2') 
                                    yolo_timetable_get_template( 'content-teacher.php' );
                                else 
                                    yolo_timetable_get_template( 'content-teacher-2.php' );
                            endwhile;
                       
                        else :
                            yolo_timetable_get_template( 'content-none.php' );
                        endif;
                        ?>
                    </div>
                    <?php echo yolo_paging_nav(); ?>
                </div>
            </div>
            <?php if (is_active_sidebar('yolo-teacher-sidebar') && $sidebar !='none'): ?>
                <div class="sidebar col-md-12 col-lg-4">
                        <?php
                            dynamic_sidebar( 'yolo-teacher-sidebar' );
                        ?>
                </div>
            <?php endif;?>
        </div>
    </div>
</div>
<?php get_footer();