<?php
/**
 * The template for displaying teacher content within loops
 *
 * This template can be overridden by copying it to yourtheme/yolo-timetable/content-teacher.php.
 *
 * @author      YoloTheme
 * @package     YoloTimetable/Templates
 * @version     1.0.0
 */
global $post_options, $post, $post_class, $yolo_giraffe_options;

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}
$style = isset($yolo_giraffe_options['archive_teacher_layout']) ? $yolo_giraffe_options['archive_teacher_layout'] : 'layout2';


if ( $post_options )
    extract($post_options, EXTR_PREFIX_SAME, "ntt");

$post_class .= ' teacher-item-wrap';
$thumbnail    = get_the_post_thumbnail_url(get_the_ID());
?>

<article <?php post_class($post_class); ?>>
    <div class="teacher-item">
        <div class="teacher-avatar">
            <?php echo get_the_post_thumbnail(get_the_ID(), 'yolo-thumbnail-teacher') ?>
            <div class="teacher-infor-main <?php echo (!empty($style) && $style == 'layout-3')? 'hidden' : ''; ?>">
                <h4 class="teacher-title">
                    <a title="<?php printf( esc_html__( 'Post by %s','yolo-giraffe'), get_the_title(get_the_ID()) ); ?>" href="<?php echo get_permalink(get_the_ID()) ; ?>" rel="author">
                        <?php echo get_the_title(get_the_ID()) ?>
                    </a>
                </h4>
                <div class="teacher-category">
                    <?php
                        echo get_the_term_list(get_the_ID(), 'class_category',' ',', ');
                    ?>
                </div>
            </div>
        </div>
        <div class="infor-overlay">
            <div class="teacher-infor">
                <h4 class="teacher-title">
                    <a title="<?php printf( esc_html__( 'Post by %s','yolo-giraffe'), get_the_title(get_the_ID()) ); ?>" href="<?php echo get_permalink(get_the_ID()) ; ?>" rel="author">
                        <?php echo get_the_title(get_the_ID()) ?>
                    </a>
                </h4>
                <div class="teacher-category">
                    <?php
                        echo get_the_term_list(get_the_ID(), 'class_category',' ',', ');
                    ?>
                </div>
                <div class="thumbnail-img">
                    <a class="teacher-avatar-hover" href="<?php echo get_permalink(get_the_ID()) ; ?>" style="background-image: url('<?php echo esc_url($thumbnail); ?>')">
                    </a>
                </div>
                <?php
                    $facebook       =   yolo_timetable_get_post_meta( get_the_ID(), "_yolo_teacher_facebook", '' );
                    $google         =   yolo_timetable_get_post_meta( get_the_ID(), "_yolo_teacher_google", '' );
                    $twitter        =   yolo_timetable_get_post_meta( get_the_ID(), "_yolo_teacher_twitter", '' );
                    $pinterest      =   yolo_timetable_get_post_meta( get_the_ID(), "_yolo_teacher_pinterest", '' );
                ?>
                <?php if(!empty($facebook) || !empty($twitter) || !empty($google) || !empty($linkedin) || !empty($pinterest)):?>
                    <div class="teacher-social">
                        <?php echo ( !empty($facebook) ? '<a href="' . $facebook . '" class="fab fa-facebook-f"></a>' : '' ); ?>
                        <?php echo ( !empty($google) ? '<a href="' . $google . '" class="fab fa-google-plus-g"></a>' : '' ); ?>
                        <?php echo ( !empty($twitter) ? '<a href="' . $twitter . '" class="fab fa-twitter"></a>' : '' ); ?>
                        <?php echo ( !empty($pinterest) ? '<a href="' . $pinterest . '" class="fab fa-pinterest-p"></a>' : '' ); ?>
                    </div>
                <?php endif; ?>
                <?php $email    =  yolo_timetable_get_post_meta( get_the_ID(),'_yolo_teacher_email','');?>
                <?php if(isset($email) || !empty($email)): ?>
                    <span class="email"><?php echo esc_attr($email); ?></span>
                <?php endif; ?>
            </div>
        </div>
    </div>
</article>