<?php
/**
 * The template for displaying teacher content within loops
 *
 * This template can be overridden by copying it to yourtheme/yolo-timetable/content-teacher.php.
 *
 * @author      YoloTheme
 * @package     YoloTimetable/Templates
 * @version     1.0.0
 */
global $post_options, $post, $post_class, $yolo_giraffe_options;

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}
$style = isset($yolo_giraffe_options['archive_teacher_layout']) ? $yolo_giraffe_options['archive_teacher_layout'] : 'layout2';


if ( $post_options )
    extract($post_options, EXTR_PREFIX_SAME, "ntt");

$post_class .= ' teacher-item-wrap';
$thumbnail    = get_the_post_thumbnail_url(get_the_ID());
?>

<article <?php post_class($post_class); ?>>
	<div class="yolo-flex -row teacher-item"  <?php if($style== 'layout-2'): ?> style="background-color: <?php echo rand_color('hex') ?>" <?php endif;  ?>>
        <div class="teacher-avatar-wrap yolo-flex -col -center fb-5">
            <div class="entry-teacher-bg" style="background-image: url('<?php echo esc_url($thumbnail); ?>')"></div>
            <a class="teacher-avatar" href="<?php echo get_permalink(get_the_ID()) ; ?>">
            </a>
            <?php
                $facebook  =   yolo_timetable_get_post_meta( get_the_ID(), "_yolo_teacher_facebook", '' );
                $google    =   yolo_timetable_get_post_meta( get_the_ID(), "_yolo_teacher_google", '' );
                $twitter   =   yolo_timetable_get_post_meta( get_the_ID(), "_yolo_teacher_twitter", '' );
                $pinterest =   yolo_timetable_get_post_meta( get_the_ID(), "_yolo_teacher_pinterest", '' );
            ?>
            <?php if(!empty($facebook) || !empty($twitter) || !empty($google) || !empty($linkedin) || !empty($pinterest)):?>
                <div class="teacher-social">
                    <ul>
                        <?php echo ( !empty($facebook) ? '<li><a href="' . $facebook . '" class="fab fa-facebook-f"></a></li>' : '' ); ?>
                        <?php echo ( !empty($google) ? '<li><a href="' . $google . '" class="fab fa-google-plus-g"></a></li>' : '' ); ?>
                        <?php echo ( !empty($twitter) ? '<li><a href="' . $twitter . '" class="fab fa-twitter"></a></li>' : '' ); ?>
                        <?php echo ( !empty($pinterest) ? '<li><a href="' . $pinterest . '" class="fab fa-pinterest-p"></a></li>' : '' ); ?>
                    </ul>
                </div>
            <?php endif; ?>
        </div>
        
        <div class="teacher-info  fb-7">
            <h3 class="teacher-title">
                <a title="<?php printf( esc_html__( 'Post by %s','yolo-giraffe'), get_the_title(get_the_ID()) ); ?>" href="<?php echo get_permalink(get_the_ID()) ; ?>" rel="author">
                    <?php echo get_the_title(get_the_ID()) ?>
                </a>
            </h3>
            <div class="teacher-category">
                <?php
                    echo get_the_term_list(get_the_ID(), 'class_category',' ',', ');
                ?>
            </div>
            <div class="teacher-excerpt">
                <?php
                global $post;
                $excerpt = $post->post_excerpt;
                if(empty($excerpt))
                    $excerpt = $post->post_content;
                
                $excerpt = strip_shortcodes($excerpt);
                $exc_length = YOLO_Settings()->get_option('yolo_teacher_excerpt_length', 15);
                echo '<p>' . wp_trim_words($excerpt, $exc_length, '...') . '</p>';
                $telephone = preg_replace('/\s+/','',yolo_timetable_get_post_meta( get_the_ID(), '_yolo_teacher_phone'));
                ?>
            </div>
            
            <div class="btn-call-me">
                <a class="btn call-me" title="<?php printf( esc_html__( 'Post by %s','yolo-giraffe'), get_the_title(get_the_ID()) ); ?>" href="tel:<?php echo esc_attr($telephone); ?>" rel="author">
                    <i class="fa fa-phone-square" aria-hidden="true"></i>
                    <?php echo yolo_timetable_get_post_meta( get_the_ID(), '_yolo_teacher_phone'); ?>
                </a>
            </div>
        </div>
    </div>
</article>