<?php
/**
 * The Template for displaying all single classes
 *
 * This template can be overridden by copying it to yourtheme/yolo-timetable/single-yolo_class.php.
 *
 * @author 		YoloTheme
 * @package 	YoloTimetable/Templates
 * @version     1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header();

// Class info
$price   		 = yolo_timetable_get_post_meta( get_the_ID(), "_price", '');
$register_link   = yolo_timetable_get_post_meta( get_the_ID(), "_register_link", '' );

$age 	 		 = yolo_timetable_get_post_meta( get_the_ID(), "_age", '');
$class_size 	 = yolo_timetable_get_post_meta( get_the_ID(), "_class_size", '');
$year_old		 = yolo_timetable_get_post_meta( get_the_ID(), "_year_old", '');
$lesson		     = yolo_timetable_get_post_meta( get_the_ID(), "_lesson", '');

$data_section_id = uniqid();
$graphic_values = get_post_meta(get_the_ID(), '_yolo_class_graphic', true);
$meta_values = explode(',', $graphic_values);

$main_class = array('site-content-single-class single-content-main');

$sidebar = isset($yolo_giraffe_options['single_class_sidebar']) ? $yolo_giraffe_options['single_class_sidebar'] : 'right';
$sidebar_class = 'sidebar-left';
if ($sidebar == 'right') {
    $sidebar_class = 'sidebar-right';
}

$start_date		    = yolo_get_post_meta( get_the_ID(), "_start_date", '' );
$level_list = get_the_term_list(get_the_ID(), 'class_level',' ',', ');

$start_date_icon 	= Yolo__Timetable__Main::plugin_url() . '/assets/images/calendar.png';
$year_old_icon 		= Yolo__Timetable__Main::plugin_url() . '/assets/images/birther-day.png';
$size_icon 			= Yolo__Timetable__Main::plugin_url() . '/assets/images/group-class.png';
$lesson_icon 		= Yolo__Timetable__Main::plugin_url() . '/assets/images/lesson.png';
$level_icon 		= Yolo__Timetable__Main::plugin_url() . '/assets/images/level.png';

do_action('yolo_before_single_class');

wp_enqueue_style('owl-carousel');
wp_enqueue_script('owl-carousel');
?>

<main class="<?php echo esc_attr(join(' ',$main_class)); ?>">
    <div class="container clearfix">
        <div class="row clearfix <?php echo esc_attr($sidebar_class); ?>">
        	<?php while ( have_posts() ) : the_post(); ?>
				<div class="site-content-archive-inner col-md-12 col-lg-8">
	                <div class="class-content-wrap">
	                    <div class="class-inner clearfix">
	                    	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
								<div class="class-title-wrap">
									<h2 class="class-tile"><?php esc_html_e('More Information','yolo-giraffe') ?> </h2>
									<nav class="class-navigation">
								        <?php
								        previous_post_link('<div class="nav nav-previous">%link</div>', _x('<i class="fas fa-long-arrow-alt-left" aria-hidden="true"></i> ', 'Previous post link', 'yolo-giraffe'));?>
										<h5 class="text"><?php esc_html_e('Class','yolo-giraffe'); ?></h5>
								       <?php  next_post_link('<div class="nav nav-next">%link</div>', _x('<i class="fas fa-long-arrow-alt-right" aria-hidden="true"></i>', 'Next post link', 'yolo-giraffe'));
								        ?>
									</nav>
								</div>
								<div class="class-main-content">
									<div class="class-basic-info ">
											<?php yolo_timetable_single_class_basic_info(get_the_ID()); ?>
											<a class="print-resume yolo-icon" href="javascript:void(0)" onclick="return window.print();" title="<?php esc_html_e('Print', 'yolo-giraffe'); ?>" title="<?php echo esc_attr__('Print', 'yolo-giraffe'); ?>"></a>
									</div>
									<div class="single-post-gallery">
	                                    <?php
	                                    $gal = Yolo__Timetable__Class::get_gallery();
	                                    if (!empty($gal)) {
	                                        yolo_timetable_get_gallery($gal);
	                                    } else yolo_timetable_post_thumbnail();
	                                    ?>
	                                </div>
									
									<div class="tribe-metabox content-tab-wrap">
										<ul class="tab-header">
											<li>
	                                       		<a class="active" href="#descriptions" data-name=".descriptions"><?php esc_html_e('Descriptions','yolo-giraffe'); ?></a>
	                                    	</li>
	                                    	<li>
	                                        	<a href="#teacher" data-name=".teacher"><?php  esc_html_e('Teacher','yolo-giraffe'); ?></a>
	                                    	</li>
	                                    	<li>
	                                    		<a class="main-lesson-tab" href="#main_lesson" data-name=".main-lesson"><?php  esc_html_e('Main Lesson','yolo-giraffe'); ?></a>
	                                    	</li>
	                                    	<li>
	                                    		<a href="#comments" data-name=".comments"><?php  esc_html_e('Comment','yolo-giraffe'); ?></a>
	                                    	</li>
										</ul>
										<div class="class-content">
											<div class="descriptions content-tab active">
												<?php the_content(); ?>
											</div>
											<div class="teacher content-tab">
												<div class="row">
													<div class="posts-loop-content">
														<?php 
															$teacher_ids = yolo_get_post_meta(get_the_ID(),'_teacher',true);
															$class_tr    = '';
															if( !empty( $teacher_ids )):
																foreach ($teacher_ids as $k => $teid) : ?>
																	<?php yolo_timetable_single_class_tab_teacher( $teid); ?>
					                                            <?php
					                                            endforeach;
															endif; 
														?>
													</div>
												</div>	
											</div>
											<div class="main-lesson content-tab">
												<?php
													Yolo__Timetable__Class::get_timetables();
												?>
											</div>
											<div class="comments content-tab">
												  <?php comments_template('', true); ?>
											</div>
										</div>
									</div>
								</div>
						</article>
	                    </div>
	                </div>
	            </div>
	            <div class="sidebar col-md-12 col-lg-4">
		            <div class="sidebar-inner">
		            	<div class="widget single-sidebar infomation-sidebar">
							<h4 class="widget-title"><?php esc_html_e('course information','yolo-giraffe');?></h4>
							<div class="widget-content-wrap class-infor-sidebar">
								<?php if(!empty($startdate)): ?>
				                    <div class="widget-info-item">
				                    	<div class="wi__icon">
					                        <img src="<?php echo esc_url($start_date_icon); ?>" class="img-responsive">
					                    </div>
			                    		<div class="wi__content">
				                    		<h5 class="item-label"><?php esc_html_e('Start Date:', 'yolo-giraffe'); ?></h5>
				                    		<p class="item-value"><?php echo esc_html(date_i18n(get_option('date_format'), $startdate)); ?></p>
				                    	</div>
					                </div>
				                <?php endif; ?>
				                <?php if( !empty($year_old )): ?>
					                <div class="widget-info-item">
				                    	<div class="wi__icon">
					                        <img src="<?php echo esc_url($year_old_icon); ?>" class="img-responsive">
					                    </div>
				                    	<div class="wi__content">
			                    			<h5 class="item-label"><?php esc_html_e('Years Old','yolo-giraffe'); ?></h5>
			                    			<p class="item-value"><?php echo esc_attr($year_old); ?></p>
				                    	</div>
					                </div>
				                <?php endif; ?>
				                <?php if(!empty($class_size)) : ?>
					                <div class="widget-info-item">
				                    	<div class="wi__icon">
					                        <img src="<?php echo esc_url($size_icon); ?>" class="img-responsive">
					                    </div>
				                    	<div class="wi__content">
			                    			<h5 class="item-label"><?php esc_html_e('Class Size','yolo-giraffe'); ?></h5>
				                    		<p class="item-value"><?php echo esc_attr( $class_size ); ?></p>
				                    	</div>
					                </div>
				                <?php endif; ?>
				                <?php if(!empty($lesson)) : ?>
					                <div class="widget-info-item">
				                    	<div class="wi__icon">
					                        <img src="<?php echo esc_url($lesson_icon); ?>" class="img-responsive">
					                    </div>
			                    		<div class="wi__content">
			                    			<h5 class="item-label"><?php esc_html_e('Lesson','yolo-giraffe');?></h5>
				                    		<p class="item-value"><?php echo esc_attr( $lesson ); ?></p>
			                    		</div>
					                </div>
				                <?php endif; ?>
			                    <?php if(!empty($level_list)):?>
					                <div class="widget-info-item">
				                    	<div class="wi__icon">
					                        <img src="<?php echo esc_url($level_icon) ?>" class="img-responsive">
					                    </div>
			                    		<div class="wi__content">
			                    			<h5 class="item-label"><?php esc_html_e('Difficulty','yolo-giraffe'); ?></h5>
											<p class="item-value"><?php echo wp_kses_post($level_list)?></p>
			                    		</div>
					                </div>
				                <?php endif;?>
							</div>
						</div>
						<div class="widget widget_class_charges">
							<?php
							switch ($price):
			                case '':
			                    echo '<a class="giraffe-btn btn-small align-left" href="'. $register_link .'"><span>' . esc_html__('FREE ENTRANCE', 'yolo-giraffe') . '</span></a>';
			                    break;
			                default:
			                    echo '<a class="giraffe-btn btn-small align-left" href="'. $register_link .'"><span>' . esc_html__('Register ', 'yolo-giraffe') . $price . '</span></a>';

			                    ?>
			                <?php endswitch; ?>
			            	<a id="main_lesson" href="#main_lesson" class="giraffe-btn btn-small giraffe-btn-blue align-right"><?php esc_html_e('Schedule', 'yolo-giraffe'); ?></a>
						</div>
					</div>
	            </div>
	        <?php endwhile; ?>
        </div>
    </div>
</main>
<script>
	jQuery(document).ready(function($){
    	"use strict";
        $('.tab-header li:first-child').find('a').addClass('active');
        $('.tab-header li a').click(function(event){
            event.preventDefault();
            $('.tab-header li a').removeClass('active');
            $(this).addClass('active');
            var $class = $(this).data('name');
            $('.content-tab').slideUp();
            $($class).slideDown();
        });

        $('a#main_lesson').click(function(event){
        	event.preventDefault();
            $('.tab-header li a').removeClass('active');
            $('.tab-header li a.main-lesson-tab').addClass('active');
            var $class = $('.tab-header li a.main-lesson-tab').data('name');
            $('.content-tab').slideUp();
            $($class).slideDown();
        });

        function postsCarousel() {
            var checkWidth = jQuery(window).width();
            var owlPost = jQuery(".teacher .posts-loop-content");
            owlPost.addClass('owl-carousel');
            owlPost.owlCarousel({
                margin: 0,
                items : 2,
                autoHeight:true,
                slideSpeed : 5000,
                autoplay: false,
                autoplaySpeed: 1000,
                autoplayTimeout: 5000,
                dots: true,
                loop: false,
                responsive : {
                    0 : {
                        items : 1
                    },
					
					600: {
                        items: 2,
                    },

                }
            });
        }

        postsCarousel();
        jQuery(window).resize(postsCarousel); 
    });
</script>
<?php get_footer();
