<?php
/**
 * The Template for displaying all single events
 *
 * This template can be overridden by copying it to yourtheme/yolo-timetable/single-yolo_event.php.
 *
 * @author        YoloTheme
 * @package    YoloTimetable/Templates
 * @version     1.0.0
 */

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}
get_header();

$main_class = array('site-content-single-event single-content-main');

$sidebar = isset($yolo_giraffe_options['single_event_sidebar']) ? $yolo_giraffe_options['single_event_sidebar'] : 'right';
$sidebar_class = 'sidebar-left';
if ($sidebar == 'right') {
    $sidebar_class = 'sidebar-right';
}

$add = Yolo__Timetable__Event::address();

do_action('yolo_before_single_event');
?>
<main class="<?php echo esc_attr(join(' ',$main_class)); ?>">
    <div class="container clearfix">
        <div class="row clearfix <?php echo esc_attr($sidebar_class);?>">
            <div class="site-content-archive-inner col-md-12 col-lg-8">
                <div class="event-wrap">
                    <div class="event-inner clearfix">
                        <?php
                        // Start the loop.
                        while (have_posts()) : the_post();
                            ?>
                            <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                                <div class="single-post-gallery">
                                    <?php
                                    $gal = Yolo__Timetable__Event::get_gallery();
                                    if (!empty($gal)) {
                                        yolo_timetable_get_gallery($gal);
                                    } else yolo_timetable_post_thumbnail();
                                    ?>
                                </div>
                                <div class="entry-post-content">
                                    <div class="entry-content">
                                        <?php
                                        the_content();
                                        wp_link_pages();
                                        ?>

                                        <?php
                                        do_action('yolo_after_single_post_content');
                                        ?>
                                    </div>
                                </div>
                            </article>
                        <?php
                            // End of the loop.
                        endwhile;
                        ?>
                        <?php
                        // If comments are open or we have at least one comment, load up the comment template.
                        if (comments_open() || get_comments_number()) {
                            comments_template();
                        }
                        ?>
                    </div>
                </div>
            </div>
            <div class="sidebar  col-md-12 col-lg-4">
                <?php
                    yolo_timetable_get_sidebar( 'yolo-event-sidebar' );
                ?>
            </div>
        </div>
    </div>
</main>
<?php get_footer();