<?php
/**
 * The Template for displaying all single teachers
 *
 * This template can be overridden by copying it to yourtheme/yolo-timetable/single-yolo_teacher.php.
 *
 * @author      YoloTheme
 * @package     YoloTimetable/Templates
 * @version     1.0.0
 */


if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

get_header();
wp_enqueue_script( 'wow' );
// Teacher's info
$degree         = yolo_timetable_get_post_meta( get_the_ID(), "_yolo_teacher_degree", '' );
$experience     = yolo_timetable_get_post_meta( get_the_ID(), "_yolo_teacher_experience", '' );
$hobbies        = yolo_timetable_get_post_meta( get_the_ID(), "_yolo_teacher_hobbies", '' );
$project        = yolo_timetable_get_post_meta( get_the_ID(), "_yolo_teacher_project", '' );
$language        = yolo_timetable_get_post_meta( get_the_ID(), "_yolo_teacher_language", '' );
$people         = yolo_timetable_get_post_meta( get_the_ID(),"_yolo_teacher_people", '' );
$email          = yolo_timetable_get_post_meta( get_the_ID(), "_yolo_teacher_email", '' );
$phone          = yolo_timetable_get_post_meta( get_the_ID(), "_yolo_teacher_phone", '' );
$phone_esc      = preg_replace('/\s+/', '', $phone);
$skype          = yolo_timetable_get_post_meta( get_the_ID(), "_yolo_teacher_skype", '' );
$website        = yolo_timetable_get_post_meta( get_the_ID(), "_yolo_teacher_website", '' );

$new_skill_label = '_yolo_teacher_skill_label';
$new_skill_value = '_yolo_teacher_skill_value';
$new_skill_color = '_yolo_teacher_skill_color';

$skill_label = yolo_timetable_get_post_meta( get_the_ID(), $new_skill_label, '' );
$skill_value = yolo_timetable_get_post_meta( get_the_ID(), $new_skill_value, '' );
$skill_color = yolo_timetable_get_post_meta( get_the_ID(), $new_skill_color, '' );

$skill_label = (array) yolo_timetable_json_decode($skill_label);
$skill_value = (array) yolo_timetable_json_decode($skill_value);
$skill_color = (array) yolo_timetable_json_decode($skill_color);

$breadcrumb_class = array('yolo-breadcrumb-wrap');

do_action('yolo_before_single_teacher_heading');

$args = array(
    'post_type' => 'yolo_class',
    'post_status' => 'publish',
    'posts_per_page' => -1,
);
$main_class = array('site-content-single-teacher single-content-main');

$sidebar = isset($yolo_giraffe_options['single_teacher_sidebar']) ? $yolo_giraffe_options['single_teacher_sidebar'] : 'right';
$sidebar_class = 'sidebar-left';
if ($sidebar == 'right') {
    $sidebar_class = 'sidebar-right';
}

$my_query = new WP_Query( $args );

$people_icon    = Yolo__Timetable__Main::plugin_url() . '/assets/images/icon-people.png';
$email_icon     = Yolo__Timetable__Main::plugin_url() . '/assets/images/icon-email.png';
$phone_icon     = Yolo__Timetable__Main::plugin_url() . '/assets/images/icon-phone.png';
$skype_icon     = Yolo__Timetable__Main::plugin_url() . '/assets/images/icon-skype.png';
$website_icon   = Yolo__Timetable__Main::plugin_url() . '/assets/images/icon-website.png';

wp_enqueue_style('owl-carousel');
wp_enqueue_script('owl-carousel');

?>
<main class="<?php echo esc_attr(join(' ',$main_class)); ?>">
    <div class="container clearfix">
        <div class="row clearfix <?php echo esc_attr($sidebar_class); ?>">
            <?php while ( have_posts() ) : the_post(); ?>
                <div class="site-content-archive-inner col-md-12 col-lg-8">
                    <div class="teacher-wrap">
                        <div class="teacher-inner clearfix">
                            <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                                <div class="teacher-info-wrap" >
                                    <h2 class="teacher-about"><?php esc_html_e( 'About me', 'yolo-giraffe' ) ?></h2>
                                    <div class="row">
                                        <div class="teacher-info  col-md-6">
                                            <?php if( !empty( $degree ) ) : ?>
                                                <div class="item-info teacher-degree"><i class="fas fa-book" aria-hidden="true"></i><h5 class="teacher-title"><?php esc_html_e('Degree:', 'yolo-giraffe')?></h5><span><?php echo esc_html($degree); ?></span></div>
                                            <?php endif; ?>
                                            <?php if( !empty( $experience ) ) : ?>
                                                <div class="item-info teacher-experience"><i class="fas fa-star" aria-hidden="true"></i><h5 class="teacher-title"><?php esc_html_e('Experience:', 'yolo-giraffe')?></h5><span><?php echo esc_html($experience); ?></span></div>
                                            <?php endif; ?>
                                            <?php if( !empty( $hobbies ) ) : ?>
                                                <div class="item-info teacher-hobbies"><i class="fas fa-heart" aria-hidden="true"></i><h5 class="teacher-title"><?php esc_html_e('Hobbies:', 'yolo-giraffe')?></h5><span><?php echo esc_html($hobbies); ?></span></div>
                                            <?php endif; ?>
                                            <?php if( !empty( $project ) ) : ?>
                                                <div class="item-info teacher-project"><i class="fas fa-pencil-alt" aria-hidden="true"></i><h5 class="teacher-title"><?php esc_html_e('Project:', 'yolo-giraffe')?></h5><span><?php echo esc_html($project); ?></span></div>
                                            <?php endif; ?>

                                            <?php if( !empty( $language ) ) : ?>
                                                <div class="item-info teacher-project"><i class="fas fa-globe-americas" aria-hidden="true"></i><h5 class="teacher-title"><?php esc_html_e('Language:', 'yolo-giraffe')?></h5><span><?php echo esc_html($language); ?></span></div>
                                            <?php endif; ?>
                                        </div> <!-- .teacher-info -->
                                        <div class="teacher-skill col-md-6">
                                                <?php
                                                if ( is_array($skill_label) && count($skill_label) > 0 && $skill_label[0] != '' ) : ?>
                                                <div class="yolo-progress-bar">
                                                <?php
                                                foreach ($skill_label as $k => $label) :
                                                    $lab = isset($skill_label[$k]) ? $skill_label[$k] : '';
                                                    $val = isset($skill_value[$k]) ? $skill_value[$k] : '';
                                                    $col = isset($skill_color[$k]) ? $skill_color[$k] : '';
                                                    if ( $lab != '' && $val != '' && $col != ''  ) :
                                                    ?>

                                                    <div class="yolo-single-bar">
                                                        <h6 class="yolo-progress-label"><?php echo esc_attr( $lab ); ?></h6>
                                                        <span class="yolo-bar wow loadSkill" data-wow-duration="1.5s" data-wow-delay="0.6s" <?php echo esc_attr( $lab ); ?> style="max-width: <?php echo esc_attr( $val ); ?>%; background: <?php echo esc_attr( $col); ?>"></span>
                                                    </div>

                                                    <?php
                                                    endif;
                                                endforeach; ?>
                                                </div>
                                                <script>
                                                    jQuery(document).ready(function($) {
                                                        new WOW().init();
                                                    });
                                                </script>
                                                <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="teacher-content">
                                        <?php if(!empty(yolo_comment_rating_display_average_rating(''))): ?>
                                        <div class="entry-rating">
                                            <?php echo  yolo_comment_rating_display_average_rating('');?>
                                            <?php echo yolo_comment_rating_get_all_ratings(get_the_ID()); ?>
                                            <?php echo  yolo_comment_rating_display_average_stars('');?>

                                        </div>
                                        <?php endif; ?>
                                        <div class="entry-content">
                                            <?php   the_content(); 
                                                    wp_link_pages();
                                            ?>
                                        </div>
                                </div>

                                <div class="tribe-metabox teacher-tab-wrap content-tab-wrap">
                                    <ul class="tab-header">
                                        <li>
                                            <a class="active" href="#my_coures" data-name=".my_coures"><?php esc_html_e('My Coures','yolo-giraffe'); ?></a>
                                        </li>
                                        <li>
                                            <a href="#comments" data-name=".comments"><?php  esc_html_e('Comments','yolo-giraffe'); ?></a>
                                        </li>
                                    </ul>
                                    <div class="teacher-content">
                                        <div class="my_coures active content-tab">
                                            <div class="row">
                                                <div class="posts-loop-content">
                                                    <?php 
                                                        yolo_timetable_get_class_by_teacher(get_the_ID());
                                                    ?>
                                                </div>
                                            </div>
                                        </div><!-- End .my_coures -->
                                        <div class="comments content-tab">
                                            <?php comments_template('', true); ?>
                                        </div><!--End .comment -->
                                    </div>
                                </div>
                            </article>
                        </div>
                    </div>
                </div>
                <div class="sidebar col-md-12 col-lg-4">
                    <div class="sidebar-inner">
                        <div class="widget single-sidebar infomation-sidebar">
                            <h4 class="widget-title"><?php esc_html_e('Contact','yolo-giraffe');?></h4>
                            <div class="widget-content-wrap teacher-infor-sidebar">
                                <?php if( !empty( $people ) ) : ?>
                                    <div class="widget-info-item">
                                            <div class="wi__icon">
                                                <img src="<?php echo esc_url($people_icon) ?>" class="img-responsive">
                                            </div>
                                            <div class="wi__content">
                                                <span><?php echo esc_html($people); ?></span>
                                            </div>
                                    </div>
                                <?php endif; ?>
                                <?php if( !empty( $email ) ) : ?>
                                    <div class="widget-info-item">
                                        <div class="wi__icon">
                                            <img src="<?php echo esc_url($email_icon) ?>" class="img-responsive">
                                        </div>
                                        <div class="wi__content">
                                            <span><?php echo esc_html($email); ?></span>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php if( !empty( $phone ) ) : ?>
                                    <div class="widget-info-item">
                                        <div class="wi__icon">
                                            <img src="<?php echo esc_url($phone_icon) ?>" class="img-responsive">
                                        </div>
                                        <div class="wi__content">
                                            <span><?php echo esc_html($phone); ?></span>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php if( !empty( $skype ) ) : ?>
                                    <div class="widget-info-item">
                                        <div class="wi__icon">
                                            <img src="<?php echo esc_url($skype_icon) ?>" class="img-responsive">
                                        </div>
                                        <div class="wi__content">
                                            <span><?php echo esc_html($skype); ?></span>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php if( !empty( $website ) ) : ?>
                                    <div class="widget-info-item">
                                        <div class="wi__icon">
                                            <img src="<?php echo esc_url($website_icon) ?>" class="img-responsive">
                                        </div>
                                        <div class="wi__content">
                                            <span><?php echo esc_html($website); ?></span>
                                        </div>
                                    </div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
                <script>
                    jQuery(document).ready(function($){
                        "use strict";
                        $('.tab-header li:first-child').find('a').addClass('active');
                        $('.tab-header li a').click(function(event){
                            event.preventDefault();
                            $('.tab-header li a').removeClass('active');
                            $(this).addClass('active');
                            var $class = $(this).data('name');
                            $('.content-tab').slideUp();
                            $($class).slideDown();
                        });

                        function postsCarousel() {
                            var checkWidth = jQuery(window).width();
                            var owlPost = jQuery(".my_coures .posts-loop-content");
                            owlPost.addClass('owl-carousel');
                            owlPost.owlCarousel({
                                margin: 0,
                                items : 2,
                                autoHeight:true,
                                slideSpeed : 5000,
                                autoplay: false,
                                autoplaySpeed: 1000,
                                autoplayTimeout: 5000,
                                dots: true,
                                loop: false,
                                responsive : {
                                    0 : {
                                        items : 1
                                    },
                                    
                                    670: {
                                        items: 2,
                                    },
                                }
                            });
                        }

                        postsCarousel();
                        jQuery(window).resize(postsCarousel); 
                    });
                </script>
            <?php endwhile; ?>
        </div>
    </div>
</main>
<?php get_footer();